2010-08-23 11:51  alanh

	* sys/mint/falcon.h: #define SND_XBIOS 0x20

2010-08-22 21:41  hek

	* xaaes/Changes.hk: ,

2010-08-22 21:24  hek

	* xaaes/src.km/xa_fsel.c: allow usage of different font-sizes
	  (xaw_point)

2010-08-22 21:24  hek

	* xaaes/src.km/: util.c, util.h: util.c util.h:

	  new function xa_readline similar to fgets, reads DOS- and
	  Unix-line-endings

2010-08-22 21:23  hek

	* xaaes/src.km/: taskman.c, taskman.h, xa_types.h: taskman.c
	  taskman.h xa_types.h:

	  allow usage of different font-sizes (xaw_point) remove unused
	  code

2010-08-22 21:23  hek

	* xaaes/src.km/scrlobjc.c: - fix text-effects for variable
	  font-size - better backslash-handling

2010-08-22 21:23  hek

	* xaaes/src.km/init.c: default-value for xaw_point(10)

2010-08-22 21:23  hek

	* xaaes/src.km/cnf_xaaes.c: new config-variable: xaw_point: define
	  font-size for xaaes-windows in point.

2010-08-22 21:22  hek

	* xaaes/src.km/about.c: - use new function xa_readline to read
	  xa_help.txt - re-read xa_help.txt if it changed - force redraw if
	  open but not top when selected - use xaw_point for font-size

2010-08-22 11:03  alanh

	* sys/KERNELDEFS: mint117.prg -> mint020.prg and build as a 68020
	  binary

2010-08-18 21:47  hek

	* doc/xaaes/: xaaes.html, xaaes.txt, xaaes.u: cosmetic changes

2010-08-18 21:38  hek

	* xaaes/src.km/render_obj.c: - fixed a bug in edit fields with a
	  mask that contains non-editable characters

	  - added missing paranthesises

2010-08-13 21:54  hek

	* sys/ramfs.c: Fix RAMFS search bug (from trunk)

2010-08-12 00:10  hek

	* doc/xaaes/: xaaes.html, xaaes.txt, xaaes.u: minor additions

2010-08-12 00:10  hek

	* doc/xaaes/Makefile: Makefile for xaaes.html and xaaes.txt

2010-08-11 19:56  hek

	* xaaes/src.km/: taskman.c: fix process-list-layout

2010-08-11 19:56  hek

	* xaaes/src.km/: scrlobjc.c: text-effects only valid for one line
	  (todo)

2010-08-11 19:56  hek

	* xaaes/src.km/: cnf_xaaes.c, init.c: remove unused code

2010-08-11 19:55  hek

	* xaaes/src.km/: about.c: ignore cr in file_to_list

2010-08-11 13:46  alanh

	* sys/ramfs.c: Fix RAMFS search bug

2010-08-10 21:31  hek

	* xaaes/src.km/: Makefile.objs, RULES, XAAESDEFS: Makefile.objs
	  RULES XAAESDEFS:

	  - Enable coldfire-build - Don't build ozk-version - use 030
	  instead of 020-60 for 030-CPU

2010-08-09 21:36  alanh

	* doc/readme.1.17.0: Correct date.

2010-08-09 15:56  alanh

	* tools/strace/print.c: Fix strace build

2010-08-09 15:29  alanh

	* sys/buildinfo/version.h: Now mark as BETA, will only search for
	  the 1-17-0 directory now.

2010-08-09 13:28  alanh

	* doc/readme.1.17.0: add 1.17.0 readme.

	  This should be updated in-line with what was in readme.1.16.0

2010-08-09 09:46  alanh

	* doc/kernels.txt: kernels update

2010-08-09 09:27  alanh

	* doc/kernels.txt: add documentation about kernels available

2010-08-08 18:35  hek

	* doc/xaaes/xaaes.html: html-version of xaaes.txt

2010-08-08 18:33  hek

	* doc/xaaes/: xaaes.u, xaaes.txt: minor modifications

2010-08-08 09:49  hek

	* doc/xaaes/xaaes.u: udo-source for xaaes.txt

2010-08-08 09:49  hek

	* doc/xaaes/xaaes.txt: documentation for current XaAES

2010-08-06 19:35  hek

	* xaaes/src.km/: xa_fsel.c: remove outcommented BLOGs.

2010-08-06 19:34  hek

	* xaaes/src.km/: init.c: display address of C.shutdown in
	  long-format (not short).

2010-08-06 19:34  hek

	* xaaes/src.km/: about.c: move the FN-dedication 1 char to the
	  right.

2010-08-05 19:52  hek

	* sys/dos.c: verbose shutdown

2010-08-04 21:09  hek

	* xaaes/src.km/: xa_fsel.c: if no pattern is passed use '*'.

2010-08-04 21:09  hek

	* xaaes/src.km/: version.h: make it a release-version

2010-08-04 21:08  hek

	* xaaes/src.km/: scrlobjc.c, xa_types.h: scrlobjc.c xa_types.h:

	  add underlined style to inlined text-effects.  text-effects may
	  be combined.	add code for centered/right-bound text (#ifdefed
	  out - not used) new item in struct se_text: slen - length of
	  text, saves some calls to strlen

2010-08-04 21:04  hek

	* xaaes/src.km/: init.c, k_main.c, k_main.h, taskman.c, xa_defs.h,
	  k_init.c: init.c k_init.c k_main.c k_main.h taskman.c xa_defs.h:

	  Don't perform stack-checking and don't display
	  kernel-compiletime-flags in the release-version.

2010-08-04 21:03  hek

	* xaaes/src.km/: about.c: Show Frank Naumann-dedication in the
	  release-version.

2010-08-03 16:34  hek

	* xaaes/src.km/win_draw.c: update from trunk

2010-08-03 08:50  alanh

	* xaaes/src.km/win_draw.c: fixed vertical scrollbar textures in
	  scroll list objects (typo=wrong texture reference) (Paul Wratt)

2010-08-02 18:26  hek

	* xaaes/src.km/win_draw.c: revert textures-patch until the
	  compile-error is found.

2010-08-02 17:57  alanh

	* sys/: KERNELDEFS, keyboard.c, arch/syscall.h: Fix the COLDFIRE
	  build - has this ever worked ???

2010-08-02 17:36  alanh

	* CONFIGVARS: Build COLDFIRE by default. If you can't build because
	  of old GCC - disable in your local build.

2010-08-02 17:35  alanh

	* sys/KERNELDEFS: Adjust kernel names appropriately

2010-08-02 17:34  alanh

	* sys/KERNELDEFS: Stop building my1, my2, my3 and my4 targets -
	  used for developers only.

2010-08-02 17:11  alanh

	* xaaes/src.km/win_draw.c: Fix build

2010-08-02 14:35  alanh

	* ChangeLog.#1.17.0: Add current 1.17 changelog

2010-08-02 13:56  alanh

	* sys/fatfs.c: Allow renaming of in-use files. Code already dealt
	  with this, make it explicit.

2010-08-01 21:21  hek

	* xaaes/src.km/: xaaes009.rsc: resource-file with better
	  taskmanager-design. Contributed by Lars Schmidbauer.

2010-08-01 20:35  hek

	* doc/themes.txt: [no log message]

2010-08-01 20:32  hek

	* doc/: themes.txt, xaaes/themes.txt: documentation for textures by
	  Paul Wratt

2010-08-01 20:29  hek

	* doc/xaaes/themes.txt: documentation for textures by Paul Wratt

2010-08-01 20:23  hek

	* xaaes/src.km/: about.c: Display the license-hint in bold.  If
	  FN_CRED is 1 display Frank-Naumann-dedication (italic).

2010-08-01 20:23  hek

	* xaaes/src.km/: win_draw.c: Implement extended textures. See
	  doc/xaaes/themes.txt. Contributed by Paul Wratt. Yet untested.

2010-08-01 20:23  hek

	* xaaes/src.km/: taskman.c: Display process-states in a more
	  verbose manner.

2010-08-01 19:47  hek

	* sys/dos.c: shutdown:

		  do not kill any process with pgrp 0 (kernel-thread) (was:
	  pid)
		  do not kill any process called GEM
		  do not reenter sys_s_shutdown

2010-07-31 19:48  hek

	* xaaes/src.km/: xa_fsel.c: fix a bug in splitting the
	  path-argument into pattern and path.

2010-07-29 07:31  hek

	* xaaes/src.km/xa_fsel.c: commit again

2010-07-28 20:40  hek

	* sys/: k_fds.c, tty.c: k_fds.c tty.c:

	  Allow O_NDELAY to be set at opening a tty-device. If more than 2
	  characters are to be read O_NDELAY is ignored for this read.

2010-07-27 23:20  hek

	* xaaes/src.km/xa_fsel.h: avoid fileselector using the patterns
	  from the resource-file by using 'path' as pattern if no path
	  passed.

2010-07-27 23:01  hek

	* xaaes/src.km/: xa_fsel.c, xa_fsel.h: xa_fsel.c xa_fsel.h:

	  avoid fileselector using the patterns from the resource-file by
	  using 'path' as pattern if no path passed.

2010-07-27 21:20  hek

	* xaaes/src.km/: xa_fsel.c: - moved '|' - parsing for
	  caseinsensitive pattern from	 fileselector_form_exit to
	  read_directory.

	  - fixed a bug that caused a wrong pattern to be added when '*.*'
	   was passed as path.

2010-07-05 17:32  hek

	* xaaes/src.km/: k_main.c: set console RAW not COOKED for maximum
	  TOS-compatibility.

2010-06-27 11:28  hek

	* xaaes/src.km/: scrlobjc.c, xa_types.h: scrlobjc.c xa_types.h:

	  Implement text-effects for list-text.

	  Italic:	  <i> text </i>

	  Bold:   <b> text </b>

2010-06-23 10:37  alanh

	* sys/sockets/inet4/bpf.c: long should be ulong to avoid crashes
	  when using BPF, although it still doesn't work yet for me.

2010-06-11 19:02  hek

	* xaaes/src.km/: xa_fsel.c: forgot to remove BLOGs.

2010-06-11 18:57  hek

	* xaaes/src.km/xa_fsel.c: - improved caseinsensitive
	  pattern-matching

	  - new feature: if the first char in pattern is the pipe-sysmbol
	  (|) the pattern-list is caseinsensitive.

2010-06-11 18:54  hek

	* xaaes/src.km/xa_fsel.c: - improved caseinsensitive
	  pattern-matching

	  - new feature: if the first char in pattern is the pipe-sysmbol
	  (|) the pattern-list is caseinsensitive.

2010-06-09 21:18  hek

	* xaaes/src.km/xa_fsel.c: - pattern make pattern only
	  caseinsensitive if TOS-domain-client

	  - fix bug in uppcase-detection

2010-06-08 20:24  hek

	* xaaes/Changes.hk: [no log message]

2010-06-08 20:16  hek

	* xaaes/src.km/xa_fsel.c: - pattern make pattern only
	  caseinsensitive if TOS-domain-client

	  - fix bug in uppcase-detection

2010-06-02 22:38  alanh

	* xaaes/: Changes.hk, src.km/Makefile, src.km/SRCFILES,
	  src.km/XAAESDEFS, src.km/about.c, src.km/about.h, src.km/adi.c,
	  src.km/adiload.c, src.km/app_man.c, src.km/app_man.h,
	  src.km/c_keybd.c, src.km/c_keybd.h, src.km/c_message.c,
	  src.km/c_message.h, src.km/c_mouse.c, src.km/c_mouse.h,
	  src.km/c_window.c, src.km/cnf_xaaes.c, src.km/cnf_xaaes.h,
	  src.km/debug.c, src.km/debug.h, src.km/desktop.c,
	  src.km/draw_obj.c, src.km/draw_obj.h, src.km/form.c,
	  src.km/global.c, src.km/global.h, src.km/handler.c,
	  src.km/info.c, src.km/info.h, src.km/init.c, src.km/init.h,
	  src.km/k_init.c, src.km/k_init.h, src.km/k_keybd.c,
	  src.km/k_keybd.h, src.km/k_main.c, src.km/k_main.h,
	  src.km/k_mouse.c, src.km/k_mouse.h, src.km/k_shutdown.c,
	  src.km/keycodes.h, src.km/matchpat.c, src.km/matchpat.h,
	  src.km/menuwidg.c, src.km/menuwidg.h, src.km/messages.c,
	  src.km/messages.h, src.km/mscall.c, src.km/mt_gem.h,
	  src.km/mt_gemx.h, src.km/mvdi.c, src.km/mvdi.h, src.km/nkcc-gc.s,
	  src.km/nkcc.c, src.km/nkcc.h, src.km/ob_inlines.h,
	  src.km/obtree.c, src.km/obtree.h, src.km/rectlist.c,
	  src.km/rectlist.h, src.km/render_obj.c, src.km/scrlobjc.c,
	  src.km/scrlobjc.h, src.km/semaphores.c, src.km/semaphores.h,
	  src.km/sys_proc.c, src.km/sys_proc.h, src.km/taskman.c,
	  src.km/taskman.h, src.km/trnfm.c, src.km/trnfm.h, src.km/util.c,
	  src.km/util.h, src.km/vaproto.h, src.km/vdi_parms.h,
	  src.km/version.h, src.km/widgets.c, src.km/widgets.h,
	  src.km/win_draw.c, src.km/xa_aes.h, src.km/xa_appl.c,
	  src.km/xa_appl.h, src.km/xa_defs.h, src.km/xa_evnt.c,
	  src.km/xa_evnt.h, src.km/xa_fnts.c, src.km/xa_fnts.h,
	  src.km/xa_form.c, src.km/xa_form.h, src.km/xa_fsel.c,
	  src.km/xa_fsel.h, src.km/xa_fslx.c, src.km/xa_fslx.h,
	  src.km/xa_global.c, src.km/xa_global.h, src.km/xa_graf.c,
	  src.km/xa_graf.h, src.km/xa_help.txt, src.km/xa_lbox.c,
	  src.km/xa_lbox.h, src.km/xa_list.h, src.km/xa_menu.c,
	  src.km/xa_menu.h, src.km/xa_objc.c, src.km/xa_objc.h,
	  src.km/xa_pdlg.c, src.km/xa_pdlg.h, src.km/xa_rsrc.c,
	  src.km/xa_rsrc.h, src.km/xa_scrp.c, src.km/xa_scrp.h,
	  src.km/xa_shel.c, src.km/xa_shel.h, src.km/xa_types.h,
	  src.km/xa_user_things.h, src.km/xa_vdi.c, src.km/xa_wdlg.c,
	  src.km/xa_wdlg.h, src.km/xa_wind.c, src.km/xa_wind.h,
	  src.km/xaaes.cnf, src.km/xaaes.h, src.km/xaaes.hrd,
	  src.km/xaaes.rsc, src.km/xaaes009.rsc, src.km/xversion.sh,
	  src.km/adi/whlmoose/whlmoose.c, src.km/widgets/baroqwdg.h,
	  src.km/widgets/cbox1214.h, src.km/widgets/cboxwdg.h,
	  src.km/widgets/cboxwidg.h, src.km/widgets/mbox1214.h,
	  src.km/widgets/mboxwdg.h, src.km/widgets/mboxwidg.h,
	  src.km/widgets/monowidg.h, src.km/widgets/xaaeswdg.h,
	  src.km/xaloader/xaloader.c, src.km/xobj/nine-ozk.rsc,
	  src.km/xobj/simple.rsc, src.km/xobj/style.rsc: Merge Helmut's
	  XAAeS changes.

2010-06-02 22:18  hek

	* sys/KERNELDEFS: SINGLE_TASK_SUPPORT is default-option

2010-06-02 21:27  hek

	* sys/cookie.h: COOKIE_fVDI is needed to compile XaAES

2010-06-02 21:24  hek

	* sys/: dosfile.c, k_exec.c, keyboard.c, mint/mem.h, mint/proc.h:
	  add optional single-task-support used by XaAES

2010-05-30 00:16  hek

	* xaaes/Changes.hk: [no log message]

2010-05-30 00:12  hek

	* xaaes/src.km/: draw_obj.c, form.c, handler.c, scrlobjc.c,
	  sys_proc.c, xa_fsel.c: reduce diffs

2010-05-29 23:54  hek

	* xaaes/src.km/taskman.c: no ' ' before "toggle load" in the
	  button-text

2010-05-29 23:54  hek

	* xaaes/src.km/scrlobjc.c: call slider only if rdrw (redraw) is
	  true

2010-05-29 23:54  hek

	* xaaes/src.km/xa_fsel.c: redraw slider when directory-read is done

2010-05-28 22:38  hek

	* xaaes/Changes.hk: [no log message]

2010-05-28 22:18  hek

	* xaaes/src.km/taskman.c: fix numeric overflow when calculating
	  vertical position of ticks in load-display.

2010-05-28 11:27  alanh

	* sys/KERNELDEFS: VERBOSE_BOOT is used at all times

2010-05-28 11:24  alanh

	* sys/KERNELDEFS: Use M68060 for 060 builds

2010-05-26 22:19  hek

	* xaaes/src.km/widgets.c: build_windlist_pu uses shorter entries
	  now if screen-width < 800, depending on mouse-position 12 or 32
	  bytes, to avoid submenu overwriting popup.

2010-05-26 21:37  hek

	* xaaes/src.km/menuwidg.c: dont popup submenu at initial open of a
	  popup.

2010-05-24 21:17  hek

	* sys/keyboard.c: Remove unused keyboard handling code.

2010-05-23 20:16  alanh

	* sys/keyboard.c: Remove unused keyboard handling code.

2010-05-23 11:13  alanh

	* sys/keyboard.c: Fix makes[] size (Helmut)

2010-05-22 21:40  hek

	* sys/keyboard.c: - fix typo in array-size

	  - do not reset kbd_lock in ikbd_scan and kbd_repeat

	  - do not re-enter sys_b_bioskeys while still running

	  - replace numeric by define in loop

2010-05-20 20:48  hek

	* sys/keyboard.c: - call set_keyrepeat_timeout(0) in sys_b_biosbeys
	  - add some debug in sys_b_biosbeys

2010-05-18 16:06  hek

	* xaaes/src.km/taskman.c: taskmanager - in creating non-client-list
	  first check if pid still valid.  - add some additional
	  NULL-pointer-checks.

2010-05-17 19:48  hek

	* xaaes/src.km/: Makefile, xversion.sh: xversion.sh Makefile:

	  use ls to find latest source avoiding -nt to be independant of
	  the installed shell.

2010-05-16 21:52  hek

	* xaaes/Changes.hk: [no log message]

2010-05-16 15:28  hek

	* sys/arch/init_intr.c: remove boot_print

2010-05-16 15:25  hek

	* sys/keyboard.c: - Fix software loading of keyboard tables when
	  using memory protection.	 Area was read-only instead of
	  read-write.

	  - reset kbd_lock in case sys_b_bioskeys() crashes.

	  - some additional debug-code for later use.

2010-05-16 15:25  hek

	* sys/arch/acia.S: - some additional debug-code for later use.

2010-05-16 15:24  hek

	* sys/arch/init_intr.c: Send a key release to the TOS 2.x keyboard
	  handler to disable its key repetition routine if a key is held at
	  startup.

	  Originially by Vincent Riviere - included for aranym-version
	  only.

2010-05-16 14:00  hek

	* xaaes/src.km/cnf_xaaes.c: spaceXinsert may be unset with '=
	  false'

2010-05-16 09:29  hek

	* xaaes/src.km/xa_wdlg.c: New config-variable:
	  spaceXinsert[true,false] in app_options, default false, exchanges
	  space/insert-behaviour in dialogs.

2010-05-16 09:29  hek

	* xaaes/src.km/k_init.c: try to open virtual wk check only if nvdi
	  (reverted previous change): emutos 0.8.5 would crash

2010-05-16 09:29  hek

	* xaaes/src.km/draw_obj.c: - improved sanity-check for state_mask:
	  compare to saved value

	  - emit an ALERT instead of boot-logging

	  - kill the client that has an invalid state_mask

2010-05-16 09:08  hek

	* xaaes/src.km/: cnf_xaaes.c, form.c, k_keybd.c, k_keybd.h,
	  menuwidg.c, scrlobjc.c, xa_fsel.c, xa_types.h: cnf_xaaes.c form.c
	  k_keybd.c k_keybd.h menuwidg.c scrlobjc.c xa_fsel.c xa_types.h:

	  New config-variable: spaceXinsert[true,false] in app_options,
	  default false, exchanges space/insert-behaviour in dialogs.

2010-05-13 21:35  alanh

	* sys/keyboard.c: Fix software loading of keyboard tables when
	  using memory protection.  Area was read-only instead of
	  read-write.

2010-05-11 18:00  hek

	* xaaes/Changes.hk: [no log message]

2010-05-11 17:55  hek

	* xaaes/src.km/xa_pdlg.c: do not use signal to call a callback in
	  callout_pdlg_sub

2010-05-11 17:55  hek

	* xaaes/src.km/xa_appl.c: - enter single-task-mode also if client
	  is already defined in appl_init

	  - single-task-client may launch another app which is then also
	  single-task

2010-05-11 17:55  hek

	* xaaes/src.km/k_main.c: reset single-task-flags for kernel at exit

2010-05-11 17:55  hek

	* xaaes/src.km/init.c: reset single-task-flags for kernel at
	  startup

2010-05-11 17:55  hek

	* xaaes/src.km/form.c: check tedinfo-pointer for 0 in Form_Button

2010-05-11 17:54  hek

	* xaaes/src.km/draw_obj.c: save/restore d3-d7/a3-a6 for call of
	  progdef-callback

2010-05-02 19:03  hek

	* xaaes/Changes.hk: [no log message]

2010-05-02 19:02  hek

	* xaaes/src.km/xa_appl.c: set nxt_menu to std_menu to run
	  swap_menu() in after leaving single-task-mode

2010-05-02 19:02  hek

	* xaaes/src.km/taskman.c: - add info about memory-protection to
	  system-window

	  - rearranged system-window-contents

2010-05-02 19:02  hek

	* xaaes/src.km/k_main.c: pretty-print alert-text

2010-05-02 11:45  hek

	* sys/init.c: cleanup

2010-05-02 11:33  hek

	* xaaes/src.km/: draw_obj.c, xa_appl.c: replace _memflags by
	  modeflags

2010-05-02 11:32  hek

	* sys/mint/mem.h: defines for modeflags now in proc.h

2010-05-02 11:31  hek

	* sys/init.c: correct previous replace

2010-05-02 11:21  hek

	* sys/: dosfile.c, init.c, k_exec.c, keyboard.c, mint/proc.h:
	  replace _memflags by modeflags

2010-05-01 21:38  alanh

	* xaaes/src.km/obtree.c: Disable inline for function as gcc 4.4.3
	  bleets about inability to.

2010-05-01 18:29  alanh

	* sys/Makefile.objs, xaaes/src.km/Makefile.objs: change -lgcc16 to
	  -lgcc

2010-05-01 17:57  hek

	* xaaes/Changes.hk: [no log message]

2010-05-01 17:51  hek

	* xaaes/src.km/k_init.c: try to open virtual wk also if nvdi not
	  present.

2010-05-01 17:40  hek

	* xaaes/src.km/taskman.c: - top Main-Thread instead of Help-Thread
	  when selecting XaSYS.

	  - pass local buffer not env-string to list->add

	  - 'Chunky' pixel-format is now called "Atari" (was "Generic")

2010-05-01 17:39  hek

	* xaaes/src.km/: draw_obj.c, xa_appl.c: draw_obj.c xa_appl.c:

	  Dont reference the basepage of other processes to avoid a
	  memory-violation. Now uses _memflags instead to control the
	  single-task-operation.

2010-05-01 17:33  hek

	* sys/proc.c: inform about wrong interrupt-freq. only in
	  DEBUG-version

2010-05-01 17:30  hek

	* sys/mint/mem.h: draw_obj.c xa_appl.c:

	  Dont reference the basepage of other processes to avoid a
	  memory-violation. Now uses _memflags instead to control the
	  single-task-operation.

2010-05-01 17:26  hek

	* sys/: dosfile.c, k_exec.c, keyboard.c: draw_obj.c xa_appl.c:

	  Dont reference the basepage of other processes to avoid a
	  memory-violation. Now uses _memflags instead to control the
	  single-task-operation.

2010-04-25 21:32  hek

	* xaaes/src.km/xa_shel.c: emit already in single-task-mode only if
	  in single-task-mode

2010-04-25 21:27  hek

	* xaaes/src.km/xa_appl.c: removed unnecessary BLOG-messages

2010-04-25 21:25  hek

	* xaaes/src.km/xa_appl.c: in single-task-mode wake client that
	  called single-task-app first

2010-04-25 20:30  hek

	* xaaes/Changes.hk: [no log message]

2010-04-25 20:21  hek

	* xaaes/src.km/draw_obj.c: made test for valid progdef-addr
	  configurable

2010-04-25 20:20  hek

	* xaaes/src.km/init.c: initialize SingleTaskPid

2010-04-25 20:19  hek

	* xaaes/src.km/xa_types.h: new variable SingleTaskPid in
	  common-structure

2010-04-25 20:17  hek

	* xaaes/src.km/: app_man.c, taskman.c, widgets.c, xa_appl.c,
	  xa_appl.h, xa_shel.c: app_man.c k_init.c taskman.c widgets.c
	  xa_appl.c xa_appl.h xa_shel.c:

	  First version of a single-task-mode in XaAES.

	  This implies:

	  Stop all AES-Clients except the console-owner if any (e.g.
	  toswin)

	  Call ikbd_scan in the kernel directly not via addroottimeout in
	  case the single-task-client disabled the timer-interrupt.

	  To control this currently there has to be the bit 16 (0x10000)
	  set in p_flags of the relevant binary.

	  Any client that has bit 17 (0x20000) set, is not stopped except
	  when the single-task-app has this bit also set, i.e. when it has
	  0x3xxxx.  This may important because the single-task-client
	  possibly does tty-IO, and needs the toswin (or another) console.

2010-04-25 19:58  hek

	* sys/: dosfile.c, k_exec.c, keyboard.c, mint/mem.h: First version
	  of a single-task-mode in XaAES.

	  This implies:

	  Stop all AES-Clients except the console-owner if any (e.g.
	  toswin)

	  Call ikbd_scan in the kernel directly not via addroottimeout in
	  case the single-task-client disabled the timer-interrupt.

	  To control this currently there has to be the bit 16 (0x10000)
	  set in p_flags of the relevant binary.

	  Any client that has bit 17 (0x20000) set, is not stopped except
	  when the single-task-app has this bit also set, i.e. when it has
	  0x3xxxx.  This may important because the single-task-client
	  possibly does tty-IO, and needs the toswin (or another) console.

2010-04-14 07:42  hek

	* sys/dos.c: fix compile again

2010-04-13 17:37  hek

	* sys/sockets/inet4/sockaddr_in.h: update from MAIN

2010-04-13 17:36  hek

	* sys/dos.c: fix compile-error for debug-version

2010-04-12 22:33  hek

	* xaaes/src.km/: taskman.c, xa_appl.c: cleanup

2010-04-11 18:24  hek

	* xaaes/Changes.hk: [no log message]

2010-04-11 18:14  hek

	* xaaes/src.km/xa_shel.c: launch:

		  - if a client is launched from launch_path, and the entry
	  is a
	  symlink, home_path for that client is set to the directory of the
	  link-target. It behaves then as if started from that directory,
	  and finds its resource- and other files.

2010-04-10 01:28  hek

	* sys/mint/proc.h: update from MAIN

2010-04-10 01:20  hek

	* sys/proc.c: fix update-error

2010-04-10 01:19  hek

	* sys/: keyboard.h, libkern/kernel_xfs_xdd.h: update from MAIN

2010-04-10 01:02  hek

	* sys/dosdir.c: update from MAIN

2010-04-10 00:52  hek

	* sys/: mint/fcntl.h, mint/fsops.h, mint/kcompiler.h,
	  sockets/global.h, sockets/inet4/arp.c, sockets/inet4/arpdev.c,
	  sockets/inet4/icmp.c, sockets/inet4/icmp.h, sockets/inet4/if.c,
	  sockets/inet4/if.h, sockets/inet4/ifeth.c, sockets/inet4/in.h,
	  sockets/inet4/init.c, sockets/inet4/ip.c,
	  sockets/inet4/masquerade.c, sockets/inet4/route.c,
	  sockets/inet4/route.h, sockets/inet4/routedev.c,
	  sockets/xif/biodma.c, sockets/xif/biodma.h, sockets/xif/de600.c,
	  sockets/xif/dial.c, sockets/xif/dummyeth.c, sockets/xif/lance.c,
	  sockets/xif/pamsdma.c, sockets/xif/plip.c, sockets/xif/rtl8012.c,
	  sockets/xif/daynaport/scsilink.c,
	  sockets/xif/daynaport/scsilink_func.c,
	  sockets/xif/ethernat/91c111.c, sockets/xif/ethernat/ethernat.c,
	  sockets/xif/nfeth/nfeth.c, sockets/xif/obsolete/biodma.h,
	  xdd/mfp/kgdb_mfp.c, xfs/aranym/aranym_fsdev.c,
	  xfs/ext2fs/ext2dev.c, xfs/ext2fs/ext2sys.c, xfs/ext2fs/ialloc.c,
	  xfs/ext2fs/inode.c, xfs/ext2fs/main.c, xfs/ext2fs/super.c,
	  xfs/minixfs/main.c, xfs/minixfs/minixdev.c, xfs/nfs/index.c,
	  xfs/nfs/nfssys.c: update from MAIN

2010-04-10 00:50  hek

	* sys/xhdi.h: fix compile for gcc2

2010-04-10 00:48  hek

	* sys/: tty.c, umemory.c, unifs.c, xbios.c, xhdi.c,
	  arch/init_mach.c, arch/mprot030.c, libkern/kernel_module.h:
	  update from MAIN

2010-04-10 00:46  hek

	* sys/ssystem.c: fix compile for gcc2

2010-04-10 00:45  hek

	* sys/: proc_help.c, ptrace.c, ramfs.c, slb.c, slb.h,
	  syscall_vectors.c, timeout.c, tosfs.c: update from MAIN

2010-04-10 00:44  hek

	* sys/proc.c: - alternative method for load-calculation:	use
	  time not spent in kernel to get load.

	  - update from MAIN

2010-04-10 00:44  hek

	* sys/module.c: add optional stack- and name-checking

2010-04-10 00:40  hek

	* sys/: memory.h, mis.c: update from MAIN

2010-04-10 00:40  hek

	* sys/memory.c: update from MAIN and slightly changed
	  screen-detection

2010-04-10 00:38  hek

	* sys/keyboard.c: update from MAIN and disable INSERT being
	  modifier

2010-04-10 00:36  hek

	* sys/: k_fds.c, k_fork.c, kernget.c, key_tables.h: update from
	  MAIN

2010-04-10 00:35  hek

	* sys/k_exit.h: fix compile for gcc2

2010-04-10 00:32  hek

	* sys/: dosdir.h, dosfile.c, fatfs.c, filesys.c, ipc_socketdev.c:
	  update from MAIN

2010-04-10 00:31  hek

	* sys/dos.c: - alternative method for load-calculation: 	use
	  time not spent in kernel to get load.

	  - dont kill pgrp 0 and not GEM

	  - update from MAIN

2010-04-10 00:29  hek

	* sys/proc.h: use alternative method for load-calculation: use time
	  not spent in kernel to get load.

2010-04-10 00:18  hek

	* sys/cookie.h: added fVDI-cookie

2010-04-10 00:17  hek

	* sys/: block_IO.c, bootmenu.c, cnf_mint.c, cookie.c: update from
	  MAIN

2010-04-10 00:13  hek

	* sys/: Makefile.objs, biosfs.c: update from MAIN

2010-04-09 21:10  hek

	* xaaes/src.km/scrlobjc.c: avoid buffer-overflow while displaying
	  text-item.

2010-04-09 21:09  hek

	* xaaes/src.km/taskman.c: avoid buffer-overflow while reading
	  /kern.

2010-04-08 22:46  hek

	* xaaes/src.km/xaaes009.rsc: resource-file with slightly changed
	  taskmanager

2010-04-08 19:39  hek

	* xaaes/Changes.hk: [no log message]

2010-04-08 19:35  hek

	* xaaes/src.km/: c_window.c, draw_obj.c, handler.c, k_main.c,
	  obtree.c, xa_form.c, xa_rsrc.c, xa_shel.c: cleanup

2010-04-07 22:39  alanh

	* sys/dosdir.c: Fix cookie cleanups on error paths.

2010-04-07 22:38  alanh

	* sys/unifs.c: remove unnecessary code

2010-04-07 19:44  hek

	* xaaes/src.km/taskman.c: handle_launcher: do not overwrite
	  cfg.launchpath.

2010-04-07 19:42  hek

	* xaaes/src.km/draw_obj.c: d_g_progdef: call progdef-function
	  directly, not via signal.

2010-04-05 21:54  alanh

	* sys/Makefile.objs, xaaes/src.km/Makefile.objs,
	  xaaes/src.km/adi/whlmoose/Makefile: Change gcc16 to gcc (ensure
	  you've got the latest gcc)

2010-04-02 13:14  hek

	* xaaes/src.km/form.c: dont draw whole tree in setup

2010-04-02 11:48  hek

	* xaaes/Changes.hk: [no log message]

2010-04-02 11:46  hek

	* xaaes/src.km/: draw_obj.c, draw_obj.h, form.c, scrlobjc.c:
	  draw_obj.c draw_obj.h form.c scrlobjc.c:

	  use different method to display/remove obejct-cursor. Now it is
	  removed by drawing a rectangle with the assumed background-color
	  and displaying the previously focussed object.

2010-04-02 11:45  hek

	* xaaes/src.km/k_main.c: force killing a client that caused a
	  memory-violation.

2010-04-02 11:45  hek

	* xaaes/src.km/xa_fnts.c: corrected the font-selector: List all
	  fonts, style and family only valid for outline-fonts.

2010-04-02 11:45  hek

	* xaaes/src.km/xa_types.h: An AES-object is only valid if item is
	  >= 0 (was != -1).

2010-04-02 11:44  hek

	* xaaes/src.km/mt_gem.h: added comments for PARMBLK.

2010-04-02 10:45  hek

	* xaaes/src.km/xversion.sh: console-output was wrong

2010-03-28 16:05  hek

	* xaaes/src.km/xa_menu.c: minor optimization

2010-03-28 16:04  hek

	* xaaes/src.km/widgets.h: add prototype for iconify_action

2010-03-28 16:01  hek

	* xaaes/Changes.hk: [no log message]

2010-03-28 15:58  hek

	* xaaes/src.km/xa_help.txt: update for new shortcuts

2010-03-28 15:58  hek

	* xaaes/src.km/: k_keybd.c, widgets.c: k_keybd.c widgets.c:

	  new ctrl-alt-shortcuts:

		  - I: (un-)iconify top window

		  - Cursor right: full top window

2010-03-28 15:57  hek

	* xaaes/src.km/obtree.c: improved alt-shortcuts: added a pass for
	  shortcuts defined in the resource ahead to avoid conflicts.
	  Preference now is:

	  1. predefined shortcuts (>0!) 2. touchexit 3. other

2010-03-28 15:56  hek

	* xaaes/src.km/: draw_obj.c, form.c, xa_objc.c: draw_obj.c form.c
	  xa_objc.c:

	  improved display of object-cursor and edit-cursor.

2010-03-28 15:55  hek

	* xaaes/src.km/c_window.c: include xa_wind.h for XA_wind_set

2010-03-21 15:28  hek

	* xaaes/Changes.hk: [no log message]

2010-03-21 15:27  hek

	* xaaes/src.km/xa_lbox.c: - don't inline f_select (no gain).

	  - minor optimization

2010-03-21 15:27  hek

	* xaaes/src.km/widgets.c: - Use wt-area for dialog, else
	  window-area for widget-area in rp2ap_obtree.

	  - removed a bug that did read from address 0.

2010-03-21 15:26  hek

	* xaaes/src.km/: k_main.c, xa_evnt.c: k_main.c xa_evnt.c:

	  disabled the keyboard-access-patch, it works without it.

2010-03-21 15:26  hek

	* xaaes/src.km/: ob_inlines.h, obtree.c: obtree.c ob_inlines.h:

	  de-inlined disable_object, set_aesobj_uplink, ob_offset,
	  clean_aesobj_links.

2010-03-21 15:22  hek

	* xaaes/src.km/debug.h: added conditional BLOG: BLOGif.

2010-03-17 15:55  hek

	* xaaes/src.km/: c_window.c, handler.c, k_init.c, k_main.c,
	  matchpat.c, menuwidg.c, messages.h, obtree.c, taskman.c,
	  widgets.c, xa_appl.c, xa_defs.h, xa_evnt.c, xa_global.h,
	  xa_menu.c, xa_types.h: update for gcc4 and minor optimizations

2010-03-17 15:54  hek

	* xaaes/src.km/SRCFILES: add mscall.c

2010-03-17 12:27  hek

	* xaaes/src.km/mscall.c: This file contains real functions to
	  substitute the inlined versions

2010-03-14 19:13  hek

	* xaaes/Changes.hk: [no log message]

2010-03-14 19:11  hek

	* xaaes/src.km/xa_fsel.c:	- added experimental code for never
	  blocking fileselector

		  - removed unused variable 'locked'

2010-03-14 19:10  hek

	* xaaes/src.km/xa_shel.c: clients get pgrp of loader again as now
	  the loader catches SIGTERM. This allows clients to read the
	  keyboard.

2010-03-14 19:10  hek

	* xaaes/src.km/xa_graf.c: improved boundary-cheking when resizing
	  windows.  (unfortunately many white-space have crept in)

2010-03-14 19:10  hek

	* xaaes/src.km/win_draw.c: if window has a TOOLBAR real workarea is
	  used to draw window-frames, else workarea.

2010-03-14 19:10  hek

	* xaaes/src.km/taskman.c: windows created for TOOLBAR now listed in
	  taskmanager

2010-03-14 19:10  hek

	* xaaes/src.km/scrlobjc.c: call draw_window always if window has
	  nolist set

2010-03-14 19:09  hek

	* xaaes/src.km/: k_main.c, xa_evnt.c:	- give every call to
	  cancel_evnt_multi in k_main a different second parameter (eases
	  debugging)

		  - EXPERIMENTAL:
			  if focussed client doesn't wait for any event
			  give it some cpu (nap()) to read keyboard (see
	  anyplayer:"whithout
			  GEM"). I encountered anyplayer crashes sometimes
	  if F9 is pressed not reproducible.

2010-03-14 19:08  hek

	* xaaes/src.km/k_keybd.c: call queue_key without checking
	  waiting_pb.

2010-03-11 10:26  hek

	* xaaes/Changes.hk: [no log message]

2010-03-11 10:25  hek

	* xaaes/src.km/xa_graf.c: in check_wh_cp maxw is also checked on
	  horizontal resizing

2010-03-11 10:25  hek

	* xaaes/src.km/taskman.c:	- fixed a bug bar-size-calculation
	  in load-display

		  - OK-Button no more used to calc minimum witdh of
	  taskmanager-window

2010-03-11 10:25  hek

	* xaaes/src.km/form.c: Alert-shortcuts may be entered without
	  pressing ALT.

2010-03-11 10:24  hek

	* xaaes/src.km/draw_obj.c: BOXTEXT-objects also moved when resizing
	  xaaes-windows

2010-03-10 16:36  hek

	* xaaes/Changes.hk: [no log message]

2010-03-10 16:24  hek

	* xaaes/src.km/: xa_aes.h, xa_graf.c: Add N.AES-numbers
	  X_UPDOWN(10) and X_LFTRT(9) for mouse-form. Reported by zorro.

2010-03-09 20:13  hek

	* xaaes/src.km/xa_menu.c: When menu_attach is called with
	  ME_ATTACH(1) and a NULL-pointer for mdata, ME_REMOVE(2) is
	  performed instead.

2010-03-08 20:13  hek

	* xaaes/src.km/: c_window.c, win_draw.c, xa_wind.c: apply some
	  corrections for toolbar-windows if thinwork=false.

2010-03-07 21:24  hek

	* xaaes/Changes.hk: [no log message]

2010-03-07 21:17  hek

	* xaaes/src.km/xa_wind.c: change minimum-window-height according to
	  toolbar

2010-03-07 21:17  hek

	* xaaes/src.km/c_window.c:	- removed previous change to force
	  redrawing the area above vslider (now
			  in set_and_update_window).

		  - better calculation of minimum-window-height

2010-03-07 10:57  hek

	* xaaes/Changes.hk: [no log message]

2010-03-07 10:41  hek

	* xaaes/src.km/scrlobjc.c: call draw_window only if top when
	  resetting widgets for list-window to avoid clipping-error.

2010-03-07 10:36  hek

	* xaaes/Changes.hk: [no log message]

2010-03-07 10:35  hek

	* xaaes/src.km/menuwidg.c: minor optimization

2010-03-07 10:35  hek

	* xaaes/src.km/form.c: disabled unreached code.

2010-03-07 10:35  hek

	* xaaes/src.km/draw_obj.c: use passed lock-value for
	  WM_SIZED-message for list-window on resize.

2010-03-07 10:34  hek

	* xaaes/src.km/c_window.c: - redraw-corrections

		  - draw additional bar only for MENU

		  - increase width of workarea by vslider-width if toolbar
	  installed on resize-redraw

2010-03-07 10:34  hek

	* xaaes/src.km/xversion.sh: if xversion.h does not exist don't
	  break out of loop.

2010-03-05 21:21  hek

	* xaaes/src.km/menuwidg.c: If client of a popup blocked AES (e.g.
	  nonwindowed dialog) set STORE_BACK for the popup-window.

2010-03-04 16:59  hek

	* xaaes/src.km/xa_wind.c: corrected work-area for WF_TOOLBAR

2010-03-04 16:24  hek

	* xaaes/src.km/xversion.sh: break out of loop if a newer file is
	  found (speedup)

2010-03-04 16:23  hek

	* xaaes/src.km/xa_wind.c: set correct size for vertical slider if
	  toolbar installed (below toolbar)

2010-03-04 16:22  hek

	* xaaes/src.km/widgets.c: toolbar obtains whole width of window.

2010-03-04 16:22  hek

	* xaaes/src.km/taskman.c: - kill-clients-during-shutdown-dialog

		  - If client-name cannot be obtained use proc-name from
	  kernel

		  - Print also pid of client

2010-03-04 16:22  hek

	* xaaes/src.km/c_window.c: - redraw if toolbar and vertical slider
	  installed

		  - force redrawing the area above vslider
		    (fails if sized from top-border because in
	  set_and_update
		    "we only redraw window borders here if wind moves"
		    and toolbar-rect is not redrawn (Blitted?))

	  - uniconify if toolbar and vertical slider installed

		  - re-install the toolbar to achieve correct vslider

2010-02-28 21:45  hek

	* xaaes/Changes.hk: [no log message]

2010-02-28 16:39  hek

	* xaaes/src.km/widgets.c: cosmetics

2010-02-28 16:38  hek

	* xaaes/src.km/form.c: Can also handle XTEDINFO-method now when
	  determining start and pos for edit-opjects.

2010-02-28 16:37  hek

	* xaaes/src.km/xa_wind.c: Avoid multiple redraws of toolbar, always
	  redraw work-area.

2010-02-28 16:36  hek

	* xaaes/src.km/c_window.c: If a widget is set but not installed
	  draw a bar to avoid transparence of window.

2010-02-28 16:36  hek

	* xaaes/src.km/taskman.c: Use standard redraw instead of close/open
	  taskmanager to remove load-display.

2010-02-28 16:35  hek

	* xaaes/src.km/xa_wdlg.c: call obj_edit if same obj also in
	  wdialog_event to allow keyboard-input for edit-fields

2010-02-24 20:22  hek

	* xaaes/src.km/: c_window.c, messages.c, widgets.c, xa_wind.c:
	  Fixed toolbar-operations

		  - remove toolbar on an open window
		  - add toolbar to an open window
		  - change toolbar on an open window

2010-02-23 21:52  hek

	* xaaes/src.km/init.c: use "xaaes.cnf" as default in case resource
	  is not defined in xaaes.cnf.

2010-02-22 21:06  hek

	* xaaes/Changes.hk: update

2010-02-22 21:01  hek

	* xaaes/src.km/: XAAESDEFS, init.c, k_init.c, k_main.c: The
	  system-resource-file now has a version-number (currently 0.0.9),
	  which gives xaaes009.rsc.  If this file is not found the name
	  defined in xaaes.cnf by

	  resource = <name>

	  is used if present. So no copying/renaming of resource-files when
	  switching between xaaes-versions is necessary.

2010-02-22 16:57  hek

	* xaaes/Changes.hk: update recent changes

2010-02-21 17:42  hek

	* xaaes/src.km/: about.h, adi.c, adiload.c, app_man.c, c_keybd.h,
	  c_message.c, c_message.h, c_mouse.c, c_mouse.h, cnf_xaaes.h,
	  debug.c, debug.h, desktop.c, global.c, global.h, handler.c,
	  info.c, k_init.c, k_keybd.h, k_main.h, k_mouse.h, keycodes.h,
	  messages.c, mt_gem.h, mt_gemx.h, mvdi.c, mvdi.h, nkcc.c, nkcc.h,
	  ob_inlines.h, rectlist.c, rectlist.h, scrlobjc.c, scrlobjc.h,
	  semaphores.c, sys_proc.c, sys_proc.h, taskman.h, trnfm.h, util.c,
	  util.h, vaproto.h, vdi_parms.h, version.h, widgets.h, win_draw.c,
	  xa_aes.h, xa_appl.h, xa_evnt.c, xa_evnt.h, xa_fnts.h, xa_form.h,
	  xa_fsel.h, xa_fslx.c, xa_fslx.h, xa_global.c, xa_graf.c,
	  xa_graf.h, xa_lbox.h, xa_list.h, xa_menu.c, xa_menu.h, xa_objc.c,
	  xa_objc.h, xa_pdlg.c, xa_pdlg.h, xa_rsrc.c, xa_rsrc.h, xa_scrp.c,
	  xa_scrp.h, xa_shel.h, xa_user_things.h, xa_vdi.c, xa_wdlg.h,
	  xa_wind.c, xa_wind.h: white-space-changes

2010-02-21 17:15  hek

	* xaaes/src.km/xa_global.h: Replaced numbers for array-size with
	  #defined values from xa_defs.h for cfg.Filters.

2010-02-21 17:13  hek

	* xaaes/src.km/xa_fsel.c: If the filename in the edit-field
	  contains meta-characters (one of *?![|), it is interpreted as a
	  pattern. In this case <return> results in refreshing the
	  file-list using this pattern and adding the pattern to the
	  pattern-list, not in entering a directory. The patterns defined
	  in xaaes.cnf remain unchanged.

	  Now 16 patterns of 48 bytes each are possible instead of 23
	  patterns of 16 bytes.

2010-02-21 17:12  hek

	* xaaes/src.km/xaloader/xaloader.c: Some signals are catched.
	  xaloader should not exit for MiNT may be waiting for xaloader.

2010-02-21 17:12  hek

	* xaaes/src.km/: matchpat.c, matchpat.h: Extended pattern-matching:
	  Now matching *[], *!, *![], !<whole pattern> possible. Patterns
	  concatenated with | will result in any pattern to be tested for a
	  match. This allows for example
	  launchpath=<somepath>\*.prg|*.app|*.tos|*.ttp|*.acc|!*.* to
	  filter for extensions typical for executable files.

2010-02-21 17:11  hek

	* xaaes/src.km/xa_defs.h: Created #defines for number and length of
	  patterns.

	  Moved #defines for p_semaphore to xa_defs.h

2010-02-21 17:11  hek

	* xaaes/src.km/taskman.c: Last path-separator is used to split path
	  and pattern instead of * while checking for existing launchpath.

2010-02-21 17:11  hek

	* xaaes/src.km/: init.c, k_main.c: Moved the semaphore-test from
	  init() to k_main(). init() runs on behalf of xaloader. If
	  xaloader get killed the semaphore never will be destroyed.

	  Moved the #defines for p_semaphore to xa_defs.h

2010-02-21 16:39  hek

	* xaaes/src.km/cnf_xaaes.c: | is no longer word-separator.

2010-02-14 22:42  hek

	* xaaes/src.km/xversion.sh: revert previous "optimisation"

2010-02-14 20:45  hek

	* xaaes/src.km/: k_keybd.c, matchpat.c: minor change to reduce diff

2010-02-14 20:17  hek

	* xaaes/src.km/: k_init.c, k_main.c, taskman.c: minor change to
	  reduce diff

2010-02-14 19:43  hek

	* xaaes/src.km/: c_window.c, draw_obj.c: minor change to reduce
	  diff

2010-02-11 19:00  hek

	* xaaes/src.km/: init.c, k_main.c, k_main.h: This patch enables to
	  detect and display the alignment of the stackpointer in all three
	  threads of XaAES. If one is not on a word-boundary, an alert is
	  issued. This patch should be removed later.

	  Some minor optimizations are also included.

2010-02-11 18:59  hek

	* xaaes/src.km/taskman.c: - The presence of the load-display is
	  toggled by the button "toggle load",	  wich replaces "resolution
	  change".

	  - pixel-format and stack-alignment are displayed in
	  System-Window.

2010-02-11 18:49  hek

	* xaaes/src.km/xa_defs.h: removed defines to support old
	  enhancement-branch which is now MAIN.

2010-02-11 18:35  hek

	* sys/: init.c, k_exec.c, k_kthread.c, arch/sig_mach.c,
	  mint/signal.h, mint/arch/context.h: adapt some changes from trunk

2010-02-11 17:33  hek

	* xaaes/src.km/xa_rsrc.c: removed needless boot-log-message.

2010-02-11 17:31  hek

	* xaaes/src.km/matchpat.c: Longest possible match for '*' is used.
	  This enables the pattern '*.pat' to match for example abc.xy.pat.

2010-02-11 17:26  hek

	* xaaes/src.km/xa_fsel.c: Use blue instead of cyan for directories
	  (better contrast).

2010-02-11 17:16  hek

	* xaaes/src.km/trnfm.c: Use vs_color for pixel-detect again.

2010-02-10 21:47  hek

	* xaaes/src.km/xa_shel.c: don't set gid (fixes id-error)

2010-01-15 16:16  alanh

	* xaaes/src.km/xa_help.txt: adaption to current configuration from
	  Helmut.

2010-01-15 16:15  alanh

	* xaaes/src.km/Makefile: using $(SHELL) instead of sh, little
	  efficiency-improvement from Helmut.

2010-01-14 21:56  alanh

	* xaaes/src.km/xversion.sh: minor improvement in determining
	  build-date from Helmut.

2010-01-14 21:55  alanh

	* xaaes/src.km/k_keybd.c: added return in switch to avoid
	  fallthrough removed redundant break

	  Contributed by Helmut.

2010-01-14 21:54  alanh

	* xaaes/src.km/: about.c, draw_obj.c, form.c, info.c, init.c,
	  k_shutdown.c, render_obj.c, taskman.c, trnfm.c, xa_lbox.c,
	  xa_shel.c: Purely cosmetic changes from Helmut.

2010-01-14 21:54  alanh

	* xaaes/src.km/xa_help.txt: Add xa_help.txt from Helmut.

2010-01-14 21:53  alanh

	* xaaes/Changes.hk: Add Changes.hk file from Helmut.

2010-01-14 09:49  alanh

	* sys/unifs.c: Fix problem doing 'ls' at u:/ which returned a
	  ENOENT

2010-01-14 00:11  alanh

	* sys/fatfs.c: Add missing memcpy

2010-01-13 22:21  alanh

	* xaaes/src.km/: k_init.c, k_main.c, k_shutdown.c: If a physical
	  workstation is already open at startup, it is used.  This is
	  tested by trying to open a virtual workstation. If this succeeds
	  this virtual workstation is used and no phyiscal is opened,
	  P_handle gets assigned the value of the virtual handle for now.

	  Temporary workaround in case vq_extnd reports invalid planes.

	  Better test and error-message if xaaes.rsc has wrong version

	  If cannot start, error-message is displayed after wk was closed

	  Reverted previous change in waking up loader

	  Does not join loader-group any more

	  Contributed by Helmut Karlowski

2010-01-13 22:19  alanh

	* xaaes/src.km/xa_rsrc.c: added another sanity-check while loading
	  a resource-file

	  Contributed by Helmut Karlowski

2010-01-13 21:44  alanh

	* sys/sockets/inet4/: arp.c, arpdev.c, if.c, if.h, in.h, route.h,
	  sockaddr_in.h: Bring in GCC 4.x warning fixes from
	  ozk-enhancements branch

2010-01-13 21:44  hek

	* sys/sockets/inet4/sockaddr_in.h: file sockaddr_in.h was added on
	  branch helmut-enhancements on 2010-04-13 16:37:45 +0000

2010-01-13 21:06  alanh

	* sys/dos.c, sys/dosdir.c, sys/dosdir.h, sys/dosfile.c,
	  sys/fatfs.c, sys/filesys.c, sys/k_fds.c, sys/mis.c, sys/ramfs.c,
	  sys/syscall_vectors.c, sys/tosfs.c, sys/arch/sig_mach.c,
	  sys/libkern/kernel_module.h, sys/libkern/kernel_xfs_xdd.h,
	  sys/mint/fcntl.h, sys/mint/fsops.h, sys/mint/proc.h,
	  sys/mint/signal.h, sys/sockets/xif/ethernat/ethernat.c,
	  sys/xfs/ext2fs/ext2dev.c, sys/xfs/ext2fs/inode.c,
	  sys/xfs/ext2fs/main.c, sys/xfs/ext2fs/super.c,
	  sys/xfs/minixfs/main.c, sys/xfs/minixfs/minixdev.c,
	  xaaes/src.km/draw_obj.c, xaaes/src.km/xa_fnts.c,
	  xaaes/src.km/xa_lbox.c, xaaes/src.km/xa_pdlg.c,
	  xaaes/src.km/xa_wdlg.c: Merge freemint-enhancements into
	  ozk-enhancements to reduce diffs to isolated changes.

2010-01-13 21:06  alanh

	* tools/: net-tools/pppconf.c, nfs/mount.c, toswin2/config.c,
	  toswin2/event.c, toswin2/main.c, toswin2/proc.c: Remove 4th
	  parameter passed to get_string() - fixes the complete build now.

2010-01-13 17:19  alanh

	* sys/syscall_vectors.c: Use (Func) identifier to silence warning.

2010-01-13 17:14  alanh

	* sys/libkern/: kernel_module.h, kernel_xfs_xdd.h: Fix entries for
	  new function calls.

2010-01-13 17:13  alanh

	* sys/Makefile.objs, sys/biosfs.c, sys/block_IO.c, sys/cnf_mint.c,
	  sys/cookie.c, sys/dosfile.c, sys/fatfs.c, sys/filesys.c,
	  sys/init.c, sys/ipc_socketdev.c, sys/k_exec.c, sys/k_fds.c,
	  sys/k_fork.c, sys/k_kthread.c, sys/kernget.c, sys/memory.c,
	  sys/memory.h, sys/proc.c, sys/proc_help.c, sys/ptrace.c,
	  sys/ramfs.c, sys/slb.c, sys/tty.c, sys/umemory.c, sys/unifs.c,
	  sys/xbios.c, sys/xhdi.c, sys/arch/init_mach.c, sys/arch/mprot.h,
	  sys/arch/mprot030.c, sys/arch/sig_mach.c, sys/mint/kcompiler.h,
	  sys/mint/arch/context.h, sys/sockets/global.h,
	  sys/sockets/inet4/arp.c, sys/sockets/inet4/arpdev.c,
	  sys/sockets/inet4/icmp.c, sys/sockets/inet4/icmp.h,
	  sys/sockets/inet4/if.c, sys/sockets/inet4/if.h,
	  sys/sockets/inet4/ifeth.c, sys/sockets/inet4/in.h,
	  sys/sockets/inet4/init.c, sys/sockets/inet4/ip.c,
	  sys/sockets/inet4/masquerade.c, sys/sockets/inet4/route.c,
	  sys/sockets/inet4/route.h, sys/sockets/inet4/routedev.c,
	  sys/sockets/xif/biodma.c, sys/sockets/xif/biodma.h,
	  sys/sockets/xif/de600.c, sys/sockets/xif/dial.c,
	  sys/sockets/xif/dummyeth.c, sys/sockets/xif/lance.c,
	  sys/sockets/xif/pamsdma.c, sys/sockets/xif/plip.c,
	  sys/sockets/xif/rtl8012.c, sys/sockets/xif/daynaport/scsilink.c,
	  sys/sockets/xif/daynaport/scsilink_func.c,
	  sys/sockets/xif/ethernat/91c111.c,
	  sys/sockets/xif/ethernat/ethernat.c,
	  sys/sockets/xif/nfeth/nfeth.c, sys/sockets/xif/obsolete/biodma.h,
	  sys/xdd/mfp/kgdb_mfp.c, sys/xfs/aranym/aranym_fsdev.c,
	  sys/xfs/ext2fs/ext2sys.c, sys/xfs/ext2fs/ialloc.c,
	  sys/xfs/nfs/index.c, sys/xfs/nfs/nfssys.c, tools/Makefile,
	  xaaes/src.km/k_mouse.c, xaaes/src.km/adi/moose.h,
	  xaaes/src.km/adi/whlmoose/whlmoose.c,
	  xaaes/src.km/xaloader/crtinit.c,
	  xaaes/src.km/xaloader/xaloader.c: Merge in changes from
	  ozk-enhancements that deal with GCC 4.x warning fixes. (Not all
	  are pulled in yet - more to come).

2010-01-13 17:11  alanh

	* sys/KERNELDEFS, sys/dos.c, sys/dosdir.c, sys/dosdir.h,
	  sys/dosfile.c, sys/fatfs.c, sys/filesys.c, sys/k_fds.c,
	  sys/mis.c, sys/module.c, sys/ramfs.c, sys/syscall_vectors.c,
	  sys/tosfs.c, sys/arch/sig_mach.c, sys/mint/fcntl.h,
	  sys/mint/fsops.h, sys/mint/ioctl.h, sys/mint/module.h,
	  sys/mint/proc.h, sys/mint/signal.h,
	  sys/sockets/xif/ethernat/ethernat.c, sys/xfs/ext2fs/ext2dev.c,
	  sys/xfs/ext2fs/inode.c, sys/xfs/ext2fs/main.c,
	  sys/xfs/ext2fs/super.c, sys/xfs/minixfs/main.c,
	  sys/xfs/minixfs/minixdev.c, tools/net-tools/pppconf.c,
	  tools/nfs/mount.c, xaaes/src.km/draw_obj.c,
	  xaaes/src.km/xa_fnts.c, xaaes/src.km/xa_lbox.c,
	  xaaes/src.km/xa_pdlg.c, xaaes/src.km/xa_wdlg.c: Merge in
	  freemint-enhancements branch

2010-01-13 09:08  alanh

	* xaaes/src.km/xaaes.cnf: update of the example-cnf-file for xaaes
	  using some new or changed elements.

	  Contributed by Helmut Karlowski.

2010-01-11 19:39  alanh

	* xaaes/src.km/: xa_mono.hrd, xa_mono.rsc, xa_xtobj.rsc,
	  xaaeswdg.rsc, img/8b/dbox.img, img/8b/dbutton.img,
	  img/8b/dtext.img, img/8b/exterior.img, img/8b/info.img,
	  img/8b/popbkg.img, img/8b/slide.img, img/8b/slider.img,
	  img/8b/slwtitle.img, img/8b/wtitle.img, img/hc/dbox.img,
	  img/hc/dtext.img, img/hc/exterior.img, img/hc/popbkg.img,
	  img/hc/slide.img, img/hc/slider.img, img/hc/wtitle.img,
	  widgets/adam.rsc, widgets/baroqwdg.h, widgets/baroqwdg.rsc,
	  widgets/cbox1214.h, widgets/cboxwdg.h, widgets/cboxwidg.h,
	  widgets/gemjwdg.rsc, widgets/gilwidg.rsc, widgets/homwdg.rsc,
	  widgets/ligt_wdg.rsc, widgets/magicwdg.rsc, widgets/mbox1214.h,
	  widgets/mboxwdg.h, widgets/mboxwidg.h, widgets/monowidg.h,
	  widgets/monowidg.rsc, widgets/nine-ozk.rsc, widgets/nine-wdg.rsc,
	  widgets/nine_wdg.rsc, widgets/pas_wdg.rsc, widgets/ronb_wdg.rsc,
	  widgets/rond_wdg.rsc, widgets/rondswdg.rsc, widgets/styl_wdg.rsc,
	  widgets/w98_wdg.rsc, widgets/win_wdg.rsc, widgets/xaaeswdg.h,
	  widgets/xaaeswdg.rsc: Updated binary files from Helmut.

2010-01-11 09:49  alanh

	* xaaes/src.km/: xaaes.hrd, xaaes.rsc: New files from Helmut to
	  replace existing.

2010-01-10 20:58  ozk

	* .cvsignore: Updated .cvsignore

2010-01-10 20:57  ozk

	* tools.mak: Removed file accidentally added to versioncontrol.

2010-01-10 20:50  ozk

	* shared/libsyscall/.cvsignore, tools/hypview/bubble/.cvsignore,
	  tools/hypview/dragdrop/.cvsignore, tools/hypview/hyp/.cvsignore,
	  tools/hypview/plain/.cvsignore: Updated .cvsignore files.

2010-01-10 20:29  ozk

	* doc/xaaes/new.txt, xaaes/src.km/c_mouse.c, xaaes/src.km/init.c,
	  xaaes/src.km/k_init.c, xaaes/src.km/k_main.c,
	  xaaes/src.km/k_mouse.h, xaaes/src.km/menuwidg.c,
	  xaaes/src.km/ob_inlines.h, xaaes/src.km/obtree.c,
	  xaaes/src.km/xa_menu.c, xaaes/src.km/xa_types.h,
	  xaaes/src.km/xaaes_module.h, xaaes/src.km/xad_defs.h,
	  xaaes/src.km/xad_load.c, xaaes/src.km/xad_load.h,
	  xaaes/src.km/adi/BINFILES, xaaes/src.km/adi/EXTRAFILES,
	  xaaes/src.km/adi/MISCFILES, xaaes/src.km/adi/Makefile,
	  xaaes/src.km/adi/SRCFILES, xaaes/src.km/adi/adidefs.h,
	  xaaes/src.km/adi/moose.h, xaaes/src.km/xa_api.c,
	  xaaes/src.km/xa_api.h, xaaes/src.km/xaapi.h, xaaes/src.km/xad.c,
	  xaaes/src.km/xad.h: READ THE FILE new.txt found in doc/xaaes!
	  Reorganized XaAES API things into files, giving files better
	  names.  Changed/cleaned up moose handling to conform to new
	  module framework under development.  Some cleanups.

2010-01-10 20:13  ozk

	* xaaes/src.km/: adi/whlmoose/.cvsignore, adi/whlmoose/BINFILES,
	  adi/whlmoose/COPYING, adi/whlmoose/MISCFILES,
	  adi/whlmoose/SRCFILES, adi/whlmoose/vex_x.s, Makefile, SRCFILES,
	  adi.c, adi.h, adiload.c, adiload.h, c_mouse.c, init.c, k_init.c,
	  k_main.c, k_mouse.h, menuwidg.c, ob_inlines.h, obtree.c,
	  xa_api.c, xa_api.h, xa_menu.c, xa_types.h, xaaes_module.h,
	  xaapi.h, xad.c, xad.h, xad_defs.h, xad_load.c, xad_load.h,
	  adi/whlmoose/EXTRAFILES, adi/whlmoose/Makefile,
	  adi/whlmoose/README, adi/whlmoose/whlmoose.c,
	  adi/whlmoose/whlmoose_w.c: READ THE FILE new.txt found in
	  doc/xaaes! Reorganized XaAES API things into files, giving files
	  better names.  Changed/cleaned up moose handling to conform to
	  new module framework under development.  Some cleanups.

2010-01-09 21:32  alanh

	* xaaes/src.km/: draw_obj.c, obtree.c: Fix build problem with
	  obtree_is_menu from Helmut.

2010-01-09 21:29  ozk

	* CONFIGVARS, tools/hypview/CONFIGVARS, tools/hypview/Makefile,
	  tools/hypview/hyp/Makefile, tools/net-tools/CONFIGVARS,
	  tools/net-tools/Makefile, tools/sysctl/CONFIGVARS,
	  tools/sysctl/Makefile: Added CONFIGVARS to some build
	  directories.

2010-01-09 21:28  ozk

	* sys/: module.c, libkern/kernel_module.h: Added some comments. Far
	  from complete, but its a start.  Added a macro DEVICE_METHODS

2010-01-09 21:26  ozk

	* xaaes/src.km/: adiload.c, desktop.c, init.c, obtree.c,
	  render_obj.c, xa_fnts.c, xa_form.c, xa_fsel.c, xa_pdlg.c,
	  xa_types.h, Makefile, SRCFILES, about.c, form.c, k_init.c,
	  k_keybd.c, k_main.c, k_mouse.c, k_shutdown.c, menuwidg.c,
	  messages.c, taskman.c, xa_api.c, xa_api.h, xaaes_module.h,
	  xaapi.h, adi/whlmoose/whlmoose.c: Moved XaAES API definition into
	  own files. Added version fields to the API.  Cleaned up some of
	  the unused things in xa_types.h and added some comments to
	  adiload.

2010-01-09 18:14  alanh

	* sys/tbl/Britain/british.tbl, sys/tbl/Czech/czech_iso.tbl,
	  sys/tbl/Czech/czech_kam.tbl, sys/tbl/France/french.tbl,
	  sys/tbl/Germany/german.tbl, sys/tbl/Italy/italian.tbl,
	  sys/tbl/Poland/british-pl.tbl, sys/tbl/Poland/french-pl.tbl,
	  sys/tbl/Poland/german-pl.tbl, sys/tbl/Poland/italian-pl.tbl,
	  sys/tbl/Poland/spanish-pl.tbl,
	  sys/tbl/Poland/swiss_french-pl.tbl,
	  sys/tbl/Poland/swiss_german-pl.tbl, sys/tbl/Poland/usa-pl.tbl,
	  sys/tbl/Poland/fonts/ISO-8859-2.fnt,
	  sys/tbl/Poland/fonts/system08.fnt,
	  sys/tbl/Poland/fonts/system10.fnt, sys/tbl/Spain/spanish.tbl,
	  sys/tbl/Switzerland/swiss_french.tbl,
	  sys/tbl/Switzerland/swiss_german.tbl, xaaes/src.km/draw_obj.c,
	  xaaes/src.km/k_keybd.c, xaaes/src.km/taskman.c,
	  xaaes/src.km/xa_shel.c: Commit fixes for build problems from
	  Helmut.

2010-01-09 11:27  ozk

	* tools/IO/mint_io.c, tools/hypview/include/mem.h,
	  tools/mgw/main.c, xaaes/src.km/adi/whlmoose/whlmoose_w.c: No new
	  features. Only cleanups to make everything compile under GCC
	  4.4.2 Everything compiles, not all things are tested. More work
	  needs to be done before it compiles totally without -Wno-xxx.

2010-01-09 11:11  ozk

	* sys/sockets/xif/daynaport/scsilink_func.c, tools/cops/adaptrsc.c,
	  tools/cops/cops.c, tools/cops/popup.c, tools/cops/wlib.c,
	  tools/net-tools/slinkctl/slinkctl.c, xaaes/src.km/XAAESDEFS,
	  xaaes/src.km/app_man.c, CONFIGVARS, tools.mak,
	  sys/sockets/inet4/arp.c, sys/sockets/inet4/arpdev.c,
	  sys/sockets/inet4/if.c, sys/sockets/inet4/if.h,
	  sys/sockets/inet4/in.h, sys/sockets/inet4/route.h,
	  sys/sockets/inet4/sockaddr_in.h, tools/hypview/dl_av.c,
	  tools/hypview/dl_dhst.c, tools/hypview/dl_user.c,
	  tools/hypview/hyp.h, tools/hypview/window.c,
	  tools/hypview/hyp/click.c, tools/hypview/hyp/lh5d.c,
	  tools/hypview/hyp/load.c, tools/hypview/hyp/prepare.c,
	  tools/hypview/hyp/search_d.c, tools/hypview/hyp/search_d.h,
	  tools/lpflush/lpflush.c, tools/minix/fsck/global.h,
	  tools/net-tools/ifstats.c, tools/net-tools/tests/client.c,
	  tools/net-tools/tests/dgram.c, tools/net-tools/tests/dgramd.c,
	  tools/net-tools/tests/server.c, tools/net-tools/tests/speed.c,
	  tools/net-tools/tests/speed2.c, tools/net-tools/tests/speedd.c,
	  xaaes/src.km/xaloader/crtinit.c,
	  xaaes/src.km/xaloader/xaloader.c, sys/sockets/xif/rieblmst.c,
	  sys/sockets/xif/rieblmst_fast.c, sys/sockets/xif/rieblspc.c,
	  sys/sockets/xif/rieblspc_fast.c, sys/sockets/xif/rieblste.c,
	  sys/sockets/xif/riebltt.c, sys/xdd/mfp/mfp.c,
	  sys/xdd/mfp/mfp_mil.c, tools/crypto/crypt.c, tools/crypto/io.c,
	  tools/crypto/main.c, tools/fdisk/fdisk.c, tools/fdisk/sfdisk.c,
	  tools/fsetter/fsetter.c, tools/gluestik/gs_config.c,
	  tools/gluestik/gs_mem.c, tools/gluestik/gs_stik.c,
	  tools/gluestik/main.c, tools/strace/print.c,
	  tools/strace/strace.c, tools/toswin2/config.c,
	  tools/toswin2/main.c, tools/toswin2/proc.c,
	  tools/toswin2/textwin.c, tools/toswin2/twterm.c, sys/KERNELDEFS,
	  sys/sockets/buf.h, sys/sockets/xif/ethernat/91c111.c,
	  sys/sockets/xif/ethernat/ethernat.c, tools/IO/mint_io.c,
	  tools/hypview/bubble/bgh.c, tools/hypview/include/mem.h,
	  tools/toswin2/event.c, xaaes/src.km/adi/whlmoose/whlmoose_w.c: No
	  new features. Only cleanups to make everything compile under GCC
	  4.4.2 Everything compiles, not all things are tested. More work
	  needs to be done before it compiles totally without -Wno-xxx.

2010-01-09 11:08  alanh

	* xaaes/src.km/: info.c, info.h, init.c: Add info.[ch] from Helmut
	  and apply fix for branch build.

2010-01-08 22:56  alanh

	* sys/: key_tables.h, keyboard.c, keyboard.h: Added support for
	  deadkeys. Two keystrokes can be combined to produce an accented
	  character, depending on the loaded keyboard table. The keyboard
	  table file format is extended with a NULL-terminated
	  'deadkey'-table.  This extended table can still be built with
	  mktbl.

	  Patch contributed by Jo Even Skarstein.

2010-01-08 22:53  alanh

	* sys/Makefile.objs, xaaes/src.km/Makefile.objs,
	  xaaes/src.km/adi/whlmoose/Makefile: Use -lgcc16 (mshort version)
	  (from ozk-enhancements)

	  This implies that folks who build GCC should symlink
	  mshort/libgcc.a to libgcc16.a in the parent directory.

2010-01-08 22:23  alanh

	* sys/bootmenu.c: Re-enable debug_level from bootmenu (taken from
	  ozk-enhancements)

2010-01-07 14:33  alanh

	* sys/KERNELDEFS, sys/arch/mprot030.c, sys/sockets/inet4/in.h,
	  sys/sockets/xif/daynaport/scsilink_func.c,
	  sys/sockets/xif/ethernat/91c111.c,
	  sys/sockets/xif/ethernat/ethernat.c,
	  xaaes/src.km/xaloader/crtinit.c: Fix -Werror generated problems
	  (-Werror problems are being fixed on ozk-enhancements)

2010-01-07 09:19  alanh

	* sys/mint/ioctl.h: Missing #define for KM_FREE

2010-01-06 18:32  alanh

	* sys/: dosdir.c, dosfile.c: Remove unused code

2010-01-06 18:31  alanh

	* sys/KERNELDEFS: Ensure aranym mint.prg is called mintara.prg

2010-01-06 18:21  alanh

	* sys/xfs/: ext2fs/main.c, minixfs/main.c: Enforce the build kernel
	  with the module version for ext2 & minix FS's.

2010-01-06 17:25  alanh

	* sys/fatfs.c, tools/hypview/block.c, tools/hypview/config.c,
	  tools/hypview/dl_avcmd.c, tools/hypview/dl_bubbl.c,
	  tools/hypview/dl_user.h, tools/hypview/error.c,
	  tools/hypview/hyp_view.c, tools/hypview/dragdrop/dragdrop.c,
	  tools/hypview/dragdrop/dragdrop.h, tools/hypview/hyp/cache.c,
	  tools/hypview/hyp/prepare.c: Merge from mainline code

2010-01-06 17:16  alanh

	* sys/fatfs.c: Fix FATFS problem when renaming directories and the
	  parent directory extended more than twice (ie. more than two ..)

2010-01-06 17:15  alanh

	* sys/fatfs.c: Fix memory leak when traversing directories in a
	  rename

2010-01-06 17:11  alanh

	* sys/fatfs.c: Fix FATFS problem when renaming directories and the
	  parent directory extended more than twice (ie. more than two ..)

2010-01-06 17:09  alanh

	* sys/fatfs.c: Fix memory leak when traversing directories in a
	  rename

2010-01-04 23:13  alanh

	* xaaes/src.km/xa_defs.h: Don't define enhancements define as it's
	  from HEAD code

2010-01-04 23:13  alanh

	* xaaes/src.km/xversion.sh: Add version script

2010-01-04 23:01  alanh

	* sys/: module.c, mint/module.h: Add support for unloading kernel
	  modules via KM_FREE ioctl.

2010-01-04 22:31  alanh

	* xaaes/src.km/: CONFIGVARS, Makefile, SRCFILES, about.c, adi.c,
	  adiload.c, app_man.c, app_man.h, c_keybd.c, c_mouse.c,
	  c_window.c, cnf_xaaes.c, debug.c, debug.h, desktop.c, draw_obj.c,
	  form.c, global.h, init.c, init.h, k_init.c, k_init.h, k_keybd.c,
	  k_main.c, k_main.h, k_mouse.c, k_mouse.h, k_shutdown.c,
	  matchpat.c, menuwidg.c, menuwidg.h, messages.h, nkcc-gc.s,
	  ob_inlines.h, obtree.c, obtree.h, rectlist.c, rectlist.h,
	  render_obj.c, scrlobjc.c, semaphores.c, semaphores.h, taskman.c,
	  taskman.h, trnfm.c, util.c, util.h, vdi_parms.h, version.h,
	  widgets.c, widgets.h, win_draw.c, xa_appl.c, xa_appl.h,
	  xa_defs.h, xa_evnt.c, xa_fnts.c, xa_form.c, xa_fsel.c, xa_fsel.h,
	  xa_global.c, xa_global.h, xa_lbox.c, xa_menu.c, xa_mono.hrd,
	  xa_mono.rsc, xa_objc.c, xa_pdlg.c, xa_rsrc.c, xa_rsrc.h,
	  xa_shel.c, xa_types.h, xa_vdi.c, xa_wdlg.c, xa_wind.c,
	  xa_xtobj.rsc, xaaes.cnf, xaaes.h, xaaes.hrd, xaaes.rsc,
	  xaaeswdg.rsc, adi/whlmoose/whlmoose.c, img/8b/dbox.img,
	  img/8b/dbutton.img, img/8b/dtext.img, img/8b/exterior.img,
	  img/8b/info.img, img/8b/popbkg.img, img/8b/slide.img,
	  img/8b/slider.img, img/8b/slwtitle.img, img/8b/wtitle.img,
	  img/hc/dbox.img, img/hc/dtext.img, img/hc/exterior.img,
	  img/hc/popbkg.img, img/hc/slide.img, img/hc/slider.img,
	  img/hc/wtitle.img, widgets/adam.rsc, widgets/baroqwdg.rsc,
	  widgets/gemjwdg.rsc, widgets/gilwidg.rsc, widgets/homwdg.rsc,
	  widgets/ligt_wdg.rsc, widgets/magicwdg.rsc, widgets/monowidg.rsc,
	  widgets/nine-ozk.rsc, widgets/nine-wdg.rsc, widgets/nine_wdg.rsc,
	  widgets/pas_wdg.rsc, widgets/ronb_wdg.rsc, widgets/rond_wdg.rsc,
	  widgets/rondswdg.rsc, widgets/styl_wdg.rsc, widgets/w98_wdg.rsc,
	  widgets/win_wdg.rsc, widgets/xaaeswdg.rsc, xaloader/xaloader.c,
	  xobj/nine-ozk.rsc, xobj/simple.rsc, xobj/style.rsc: Create new
	  branch helmut-enhancements for Helmut Karlowski.

2010-01-04 22:22  ozk

	* sys/xdd/mfp/mfp_mil.c: file mfp_mil.c was added on branch
	  ozk-enhancements on 2010-01-09 11:11:39 +0000

2010-01-04 22:22  alanh

	* .cvsignore, CONFIGVARS, sys/KERNELDEFS, sys/Makefile.objs,
	  sys/bios.c, sys/biosfs.c, sys/block_IO.c, sys/bootmenu.c,
	  sys/cnf_mint.c, sys/cookie.c, sys/debug.c, sys/dosfile.c,
	  sys/fatfs.c, sys/filesys.c, sys/info.c, sys/init.c,
	  sys/ipc_socketdev.c, sys/k_exec.c, sys/k_fds.c, sys/k_fork.c,
	  sys/k_kthread.c, sys/kernfs.c, sys/kernget.c, sys/memory.c,
	  sys/memory.h, sys/module.c, sys/module.h, sys/pci.c, sys/pci.h,
	  sys/proc.c, sys/proc_help.c, sys/procfs.c, sys/ptrace.c,
	  sys/ramfs.c, sys/shmfs.c, sys/slb.c, sys/tty.c, sys/umemory.c,
	  sys/unifs.c, sys/xbios.c, sys/xhdi.c, sys/arch/check_exc.c,
	  sys/arch/context.S, sys/arch/context.h, sys/arch/init_mach.c,
	  sys/arch/intr.S, sys/arch/mprot.h, sys/arch/mprot.x,
	  sys/arch/mprot030.c, sys/arch/mprot040.c, sys/arch/sig_mach.c,
	  sys/arch/magic/genmagic.c, sys/libkern/kernel_module.h,
	  sys/mint/falcon.h, sys/mint/kcompiler.h, sys/mint/kentry.h,
	  sys/mint/kerinfo.h, sys/mint/mem.h, sys/mint/module.h,
	  sys/mint/proc.h, sys/mint/arch/context.h, sys/sockets/Makefile,
	  sys/sockets/global.h, sys/sockets/inet4/Makefile,
	  sys/sockets/inet4/arp.c, sys/sockets/inet4/arpdev.c,
	  sys/sockets/inet4/icmp.c, sys/sockets/inet4/icmp.h,
	  sys/sockets/inet4/if.c, sys/sockets/inet4/if.h,
	  sys/sockets/inet4/ifeth.c, sys/sockets/inet4/ifload.c,
	  sys/sockets/inet4/in.h, sys/sockets/inet4/init.c,
	  sys/sockets/inet4/ip.c, sys/sockets/inet4/masquerade.c,
	  sys/sockets/inet4/route.c, sys/sockets/inet4/route.h,
	  sys/sockets/inet4/routedev.c, sys/sockets/xif/Makefile,
	  sys/sockets/xif/biodma.c, sys/sockets/xif/biodma.h,
	  sys/sockets/xif/de600.c, sys/sockets/xif/dial.c,
	  sys/sockets/xif/dummyeth.c, sys/sockets/xif/lance.c,
	  sys/sockets/xif/pamsdma.c, sys/sockets/xif/plip.c,
	  sys/sockets/xif/rtl8012.c, sys/sockets/xif/daynaport/scsilink.c,
	  sys/sockets/xif/ethernat/ethernat.c,
	  sys/sockets/xif/nfeth/nfeth.c, sys/sockets/xif/obsolete/biodma.h,
	  sys/tbl/Britain/british.tbl, sys/tbl/Czech/!Ctime,
	  sys/tbl/Czech/czech_iso.tbl, sys/tbl/Czech/czech_kam.tbl,
	  sys/tbl/France/french.tbl, sys/tbl/Germany/german.tbl,
	  sys/tbl/Italy/italian.tbl, sys/tbl/Poland/british-pl.tbl,
	  sys/tbl/Poland/french-pl.tbl, sys/tbl/Poland/german-pl.tbl,
	  sys/tbl/Poland/italian-pl.tbl, sys/tbl/Poland/spanish-pl.tbl,
	  sys/tbl/Poland/swiss_french-pl.tbl,
	  sys/tbl/Poland/swiss_german-pl.tbl, sys/tbl/Poland/usa-pl.tbl,
	  sys/tbl/Poland/fonts/ISO-8859-2.fnt,
	  sys/tbl/Poland/fonts/system08.fnt,
	  sys/tbl/Poland/fonts/system10.fnt, sys/tbl/Spain/spanish.tbl,
	  sys/tbl/Switzerland/swiss_french.tbl,
	  sys/tbl/Switzerland/swiss_german.tbl, sys/xdd/mfp/kgdb_mfp.c,
	  sys/xdd/mfp/mfp_mil.c, sys/xfs/aranym/aranym_fsdev.c,
	  sys/xfs/ext2fs/ext2sys.c, sys/xfs/ext2fs/ialloc.c,
	  sys/xfs/nfs/index.c, sys/xfs/nfs/nfssys.c,
	  xaaes/src.km/Makefile.objs, xaaes/src.km/SRCFILES,
	  xaaes/src.km/XAAESDEFS, xaaes/src.km/about.c, xaaes/src.km/adi.c,
	  xaaes/src.km/adiload.c, xaaes/src.km/app_man.c,
	  xaaes/src.km/app_man.h, xaaes/src.km/c_keybd.c,
	  xaaes/src.km/c_mouse.c, xaaes/src.km/c_window.c,
	  xaaes/src.km/debug.c, xaaes/src.km/debug.h,
	  xaaes/src.km/desktop.c, xaaes/src.km/draw_obj.c,
	  xaaes/src.km/form.c, xaaes/src.km/global.h, xaaes/src.km/init.c,
	  xaaes/src.km/init.h, xaaes/src.km/k_init.c,
	  xaaes/src.km/k_init.h, xaaes/src.km/k_main.c,
	  xaaes/src.km/k_main.h, xaaes/src.km/k_mouse.c,
	  xaaes/src.km/k_mouse.h, xaaes/src.km/k_shutdown.c,
	  xaaes/src.km/menuwidg.c, xaaes/src.km/menuwidg.h,
	  xaaes/src.km/messages.h, xaaes/src.km/ob_inlines.h,
	  xaaes/src.km/obtree.c, xaaes/src.km/obtree.h,
	  xaaes/src.km/rectlist.c, xaaes/src.km/rectlist.h,
	  xaaes/src.km/render_obj.c, xaaes/src.km/scrlobjc.c,
	  xaaes/src.km/semaphores.c, xaaes/src.km/semaphores.h,
	  xaaes/src.km/strings.aes, xaaes/src.km/taskman.c,
	  xaaes/src.km/taskman.h, xaaes/src.km/trnfm.c,
	  xaaes/src.km/util.c, xaaes/src.km/util.h,
	  xaaes/src.km/vdi_parms.h, xaaes/src.km/widgets.c,
	  xaaes/src.km/widgets.h, xaaes/src.km/win_draw.c,
	  xaaes/src.km/xa_defs.h, xaaes/src.km/xa_evnt.c,
	  xaaes/src.km/xa_fnts.c, xaaes/src.km/xa_form.c,
	  xaaes/src.km/xa_fsel.c, xaaes/src.km/xa_global.c,
	  xaaes/src.km/xa_global.h, xaaes/src.km/xa_menu.c,
	  xaaes/src.km/xa_objc.c, xaaes/src.km/xa_pdlg.c,
	  xaaes/src.km/xa_rsrc.c, xaaes/src.km/xa_rsrc.h,
	  xaaes/src.km/xa_types.h, xaaes/src.km/xa_vdi.c,
	  xaaes/src.km/xa_wdlg.c, xaaes/src.km/xa_wind.c,
	  xaaes/src.km/xaaes_module.h, xaaes/src.km/adi/adidefs.h,
	  xaaes/src.km/adi/moose.h, xaaes/src.km/adi/whlmoose/Makefile,
	  xaaes/src.km/adi/whlmoose/whlmoose.c: Revert Odd's changes to
	  25th December 2009 and put them onto a new branch called
	  ozk-enhancements.

	  I don't like doing this, but Odd has requested as currently the
	  build is broken and Odd isn't sure when he'll complete his
	  changes.

	  There's some good stuff in here though, so it'd be nice to start
	  cherry picking from it asap.

2010-01-03 12:51  ozk

	* CONFIGVARS: Forgot to remove private stuff

2010-01-03 12:46  ozk

	* xaaes/src.km/about.c, xaaes/src.km/adi.c, xaaes/src.km/adiload.c,
	  xaaes/src.km/app_man.c, .cvsignore, CONFIGVARS, sys/KERNELDEFS,
	  sys/bios.c, sys/debug.c, sys/proc_help.c, sys/unifs.c,
	  sys/xbios.c, sys/arch/init_mach.c,
	  sys/sockets/xif/daynaport/scsilink.c,
	  sys/sockets/xif/ethernat/ethernat.c, sys/xdd/mfp/mfp_mil.c: Fixed
	  some things missed during cleanup.

2010-01-02 16:53  ozk

	* sys/: pci.c, pci.h: Added forgotten files

2010-01-02 16:33  ozk

	* sys/: KERNELDEFS, cookie.c, k_exec.c, module.c, umemory.c,
	  unifs.c, xdd/mfp/kgdb_mfp.c: Fixed minor things hiding inside
	  DEBUG_INFO #ifdefs

2010-01-02 16:32  ozk

	* xaaes/src.km/: Makefile.objs, SRCFILES, XAAESDEFS, adi.c,
	  adiload.c, app_man.c, app_man.h, c_keybd.c, c_mouse.c,
	  c_window.c, debug.c, debug.h, desktop.c, draw_obj.c, form.c,
	  global.h, init.c, init.h, k_init.c, k_init.h, k_main.c, k_main.h,
	  k_mouse.c, k_mouse.h, k_shutdown.c, menuwidg.c, menuwidg.h,
	  messages.h, ob_inlines.h, obtree.c, obtree.h, rectlist.c,
	  rectlist.h, render_obj.c, scrlobjc.c, semaphores.c, semaphores.h,
	  strings.aes, taskman.c, taskman.h, trnfm.c, util.c, util.h,
	  vdi_parms.h, widgets.c, widgets.h, win_draw.c, xa_defs.h,
	  xa_evnt.c, xa_fnts.c, xa_form.c, xa_fsel.c, xa_global.c,
	  xa_global.h, xa_menu.c, xa_objc.c, xa_pdlg.c, xa_rsrc.c,
	  xa_rsrc.h, xa_types.h, xa_vdi.c, xa_wdlg.c, xa_wind.c,
	  xaaes_module.h, adi/adidefs.h, adi/moose.h,
	  adi/whlmoose/Makefile, adi/whlmoose/whlmoose.c: First merge of my
	  old stuff with latest stuff. To test now one must create a folder
	  kalled 'XAM' in the same place as xaaes binary. Then compile
	  moose. Copy moose.adi or moose_w.adi into that folder and rename
	  extension from adi to adm. Because of work in progress, one must
	  use binaries compiled from the latest sources for this to work.

2010-01-01 16:06  ozk

	* sys/: KERNELDEFS, Makefile.objs, bios.c, biosfs.c, block_IO.c,
	  bootmenu.c, cnf_mint.c, cookie.c, debug.c, dosfile.c, fatfs.c,
	  filesys.c, info.c, init.c, ipc_socketdev.c, k_exec.c, k_fds.c,
	  k_fork.c, k_kthread.c, kernfs.c, kernget.c, memory.c, memory.h,
	  module.c, module.h, proc.c, proc_help.c, procfs.c, ptrace.c,
	  ramfs.c, shmfs.c, slb.c, tty.c, umemory.c, unifs.c, xbios.c,
	  xhdi.c, arch/check_exc.c, arch/context.S, arch/context.h,
	  arch/init_mach.c, arch/intr.S, arch/mprot.h, arch/mprot.x,
	  arch/mprot030.c, arch/mprot040.c, arch/sig_mach.c,
	  arch/magic/genmagic.c, libkern/kernel_module.h, mint/falcon.h,
	  mint/kcompiler.h, mint/kentry.h, mint/kerinfo.h, mint/mem.h,
	  mint/module.h, mint/proc.h, mint/arch/context.h,
	  tbl/Britain/british.tbl, tbl/Czech/!Ctime,
	  tbl/Czech/czech_iso.tbl, tbl/Czech/czech_kam.tbl,
	  tbl/France/french.tbl, tbl/Germany/german.tbl,
	  tbl/Italy/italian.tbl, tbl/Poland/british-pl.tbl,
	  tbl/Poland/french-pl.tbl, tbl/Poland/german-pl.tbl,
	  tbl/Poland/italian-pl.tbl, tbl/Poland/spanish-pl.tbl,
	  tbl/Poland/swiss_french-pl.tbl, tbl/Poland/swiss_german-pl.tbl,
	  tbl/Poland/usa-pl.tbl, tbl/Poland/fonts/ISO-8859-2.fnt,
	  tbl/Poland/fonts/system08.fnt, tbl/Poland/fonts/system10.fnt,
	  tbl/Spain/spanish.tbl, tbl/Switzerland/swiss_french.tbl,
	  tbl/Switzerland/swiss_german.tbl, xfs/aranym/aranym_fsdev.c,
	  xfs/ext2fs/ext2sys.c, xfs/ext2fs/ialloc.c, xfs/nfs/index.c,
	  xfs/nfs/nfssys.c: Cleaned up sources to compile with GCC 4.4.2.
	  New feature, load/unload kernel modules started.

2010-01-01 15:33  ozk

	* sys/sockets/: Makefile, global.h, inet4/Makefile, inet4/arp.c,
	  inet4/arpdev.c, inet4/icmp.c, inet4/icmp.h, inet4/if.c,
	  inet4/if.h, inet4/ifeth.c, inet4/ifload.c, inet4/in.h,
	  inet4/init.c, inet4/ip.c, inet4/masquerade.c, inet4/route.c,
	  inet4/route.h, inet4/routedev.c: Cleaned up sources to compile
	  with GCC 4.4.2.

2010-01-01 15:30  ozk

	* sys/sockets/xif/: Makefile, biodma.c, biodma.h, de600.c, dial.c,
	  dummyeth.c, lance.c, pamsdma.c, plip.c, rtl8012.c, nfeth/nfeth.c,
	  obsolete/biodma.h: Cleaned up sources to compile with GCC 4.4.2,
	  but nothing is tested!

2009-12-24 15:40  alanh

	* sys/: mint/ioctl.h, module.c, mint/module.h: Add support for
	  unloading kernel modules via KM_FREE ioctl.

	  Contributed by Helmut Karlowski

2009-12-20 21:00  alanh

	* xaaes/src.km/: nkcc-gc.s, xa_global.c, xa_global.h: Sanitize
	  XAAES trap handling

	  Contributed by Vincent Riviere

2009-12-20 20:58  alanh

	* xaaes/src.km/: nkcc-gc.s, xa_global.c, xa_global.h: Sanitize
	  xaaes trap handling

	  Contributed by Vincent Riviere

2009-12-12 20:54  alanh

	* sys/mint/: proc.h: Fix ISTKSIZE which caused 68000 boot fault -
	  ST's and STE's boot again

2009-09-28 16:45  alanh

	* sys/mint/proc.h: Increase the process name size to 32 instead of
	  8

2009-08-31 17:23  alanh

	* doc/cnf.txt, doc/mp.txt, doc/unixmode.txt, doc/atari/ARGV.txt,
	  doc/atari/f_lock.txt, doc/programmer/kerinfo.txt,
	  doc/programmer/newcall.html/index.html, doc/xaaes/usrguide.txt,
	  shared/libsyscall/pars.y, shared/libsyscall/syscalldefs.h,
	  shared/libsyscall/syscallparser.c,
	  shared/libsyscall/syscallparser.h, sys/syscalls.master,
	  sys/misc/rejected/gryf-hidegemdos.diff,
	  sys/sockets/xif/daynaport/lowlevel.s,
	  sys/sockets/xif/daynaport/scsi_commands.txt, sys/tbl/USA/uk2us.s,
	  sys/xfs/ext2fs/ChangeLog.old, sys/xfs/minixfs/COPYING,
	  tools/fsetter/history.txt, tools/fsetter/liesmich,
	  tools/hypview/block.c, tools/hypview/config.c,
	  tools/hypview/dl_avcmd.c, tools/hypview/dl_bubbl.c,
	  tools/hypview/dl_user.h, tools/hypview/error.c,
	  tools/hypview/hyp_view.bgh, tools/hypview/hyp_view.c,
	  tools/hypview/hyp_view.cfg, tools/hypview/hyp_view.h,
	  tools/hypview/hyp_view.rsm, tools/hypview/bubble/bgh.c,
	  tools/hypview/bubble/bgh.h, tools/hypview/bubble/bubble.h,
	  tools/hypview/bubble/history.txt,
	  tools/hypview/bubble/libbgh.prj, tools/hypview/bubble/test.bgh,
	  tools/hypview/bubble/test.c, tools/hypview/doc/anleitun.txt,
	  tools/hypview/doc/history.txt, tools/hypview/doc/hypdoc.txt,
	  tools/hypview/doc/todo.txt, tools/hypview/dragdrop/dragdrop.c,
	  tools/hypview/dragdrop/dragdrop.h,
	  tools/hypview/dragdrop/libdgdp.prj, tools/hypview/hyp/cache.c,
	  tools/hypview/hyp/gfx.s, tools/hypview/hyp/prepare.c,
	  tools/hypview/include/av.h, tools/hypview/include/dhst.h,
	  tools/hypview/include/scancode.h, tools/hypview/release/README,
	  tools/hypview/release/hyp_view.cfg,
	  tools/hypview/skins/liesmich.txt, tools/minix/COPYING,
	  tools/minix/docs/address.doc, tools/minix/docs/bugs.doc,
	  tools/minix/docs/flist.doc, tools/minix/docs/fsck.doc,
	  tools/minix/docs/latest.doc, tools/minix/docs/mfsconf.doc,
	  tools/minix/docs/mfsdoc.doc, tools/minix/docs/minit.doc,
	  tools/minix/docs/minixfs.doc, tools/minix/docs/readme.doc,
	  tools/minix/docs/syscall.doc, tools/net-tools/ifopts.c,
	  tools/net-tools/pppconf.c, tools/nfs/mount.c,
	  tools/swkbdtbl/swkbdtbl.c, tools/toswin2/english/de-en.txt,
	  xaaes/src.km/CHANGES.txt, xaaes/src.km/app_man.c,
	  xaaes/src.km/app_man.h, xaaes/src.km/c_mouse.c,
	  xaaes/src.km/c_window.c, xaaes/src.km/c_window.h,
	  xaaes/src.km/debug.c, xaaes/src.km/debug.h,
	  xaaes/src.km/desktop.c, xaaes/src.km/desktop.h,
	  xaaes/src.km/form.c, xaaes/src.km/form.h, xaaes/src.km/global.h,
	  xaaes/src.km/init.c, xaaes/src.km/k_init.c,
	  xaaes/src.km/k_init.h, xaaes/src.km/k_keybd.c,
	  xaaes/src.km/k_main.c, xaaes/src.km/k_main.h,
	  xaaes/src.km/k_mouse.c, xaaes/src.km/k_mouse.h,
	  xaaes/src.km/menuwidg.c, xaaes/src.km/messages.c,
	  xaaes/src.km/mvdi.c, xaaes/src.km/newcalls.txt,
	  xaaes/src.km/obtree.c, xaaes/src.km/obtree.h,
	  xaaes/src.km/rectlist.c, xaaes/src.km/rectlist.h,
	  xaaes/src.km/render_obj.c, xaaes/src.km/scrlobjc.c,
	  xaaes/src.km/semaphores.c, xaaes/src.km/taskman.c,
	  xaaes/src.km/trnfm.c, xaaes/src.km/trnfm.h,
	  xaaes/src.km/widgets.c, xaaes/src.km/widgets.h,
	  xaaes/src.km/xa_defs.h, xaaes/src.km/xa_form.c,
	  xaaes/src.km/xa_fsel.c, xaaes/src.km/xa_global.c,
	  xaaes/src.km/xa_graf.c, xaaes/src.km/xa_graf.h,
	  xaaes/src.km/xa_shel.c, xaaes/src.km/xa_types.h,
	  xaaes/src.km/xa_vdi.c, xaaes/src.km/xa_wdlg.c,
	  xaaes/src.km/xa_wdlg.h, xaaes/src.km/widgets/baroqwdg.h,
	  xaaes/src.km/widgets/cbox1214.h, xaaes/src.km/widgets/cboxwdg.h,
	  xaaes/src.km/widgets/cboxwidg.h, xaaes/src.km/widgets/mbox1214.h,
	  xaaes/src.km/widgets/mboxwdg.h, xaaes/src.km/widgets/mboxwidg.h,
	  xaaes/src.km/widgets/monowidg.h, xaaes/src.km/widgets/xaaeswdg.h,
	  xaaes/src.km/xobj/nine-ozk.h, xaaes/src.km/xobj/simple.h,
	  xaaes/src.km/xobj/style.h: Merge from HEAD

2009-08-31 17:14  alanh

	* doc/cnf.txt, doc/mp.txt, doc/unixmode.txt, doc/atari/ARGV.txt,
	  doc/atari/f_lock.txt, doc/programmer/kerinfo.txt,
	  doc/programmer/newcall.html/index.html, doc/xaaes/usrguide.txt,
	  sys/misc/rejected/gryf-hidegemdos.diff,
	  sys/sockets/xif/daynaport/lowlevel.s,
	  sys/sockets/xif/daynaport/scsi_commands.txt, sys/tbl/USA/uk2us.s,
	  sys/xfs/ext2fs/ChangeLog.old, sys/xfs/minixfs/COPYING,
	  tools/fsetter/history.txt, tools/fsetter/liesmich,
	  tools/hypview/block.c, tools/hypview/config.c,
	  tools/hypview/dl_avcmd.c, tools/hypview/dl_bubbl.c,
	  tools/hypview/dl_user.h, tools/hypview/error.c,
	  tools/hypview/hyp_view.bgh, tools/hypview/hyp_view.c,
	  tools/hypview/hyp_view.cfg, tools/hypview/hyp_view.h,
	  tools/hypview/hyp_view.rsm, tools/hypview/bubble/bgh.c,
	  tools/hypview/bubble/bgh.h, tools/hypview/bubble/bubble.h,
	  tools/hypview/bubble/history.txt,
	  tools/hypview/bubble/libbgh.prj, tools/hypview/bubble/test.bgh,
	  tools/hypview/bubble/test.c, tools/hypview/doc/anleitun.txt,
	  tools/hypview/doc/history.txt, tools/hypview/doc/hypdoc.txt,
	  tools/hypview/doc/todo.txt, tools/hypview/dragdrop/dragdrop.c,
	  tools/hypview/dragdrop/dragdrop.h,
	  tools/hypview/dragdrop/libdgdp.prj, tools/hypview/hyp/cache.c,
	  tools/hypview/hyp/gfx.s, tools/hypview/hyp/prepare.c,
	  tools/hypview/include/av.h, tools/hypview/include/dhst.h,
	  tools/hypview/include/scancode.h, tools/hypview/release/README,
	  tools/hypview/release/hyp_view.cfg,
	  tools/hypview/skins/liesmich.txt, tools/minix/COPYING,
	  tools/minix/docs/address.doc, tools/minix/docs/bugs.doc,
	  tools/minix/docs/flist.doc, tools/minix/docs/fsck.doc,
	  tools/minix/docs/latest.doc, tools/minix/docs/mfsconf.doc,
	  tools/minix/docs/mfsdoc.doc, tools/minix/docs/minit.doc,
	  tools/minix/docs/minixfs.doc, tools/minix/docs/readme.doc,
	  tools/minix/docs/syscall.doc, tools/net-tools/ifopts.c,
	  tools/net-tools/pppconf.c, tools/nfs/mount.c,
	  tools/swkbdtbl/swkbdtbl.c, tools/toswin2/english/de-en.txt,
	  xaaes/src.km/CHANGES.txt, xaaes/src.km/newcalls.txt,
	  xaaes/src.km/widgets/baroqwdg.h, xaaes/src.km/widgets/cbox1214.h,
	  xaaes/src.km/widgets/cboxwdg.h, xaaes/src.km/widgets/cboxwidg.h,
	  xaaes/src.km/widgets/mbox1214.h, xaaes/src.km/widgets/mboxwdg.h,
	  xaaes/src.km/widgets/mboxwidg.h, xaaes/src.km/widgets/monowidg.h,
	  xaaes/src.km/widgets/xaaeswdg.h, xaaes/src.km/xobj/nine-ozk.h,
	  xaaes/src.km/xobj/simple.h, xaaes/src.km/xobj/style.h: Remove ^M

2009-08-28 13:45  alanh

	* sys/dosdir.c: Fix build problem

2009-08-27 12:35  alanh

	* sys/syscalls.master, sys/sockets/xif/ethernat/ethernat.c,
	  tools/net-tools/ifopts.c, xaaes/src.km/xa_wdlg.c: Fix conflicts

2009-08-27 12:25  alanh

	* shared/libsyscall/pars.y, shared/libsyscall/syscalldefs.h,
	  shared/libsyscall/syscallparser.c,
	  shared/libsyscall/syscallparser.h, sys/syscalls.master,
	  sys/sockets/xif/ethernat/SRCFILES,
	  sys/sockets/xif/ethernat/ethernat.c, tools/Makefile,
	  tools/hypview/.cvsignore, tools/hypview/bubble/.cvsignore,
	  tools/hypview/dragdrop/.cvsignore, tools/hypview/hyp/.cvsignore,
	  tools/hypview/hyp/Makefile, tools/hypview/plain/.cvsignore,
	  tools/net-tools/ifopts.c, xaaes/src.km/app_man.c,
	  xaaes/src.km/app_man.h, xaaes/src.km/c_mouse.c,
	  xaaes/src.km/c_window.c, xaaes/src.km/c_window.h,
	  xaaes/src.km/debug.c, xaaes/src.km/debug.h,
	  xaaes/src.km/desktop.c, xaaes/src.km/desktop.h,
	  xaaes/src.km/form.c, xaaes/src.km/form.h, xaaes/src.km/global.h,
	  xaaes/src.km/init.c, xaaes/src.km/k_init.c,
	  xaaes/src.km/k_init.h, xaaes/src.km/k_keybd.c,
	  xaaes/src.km/k_main.c, xaaes/src.km/k_main.h,
	  xaaes/src.km/k_mouse.c, xaaes/src.km/k_mouse.h,
	  xaaes/src.km/menuwidg.c, xaaes/src.km/messages.c,
	  xaaes/src.km/mvdi.c, xaaes/src.km/obtree.c,
	  xaaes/src.km/obtree.h, xaaes/src.km/rectlist.c,
	  xaaes/src.km/rectlist.h, xaaes/src.km/render_obj.c,
	  xaaes/src.km/scrlobjc.c, xaaes/src.km/semaphores.c,
	  xaaes/src.km/taskman.c, xaaes/src.km/trnfm.c,
	  xaaes/src.km/trnfm.h, xaaes/src.km/widgets.c,
	  xaaes/src.km/widgets.h, xaaes/src.km/xa_defs.h,
	  xaaes/src.km/xa_form.c, xaaes/src.km/xa_fsel.c,
	  xaaes/src.km/xa_global.c, xaaes/src.km/xa_graf.c,
	  xaaes/src.km/xa_graf.h, xaaes/src.km/xa_shel.c,
	  xaaes/src.km/xa_types.h, xaaes/src.km/xa_vdi.c,
	  xaaes/src.km/xa_wdlg.c, xaaes/src.km/xa_wdlg.h: Merge changes
	  from HEAD into freemint-enhancements

2009-08-22 09:47  alanh

	* xaaes/src.km/: obtree.c, xa_wdlg.c: Fix the build after recent
	  changes.

2009-08-13 12:21  fna

	* xaaes/src.km/: form.c, form.h, global.h, init.c, k_init.c,
	  k_init.h, k_keybd.c, k_main.c, k_main.h, k_mouse.c, k_mouse.h,
	  menuwidg.c, messages.c, mvdi.c, obtree.c, obtree.h, rectlist.c,
	  rectlist.h, render_obj.c, scrlobjc.c, semaphores.c, taskman.c,
	  trnfm.c, trnfm.h, widgets.c, widgets.h, xa_defs.h, xa_form.c,
	  xa_fsel.c, xa_global.c, xa_graf.c, xa_graf.h, xa_shel.c,
	  xa_types.h, xa_vdi.c, xa_wdlg.h: Contributed by Helmut Karlowski:

	  - app_man.c	  removed some unused code	  made some locally
	  used functions static

	  - app_man.h	  removed some prototypes for now static or unused
	  functions

	  - c_mouse.c	  removed some unused code	  made some locally
	  used functions static 	avoid drawing of a windowed
	  form_do-dialog twice at opening

	  - c_window.h	  removed some prototypes for now static or unused
	  functions

	  - debug.c	  added functions for simple
	  preprocessor-controlled profiling

	  - debug.h	  added preprocessor-macros for profiling

	  - desktop.c	  removed some unused code	  made some locally
	  used functions static 	cursor for focussed object drawn
	  with MD_REPLACE instead of ME_TRANS for better visibility

	  - form.c	  removed some unused code	  made some locally
	  used functions static 	further improved handling of
	  form_do-dialogs    insert now uses Form_Button, so all clickable
	  objects are handled	    scrolling in list-windows by PgUp/PgDn
	  now works right from the start

	  - global.h	  defined STATIC as static for previously extern,
	  now static symbols

	  - init.c	  removed some unused code	  made some locally
	  used functions static

	  - k_init.c	  removed some unused code	  made some locally
	  used functions static

	  - k_main.c	  removed some unused code	  made some locally
	  used functions static 	added a call to close the profile
	  (which isn't reached ...)

	  - k_main.h	  removed some prototypes for now static or unused
	  functions

	  - k_mouse.c	  removed some unused code	  made some locally
	  used functions static 	eiffel_wheel() had been deactivated
	  in previous patch

	  - k_mouse.h	  removed some prototypes for now static or unused
	  functions

	  - messages.c	  removed some unused code

	  - mvdi.c	  removed some unused code	  made some locally
	  used functions static

	  - obtree.c	  removed some unused code	  made some locally
	  used functions static 	removed an unused parameter (wt) in
	  some scrap-related functions	      added a function to write a
	  string to the clipboard

	  - obtree.h	  removed some prototypes for now static or unused
	  functions	 added the prototype for copy_string_to_clipbrd

	  - rectlist.c	  removed some unused code	  made some locally
	  used functions static

	  - rectlist.h	  removed some prototypes for now static or unused
	  functions

	  - scrlobjc.c	  possibility to profile some of the code (see
	  debug.c/h)	     added strlen() - its a tick faster      append
	  a blank to italic text for it is not correct displayed sometimes
	  (fvdi?)	  speed-optimized rendering of lists (assuming
	  unproportional fonts, constant distance between lines of equal
	  height)     speed-optimized insertion of elements in sorted lists
	    slightly changed the layout for tables (tabbing)	    first
	  column in a table is prop_clipped (the ...) in the middle now
	  avoid unneccesary redraws (new flag SIF_DIRTY)  avoid vertical
	  blitting	   added new function sl_set_selected to set focus
	  into window	  force focus to be in (file-) list by simulating a
	  cursor-up or down keypress on page-up/down	added new shortcut:
	  Ctrl-C to copy list-entry to clipboard

	  - semaphores.c  removed some unused code

	  - taskman.c	  removed some unused code

	  - trnfm.c	  removed some unused code	  made some locally
	  used functions static

	  - trnfm.h	  removed some prototypes for now static or unused
	  functions

	  - widgets.c	  made some locally used functions static

	  - widgets.h	  removed some prototypes for now static or unused
	  functions

	  - xa_defs.h	  defined ALT_CTRL_APP_OPS	  0 to be sure not
	  to lose keypresses	 defined PRESERVE_DIALOG_BGD	 1 which
	  seems to have no effect

	  - xa_fsel.c	  possibility to profile some of the code (see
	  debug.c/h)	     added strcmp() - its a tick faster      added
	  strnccmp() - certain chars are considered equal   avoid
	  unneccesary redraws (new flag SIF_DIRTY)  sorting by name is
	  faster now   tried to have only one type of path-separator in a
	  path	       tried to improve layout of columns      added new
	  function to set the shortcut for "Cancel/Ok":
	  fs_set_shortcut_letter  removed ping() if a drive doesnt exist
	  pressing Ctrl-C copies path/file to clipboard   pressing Ctrl-O
	  opens the menu  copied some docs from some webpage	  try to
	  set focus to pre-selected item if given by caller

	  - xa_global.c   removed some unused code	  made some locally
	  used functions static

	  - xa_graf.c	  made some locally used functions static

	  - xa_graf.h	  removed some prototypes for now static or unused
	  functions

	  - xa_shel.c	  removed some unused code

	  - xa_types.h	  added some comments	  added SIF_DIRTY to
	  scroll_info_flags

	  - xa_vdi.c	  added profiling-support	  removed
	  xa_gbar(v, 0, r) in xa_write_disable

	  - xa_wdlg.c	  removed some unused code	  made some locally
	  used functions static

	  - xa_wdlg.h	  removed a prototype for now static function

2009-08-13 12:15  fna

	* xaaes/src.km/: app_man.c, app_man.h, c_mouse.c, c_window.c,
	  c_window.h, debug.c, debug.h, desktop.c, desktop.h: Contributed
	  by Helmut Karlowski:

	  - app_man.c	  removed some unused code	  made some locally
	  used functions static

	  - app_man.h	  removed some prototypes for now static or unused
	  functions

	  - c_mouse.c	  removed some unused code	  made some locally
	  used functions static 	avoid drawing of a windowed
	  form_do-dialog twice at opening

	  - c_window.h	  removed some prototypes for now static or unused
	  functions

	  - debug.c	  added functions for simple
	  preprocessor-controlled profiling

	  - debug.h	  added preprocessor-macros for profiling

	  - desktop.c	  removed some unused code	  made some locally
	  used functions static 	cursor for focussed object drawn
	  with MD_REPLACE instead of ME_TRANS for better visibility

	  - form.c	  removed some unused code	  made some locally
	  used functions static 	further improved handling of
	  form_do-dialogs    insert now uses Form_Button, so all clickable
	  objects are handled	    scrolling in list-windows by PgUp/PgDn
	  now works right from the start

	  - global.h	  defined STATIC as static for previously extern,
	  now static symbols

	  - init.c	  removed some unused code	  made some locally
	  used functions static

	  - k_init.c	  removed some unused code	  made some locally
	  used functions static

	  - k_main.c	  removed some unused code	  made some locally
	  used functions static 	added a call to close the profile
	  (which isn't reached ...)

	  - k_main.h	  removed some prototypes for now static or unused
	  functions

	  - k_mouse.c	  removed some unused code	  made some locally
	  used functions static 	eiffel_wheel() had been deactivated
	  in previous patch

	  - k_mouse.h	  removed some prototypes for now static or unused
	  functions

	  - messages.c	  removed some unused code

	  - mvdi.c	  removed some unused code	  made some locally
	  used functions static

	  - obtree.c	  removed some unused code	  made some locally
	  used functions static 	removed an unused parameter (wt) in
	  some scrap-related functions	      added a function to write a
	  string to the clipboard

	  - obtree.h	  removed some prototypes for now static or unused
	  functions	 added the prototype for copy_string_to_clipbrd

	  - rectlist.c	  removed some unused code	  made some locally
	  used functions static

	  - rectlist.h	  removed some prototypes for now static or unused
	  functions

	  - scrlobjc.c	  possibility to profile some of the code (see
	  debug.c/h)	     added strlen() - its a tick faster      append
	  a blank to italic text for it is not correct displayed sometimes
	  (fvdi?)	  speed-optimized rendering of lists (assuming
	  unproportional fonts, constant distance between lines of equal
	  height)     speed-optimized insertion of elements in sorted lists
	    slightly changed the layout for tables (tabbing)	    first
	  column in a table is prop_clipped (the ...) in the middle now
	  avoid unneccesary redraws (new flag SIF_DIRTY)  avoid vertical
	  blitting	   added new function sl_set_selected to set focus
	  into window	  force focus to be in (file-) list by simulating a
	  cursor-up or down keypress on page-up/down	added new shortcut:
	  Ctrl-C to copy list-entry to clipboard

	  - semaphores.c  removed some unused code

	  - taskman.c	  removed some unused code

	  - trnfm.c	  removed some unused code	  made some locally
	  used functions static

	  - trnfm.h	  removed some prototypes for now static or unused
	  functions

	  - widgets.c	  made some locally used functions static

	  - widgets.h	  removed some prototypes for now static or unused
	  functions

	  - xa_defs.h	  defined ALT_CTRL_APP_OPS	  0 to be sure not
	  to lose keypresses	 defined PRESERVE_DIALOG_BGD	 1 which
	  seems to have no effect

	  - xa_fsel.c	  possibility to profile some of the code (see
	  debug.c/h)	     added strcmp() - its a tick faster      added
	  strnccmp() - certain chars are considered equal   avoid
	  unneccesary redraws (new flag SIF_DIRTY)  sorting by name is
	  faster now   tried to have only one type of path-separator in a
	  path	       tried to improve layout of columns      added new
	  function to set the shortcut for "Cancel/Ok":
	  fs_set_shortcut_letter  removed ping() if a drive doesnt exist
	  pressing Ctrl-C copies path/file to clipboard   pressing Ctrl-O
	  opens the menu  copied some docs from some webpage	  try to
	  set focus to pre-selected item if given by caller

	  - xa_global.c   removed some unused code	  made some locally
	  used functions static

	  - xa_graf.c	  made some locally used functions static

	  - xa_graf.h	  removed some prototypes for now static or unused
	  functions

	  - xa_shel.c	  removed some unused code

	  - xa_types.h	  added some comments	  added SIF_DIRTY to
	  scroll_info_flags

	  - xa_vdi.c	  added profiling-support	  removed
	  xa_gbar(v, 0, r) in xa_write_disable

	  - xa_wdlg.c	  removed some unused code	  made some locally
	  used functions static

	  - xa_wdlg.h	  removed a prototype for now static function

2009-07-27 15:22  alanh

	* sys/sockets/xif/ethernat/SRCFILES: Fix typo

2009-07-20 21:01  fna

	* xaaes/src.km/: form.c, k_keybd.c, obtree.c, widgets.c:
	  Contributed by Helmut Karlowski:

	  - Insert-key selects/deselects an object   If an object is
	  SELECTABLE, pressing the Insert-key now toggles the
	  SELECTED-state. This should not interfere with any application,
	  because   Insert had no meaning in form_do before.	Objects
	  with the following properties are ignored here:    -
	  Radio-buttons    - Touchexit	  - Default

	  - Sightly changed the search algorithm in
	  ob_find_next_any_flagstate()	 The items do not have to be placed
	  in a perfect grid but may have more	 deliberate coordinates.

	  - Consistance between focus and edited object on first open of a
	  dialog.    Sometimes the focus pointed to another object than
	  keyboard input went	 to. In windowed mode, if the focussed
	  object is EDITABLE, keyboard-input	now goes to it. In
	  nonwindowed dialogs this is not guaranteed (see below).

2009-06-18 09:53  fna

	* xaaes/src.km/form.c: Keyboard-input goes now into the selected
	  form in a dialog (fixes bug #161). Contributed by Helmut
	  Karlowski.

2009-06-08 15:02  alanh

	* sys/sockets/xif/ethernat/ethernat.c: zero the mac address buffer
	  so we don't print garbage.

2009-06-04 10:14  alanh

	* tools/hypview/: .cvsignore, bubble/.cvsignore,
	  dragdrop/.cvsignore: file .cvsignore was added on branch
	  freemint-enhancements on 2009-08-27 11:25:00 +0000

2009-06-04 10:14  alanh

	* tools/hypview/: hyp/.cvsignore, plain/.cvsignore: file .cvsignore
	  was added on branch freemint-enhancements on 2009-08-27 11:25:01
	  +0000

2009-06-04 10:14  fna

	* tools/: Makefile, hypview/.cvsignore, hypview/bubble/.cvsignore,
	  hypview/dragdrop/.cvsignore, hypview/hyp/.cvsignore,
	  hypview/hyp/Makefile, hypview/plain/.cvsignore: Added hypview to
	  the build list, added missing .cvsignore files.

2009-05-27 23:03  fna

	* shared/libsyscall/pars.y, shared/libsyscall/syscalldefs.h,
	  shared/libsyscall/syscallparser.c,
	  shared/libsyscall/syscallparser.h, sys/syscalls.master: Updated
	  against mintlib.

2009-01-27 09:05  alanh

	* sys/dos.c: make _SC_ARG_MAX match our local_limits ARG_MAX (makes
	  xargs work)

2009-01-16 21:08  alanh

	* sys/mis.c: Use DOM_MINT instead of 1

2009-01-16 21:08  alanh

	* sys/filesys.c: remove old code which is #if 0'd out

2009-01-16 21:06  alanh

	* sys/dos.c: For the freemint-enhancements branch....

	  Let _SC_ARG_MAX return 4096 instead of 126, at least matches that
	  of _POSIX_ARG_MAX (include/bits/posix1_lim.h), and is lower than
	  ARG_MAX (include/bits/local_lim.h)

	  Add _SC_CLK_TCK, _SC_PAGE_SIZE/_SC_PAGESIZE and _SC_PHYS_PAGES

2008-11-23 22:17  alanh

	* sys/sockets/: inet4/tcputil.c, inet4/udp.c, xif/de600.h: merge
	  from trunk

2008-11-23 22:16  alanh

	* tools/: net-tools/ifopts.c, net-tools/pppconf.c, nfs/mount.c: Fix
	  some build issues (these really shouldn't be in the kernel build)

2008-11-23 21:57  alanh

	* sys/sockets/: inet4/tcputil.c, inet4/udp.c, xif/de600.h: Fixes
	  for GCC 4.3.x

	  Patch by MiKRO

2008-11-23 21:52  alanh

	* tools/: gluestik/Makefile, mgw/Makefile, net-tools/Makefile,
	  net-tools/arp.c, net-tools/iflink.c, net-tools/ifopts.c,
	  net-tools/ifstats.c, net-tools/pppconf.c,
	  net-tools/slinkctl/Makefile, net-tools/tests/Makefile,
	  nfs/Makefile, strace/Makefile: merge from trunk

2008-11-23 21:35  alanh

	* sys/filesys.c: Fix some path lookup problems.

2008-11-23 21:28  alanh

	* sys/dosfile.c: Fix a crash when closing fd's

2008-11-22 21:50  alanh

	* tools/net-tools/: arp.c, iflink.c, ifopts.c, ifstats.c: Fix some
	  warnings

2008-11-22 21:40  alanh

	* tools/net-tools/ifopts.c: remove LINE_MAX as it's defined in
	  posix2_lim.h

2008-11-22 21:37  alanh

	* tools/: net-tools/Makefile, gluestik/Makefile, mgw/Makefile,
	  net-tools/slinkctl/Makefile, net-tools/tests/Makefile,
	  nfs/Makefile, strace/Makefile: remove -lsocket

2008-11-21 08:33  alanh

	* sys/dos.c: return ENOSYS from ARG_MAX (126 is just too small)

2008-11-21 08:32  alanh

	* sys/unifs.c: Let the compiler decide

2008-11-21 08:31  alanh

	* sys/tosfs.c: Use PATH_MAX

2008-11-21 08:31  alanh

	* sys/sockets/xif/ethernat/: 91c111.c, 91c111.h, ethernat.c: merge
	  from trunk

2008-11-21 01:20  alanh

	* sys/xfs/ext2fs/super.c: support larger inodes

2008-11-21 01:20  alanh

	* sys/xfs/ext2fs/inode.c: Correct some ALERT messages

2008-11-18 21:13  alanh

	* sys/: dosdir.c, dosfile.c: Add additional dirent sanity checks.

2008-11-10 21:58  alanh

	* sys/sockets/xif/ethernat/: 91c111.c, 91c111.h, ethernat.c: Fix
	  long standing EtherNAT bug with hanging at startup.

	  Also add default ethernet address of 01:02:03:04:05:06 if the
	  ethernat.inf file isn't found.

2008-11-02 22:47  alanh

	* xaaes/src.km/: draw_obj.c, xa_fnts.c, xa_lbox.c, xa_pdlg.c,
	  xa_wdlg.c: SA_RESET -> SA_RESETHAND

2008-11-02 20:28  alanh

	* sys/mint/signal.h: remove from SAKERNEL

2008-11-02 20:13  alanh

	* sys/: arch/sig_mach.c, mint/signal.h: rename SA_RESET to
	  SA_RESETHAND and expose to userspace

2008-10-20 20:56  alanh

	* sys/: dosdir.c, dosdir.h, dosfile.c, fatfs.c, k_fds.c, ramfs.c,
	  syscall_vectors.c, syscalls.master, mint/fcntl.h, mint/fsops.h,
	  xfs/ext2fs/ext2dev.c, xfs/minixfs/minixdev.c: Add support for:

	  long _cdecl sys_f_chdir	  (short fd); long _cdecl
	  sys_f_opendir   (short fd); long _cdecl sys_f_dirfd
	  (long handle);

	  and filesystem flags:

	  O_NOATIME O_DIRECTORY

2008-08-19 23:20  landemarre

	* tools/toswin2/: av.c, main.c: Add run .tos  with a simple
	  VA_START message Filename tos software pass by argument can be
	  more long

2008-06-28 14:36  fna

	* sys/dosfile.c: Missing check for readonly access in Ffchown().

2008-06-28 14:35  fna

	* sys/dosfile.c: Fseek on a terminal should return ESPIPE. Patch
	  contributed by Alan Hourihane.

2008-06-27 15:05  fna

	* sys/: block_IO.c, dosfile.c: Clean up some mirrored local
	  variables. Patch conributed by Alan Hourihane.

2008-06-15 09:57  fna

	* sys/filesys.c: Allow "C:" constructs *inside* pathnames. Patch
	  contributed by Alan Hourihane.

2008-05-27 17:11  ggs

	* xaaes/src.km/newcalls.txt: Wrong bits in AES_FUNCTIONS

2008-05-20 10:49  fna

	* tools/toswin2/vt52.c: Bugfix in VT52 emulation, leaving
	  altcharset mode didn't worked.  Reported by Ben Wiley Sittler.

2008-04-18 21:42  ggs

	* tools/hypview/: dl_user.c, hyp_view.cfg, hyp_view.h,
	  hyp_view.hrd, hyp_view.rsc, hyp_view.rsm, pc.prj, window.c,
	  doc/todo.txt, hyp/search_d.c, hyp_view/english.hrd,
	  hyp_view/english.rsc, hyp_view/german.hrd, hyp_view/german.rsc,
	  release/hyp_view.cfg: You can use HYPFIND, only tested with MagiC

2008-04-10 12:03  fna

	* sys/xdd/skeleton/dummy.c: Install the dummy/example device driver
	  correctly under u:/dev/dummy.

2008-04-07 19:29  ggs

	* tools/hypview/include/av.h: Add AV_SENDCLICK

2008-04-07 19:28  ggs

	* tools/cops/vaproto.h, xaaes/src.km/vaproto.h: Add VA_OB_NOTEPAD
	  and VA_OB_NOTE to VA_THAT_IZIT

2008-04-06 16:47  ggs

	* tools/hypview/: autoloc.c, block.c, config.c, dl_avcmd.c,
	  dl_cfgrd.c, dl_drag.c, dl_event.c, dl_filsl.c, dl_init.c,
	  dl_routs.c, dl_user.c, dl_win.c, file.c, font.c, global.c,
	  history.c, hyp_view.c, init.c, marker.c, navigate.c, pc.prj,
	  selectio.c, window.c, bubble/bgh.c, bubble/bubble.h,
	  bubble/history.txt, doc/anleitun.txt, doc/history.txt,
	  doc/hypdoc.txt, doc/todo.txt, dragdrop/dragdrop.c,
	  dragdrop/dragdrop.h, hyp/autoloc.c, hyp/block.c, hyp/click.c,
	  hyp/cursor.c, hyp/display.c, hyp/ext_refs.c, hyp/gfx.s,
	  hyp/hyp.c, hyp/load.c, hyp/popup.c, hyp/prepare.c, hyp/ref.c,
	  hyp/search.c, hyp/tool.c, include/av.h, include/magx.h,
	  include/scancode.h, plain/ascii.c, plain/binary.c,
	  release/README: Cleanup comments

2008-02-27 09:55  fna

	* sys/sockets/xif/: daynaport/scsidriver.c, daynaport/scsilink.c,
	  ethernat/91c111.c, ethernat/91c111.h, ethernat/ethernat.c:
	  Warning fixes contributed by Alan Hourihane.

2008-01-22 13:47  fna

	* sys/Makefile.objs, sys/arch/Makefile.objs,
	  sys/libkern/Makefile.objs, sys/libkern/asm/Makefile.objs,
	  xaaes/src.km/vdi_parms.h: Corrections on the Makefile system for
	  gcc4 - patch contributed by Miro Kropacek.

2008-01-22 13:42  fna

	* tools/: cops/phstuff.c, cops/wlib.c, crypto/main.c,
	  fdisk/fdisk.c, fdisk/sfdisk.c, minix/fsck/main.c,
	  toswin2/config.c, toswin2/event.c, toswin2/main.c,
	  toswin2/proc.c, toswin2/twterm.c: Lot of corrections for gcc4 -
	  patch contributed by Miro Kropacek.

2008-01-22 10:34  fna

	* sys/xfs/ext2fs/ext2sys.c: Namelen patch while looking up a ext2
	  directory - patch contributed by Alan Hourihane.

2008-01-22 10:31  fna

	* sys/sockets/xif/: Makefile, daynaport/Makefile, daynaport/README,
	  daynaport/lowlevel.s, daynaport/scsilink.c,
	  daynaport/scsilink_func.h: Daynaport xif cleanup - patch
	  contributed by Miro Kropacek.

2008-01-22 10:23  fna

	* sys/sockets/xif/: Makefile, ethernat/.cvsignore,
	  ethernat/91c111.c, ethernat/91c111.h, ethernat/BINFILES,
	  ethernat/EXTRAFILES, ethernat/MISCFILES, ethernat/Makefile,
	  ethernat/README, ethernat/SRCFILES, ethernat/ethernat.c,
	  ethernat/ethernat_200Hzint.h, ethernat/ethernat_200Hzint.s: New
	  ethernat xif driver - contributed by Henrik Gilda (thank you!).

2008-01-22 10:15  fna

	* RULES, sys/KERNELDEFS: Remove also *.BAK and *.bak + more logical
	  CPU defs - patch contributed by Miro Kropacek.

2007-09-27 08:38  fna

	* sys/bootmenu.c: Reverted last change of bootmenu.c, contributed
	  by Mikro.

2007-09-18 16:00  fna

	* sys/sockets/xif/daynaport/.cvsignore: Added missing scsilink.xif
	  entry.

2007-09-18 15:59  fna

	* sys/sockets/xif/Makefile, sys/sockets/xif/daynaport/.cvsignore,
	  sys/sockets/xif/daynaport/BINFILES,
	  sys/sockets/xif/daynaport/EXTRAFILES,
	  sys/sockets/xif/daynaport/MISCFILES,
	  sys/sockets/xif/daynaport/Makefile,
	  sys/sockets/xif/daynaport/README,
	  sys/sockets/xif/daynaport/SRCFILES,
	  sys/sockets/xif/daynaport/lowlevel.s,
	  sys/sockets/xif/daynaport/portab.h,
	  sys/sockets/xif/daynaport/scsi_commands.txt,
	  sys/sockets/xif/daynaport/scsidefs.h,
	  sys/sockets/xif/daynaport/scsidriver.c,
	  sys/sockets/xif/daynaport/scsidriver.h,
	  sys/sockets/xif/daynaport/scsilink.c,
	  sys/sockets/xif/daynaport/scsilink.h,
	  sys/sockets/xif/daynaport/scsilink_func.c,
	  sys/sockets/xif/daynaport/scsilink_func.h,
	  tools/net-tools/Makefile, tools/net-tools/slinkctl/.cvsignore,
	  tools/net-tools/slinkctl/BINFILES,
	  tools/net-tools/slinkctl/EXTRAFILES,
	  tools/net-tools/slinkctl/MISCFILES,
	  tools/net-tools/slinkctl/Makefile,
	  tools/net-tools/slinkctl/README,
	  tools/net-tools/slinkctl/SRCFILES,
	  tools/net-tools/slinkctl/scsilink.h,
	  tools/net-tools/slinkctl/slinkctl.c: Added scsidrv xif module to
	  make teh scsidrv interface as network interface available
	  (contributed by Miro Kropacek).

2007-09-18 15:58  fna

	* sys/: KERNELDEFS, bootmenu.c, cookie.c, mint/errno.h,
	  mint/time.h: Minor corrections (contributed by Miro Kropacek).

2007-09-18 15:57  fna

	* sys/libkern/asm/memset.S: memset save now d2 register
	  (contributed by Miro Kropacek).

2007-07-18 13:12  ozk

	* CONFIGVARS: Removed -Werror

2007-07-18 13:09  ozk

	* xaaes/src.km/adi/whlmoose/whlmoose.c: Fixed compiler error

2007-07-16 13:42  ozk

	* xaaes/src.km/SRCFILES: Added keycodes.h to SRCFILES

2007-07-16 13:40  ozk

	* xaaes/src.km/keycodes.h: Adding forgotten file

2007-07-15 21:20  ozk

	* xaaes/src.km/: form.c, menuwidg.c, obtree.c, obtree.h,
	  scrlobjc.c, widgets.c, xa_fsel.c, xa_wdlg.c: Use names instead of
	  hexvalues for scancodes to make code more readable

2007-07-15 11:31  ozk

	* xaaes/src.km/: about.c, c_mouse.c, draw_obj.c, form.c,
	  ob_inlines.h, obtree.c, obtree.h, taskman.c, win_draw.c,
	  xa_fnts.c, xa_types.h, xa_wdlg.c: Some cleanups only

2007-07-14 09:20  ozk

	* sys/module.c: Remove wait for key when loading xaaes.km

2007-07-13 23:48  ozk

	* sys/: kmemory.c, mint/kcompiler.h, xdd/mfp/mfp.c, xdd/scc/scc.c,
	  xdd/uart/pc16550.c, xfs/minixfs/minixdev.c: Define macro to
	  indicate functions is used instead of doing it the hardway

2007-07-13 22:43  ozk

	* sys/bootmenu.c: Fixed forgotten test that generated error with
	  gcc 2.95.x

2007-07-13 22:32  ozk

	* CONFIGVARS, RULES, doc/xaaes/xaaes.hyp, doc/xaaes/xaaes.ref,
	  doc/xaaes/xaaes.stg, sys/KERNELDEFS, sys/Makefile.objs,
	  sys/bios.c, sys/biosfs.c, sys/block_IO.c, sys/bootmenu.c,
	  sys/cnf.c, sys/cnf.h, sys/cnf_mint.c, sys/cookie.c,
	  sys/crypt_IO.c, sys/debug.c, sys/dev-mouse.c, sys/dos.c,
	  sys/dosdir.c, sys/dosfile.c, sys/dosfile.h, sys/dosmem.c,
	  sys/dosmem.h, sys/fatfs.c, sys/filesys.c, sys/filesys.h,
	  sys/init.c, sys/k_exec.c, sys/k_exit.c, sys/k_fds.c,
	  sys/kentry.c, sys/kerinfo.c, sys/kernfs.c, sys/kernget.c,
	  sys/keyboard.c, sys/keyboard.h, sys/kmemory.c, sys/memory.c,
	  sys/memory.h, sys/mis.c, sys/module.c, sys/module.h,
	  sys/pipefs.c, sys/proc.c, sys/proc.h, sys/proc_help.c,
	  sys/procfs.c, sys/ramfs.c, sys/random.c, sys/scsidrv.c,
	  sys/scsidrv.h, sys/slb.c, sys/ssystem.c, sys/timeout.c,
	  sys/tty.c, sys/umemory.c, sys/unicode.c, sys/unicode.h,
	  sys/unifs.c, sys/xbios.c, sys/xfs_xdd.c, sys/xfs_xdd.h,
	  sys/xhdi.c, sys/arch/Makefile.objs, sys/arch/acia.S,
	  sys/arch/aranym.c, sys/arch/aranym.h, sys/arch/check_exc.c,
	  sys/arch/check_exc.h, sys/arch/context.S, sys/arch/cpu.S,
	  sys/arch/halt.c, sys/arch/init_intr.c, sys/arch/init_mach.c,
	  sys/arch/intr.S, sys/arch/intr.h, sys/arch/kernel.S,
	  sys/arch/mprot000.c, sys/arch/mprot030.c, sys/arch/mprot040.c,
	  sys/arch/scsidrv_emu.h, sys/arch/sig_mach.c, sys/arch/syscall.S,
	  sys/arch/user_things.S, sys/arch/user_things.h,
	  sys/arch/magic/genmagic.c, sys/buildinfo/version.h,
	  sys/libkern/Makefile.objs, sys/libkern/bzero.c,
	  sys/libkern/kernel_module.h, sys/libkern/strchr.c,
	  sys/libkern/strrchr.c, sys/libkern/strstr.c,
	  sys/libkern/asm/quickmove.S, sys/mint/block_IO.h,
	  sys/mint/debug.h, sys/mint/kassert.h, sys/mint/kentry.h,
	  sys/mint/kerinfo.h, sys/mint/mem.h, sys/mint/module.h,
	  sys/mint/proc.h, sys/mint/time.h, sys/mint/un.h,
	  sys/mint/arch/context.h, sys/misc/expired/cnf.c,
	  sys/sockets/main.c, sys/sockets/inet4/arp.c,
	  sys/sockets/inet4/arpdev.c, sys/sockets/inet4/bpf.c,
	  sys/sockets/inet4/if.c, sys/sockets/inet4/ifload.c,
	  sys/sockets/inet4/inet.c, sys/sockets/inet4/ip.c,
	  sys/sockets/inet4/tcputil.c, sys/sockets/xif/biodma.c,
	  sys/sockets/xif/de600.c, sys/sockets/xif/dial.c,
	  sys/sockets/xif/dummyeth.c, sys/sockets/xif/lance.c,
	  sys/sockets/xif/lancemem.h, sys/sockets/xif/main.c,
	  sys/sockets/xif/pamsdma.c, sys/sockets/xif/pamsdma.h,
	  sys/sockets/xif/pl0.c, sys/sockets/xif/plip.c,
	  sys/sockets/xif/ppp.c, sys/sockets/xif/rtl8012.c,
	  sys/sockets/xif/slcompress.c, sys/sockets/xif/slip.c,
	  sys/sockets/xif/nfeth/nfeth.c, sys/sockets/xif/obsolete/biodma.c,
	  sys/sockets/xif/obsolete/oslip.c, sys/xdd/audio/audiodev.c,
	  sys/xdd/audio/device.h, sys/xdd/audio/dma.c,
	  sys/xdd/audio/falcon.c, sys/xdd/audio/lmc.c, sys/xdd/audio/psg.c,
	  sys/xdd/dsp56k/dsp56k.c, sys/xdd/lp/lp.c, sys/xdd/mfp/mfp.c,
	  sys/xdd/scc/scc.c, sys/xdd/skeleton/dummy.c,
	  sys/xdd/uart/pc16550.c, sys/xfs/aranym/aranym_fsdev.c,
	  sys/xfs/ext2fs/balloc.c, sys/xfs/ext2fs/bitmap.h,
	  sys/xfs/ext2fs/ext2.h, sys/xfs/ext2fs/ext2dev.c,
	  sys/xfs/ext2fs/ext2sys.c, sys/xfs/ext2fs/ialloc.c,
	  sys/xfs/ext2fs/main.c, sys/xfs/ext2fs/namei.c,
	  sys/xfs/hostfs/hostfs.c, sys/xfs/minixfs/minixdev.c,
	  sys/xfs/minixfs/minixsys.c, sys/xfs/minixfs/trans.c,
	  sys/xfs/nfs/index.c, sys/xfs/nfs/main.c, sys/xfs/nfs/nfs_xdr.c,
	  sys/xfs/nfs/nfsdev.c, sys/xfs/nfs/nfssys.c,
	  sys/xfs/nfs/nfsutil.c, sys/xfs/nfs/rpc_xdr.c,
	  sys/xfs/nfs/sock_ipc.c, sys/xfs/nfs/xdr.c, sys/xfs/nfs/xdr.h,
	  sys/xfs/skeleton/dummy.c, tools/CONFIGVARS,
	  tools/toswin2/config.c, tools/toswin2/event.c,
	  tools/toswin2/main.c, tools/toswin2/proc.c,
	  xaaes/src.km/Makefile.objs, xaaes/src.km/SRCFILES,
	  xaaes/src.km/XAAESDEFS, xaaes/src.km/adiload.c,
	  xaaes/src.km/adiload.h, xaaes/src.km/app_man.c,
	  xaaes/src.km/c_window.c, xaaes/src.km/c_window.h,
	  xaaes/src.km/cnf_xaaes.c, xaaes/src.km/debug.c,
	  xaaes/src.km/debug.h, xaaes/src.km/draw_obj.c,
	  xaaes/src.km/form.c, xaaes/src.km/form.h, xaaes/src.km/global.h,
	  xaaes/src.km/handler.c, xaaes/src.km/init.c, xaaes/src.km/init.h,
	  xaaes/src.km/k_init.c, xaaes/src.km/k_init.h,
	  xaaes/src.km/k_keybd.c, xaaes/src.km/k_main.c,
	  xaaes/src.km/k_main.h, xaaes/src.km/k_mouse.c,
	  xaaes/src.km/k_mouse.h, xaaes/src.km/k_shutdown.c,
	  xaaes/src.km/menuwidg.c, xaaes/src.km/messages.c,
	  xaaes/src.km/ob_inlines.h, xaaes/src.km/obtree.c,
	  xaaes/src.km/obtree.h, xaaes/src.km/render_obj.c,
	  xaaes/src.km/render_obj.h, xaaes/src.km/scrlobjc.c,
	  xaaes/src.km/taskman.c, xaaes/src.km/taskman.h,
	  xaaes/src.km/trnfm.c, xaaes/src.km/util.c, xaaes/src.km/util.h,
	  xaaes/src.km/vdi_parms.h, xaaes/src.km/widgets.c,
	  xaaes/src.km/widgets.h, xaaes/src.km/win_draw.c,
	  xaaes/src.km/xa_appl.c, xaaes/src.km/xa_appl.h,
	  xaaes/src.km/xa_defs.h, xaaes/src.km/xa_evnt.c,
	  xaaes/src.km/xa_fnts.c, xaaes/src.km/xa_form.c,
	  xaaes/src.km/xa_fsel.c, xaaes/src.km/xa_global.c,
	  xaaes/src.km/xa_global.h, xaaes/src.km/xa_graf.c,
	  xaaes/src.km/xa_graf.h, xaaes/src.km/xa_lbox.c,
	  xaaes/src.km/xa_menu.c, xaaes/src.km/xa_pdlg.c,
	  xaaes/src.km/xa_rsrc.c, xaaes/src.km/xa_rsrc.h,
	  xaaes/src.km/xa_shel.c, xaaes/src.km/xa_types.h,
	  xaaes/src.km/xa_vdi.c, xaaes/src.km/xa_wdlg.c,
	  xaaes/src.km/xa_wind.c, xaaes/src.km/adi/whlmoose/whlmoose.c,
	  xaaes/src.km/xaloader/xaloader.c: Lots of changes to make it
	  compile with gcc 4.2.0. And version bumpted to 1.17.cur

2007-06-29 20:27  fna

	* tools/net-tools/slattach.c: slattach bugfixes as reported by Miro
	  Kropacek.

2007-06-08 23:45  fna

	* CONFIGVARS: Don't default to use a crosscompiler (changed by last
	  commit by mistake).

2007-06-08 23:38  fna

	* sys/KERNELDEFS, sys/Makefile.objs, sys/arch/Makefile.objs,
	  sys/libkern/bzero.c, sys/libkern/libkern.h, sys/libkern/md5.c,
	  sys/libkern/asm/memset.S, sys/libkern/asm/quickmove.S,
	  sys/xfs/hostfs/.cvsignore, sys/xfs/hostfs/Makefile.objs,
	  CONFIGVARS: Minor changes to the build system. Consistently
	  renamed bcopy/bzero to _mint_bcopy/_mint_bzero and use macros to
	  map to them. Removed the coldfire target from the default build
	  list, you need a special compiler.  The source shall now compile
	  again normally with all targets.

2007-06-08 21:23  fna

	* sys/keyboard.c: Added missing routines if NO_AKP_KEYBOARD is
	  defined.

2007-03-26 21:11  landemarre

	* sys/mint/config.h: Patch for coldfire board from Dider Méquignon

2007-03-26 21:10  landemarre

	* sys/mint/kentry.h: mint_bzero() forget update

2007-03-26 21:08  landemarre

	* sys/libkern/: bzero.c, libkern.h, md5.c: Forget a folder for
	  mint_bzero() definition Oups!

2007-03-19 21:05  landemarre

	* sys/arch/: SRCFILES, cpu.S, detect.S, init_intr.c, intr.S,
	  kernel.S, startup.S, syscall.S, v4epatch.S: - Add some COLDFIRE
	  patch made by Didier MEQUIGNON

	  - Some cosmetic changes

2007-03-19 20:59  landemarre

	* sys/: bios.c, biosfs.c, block_IO.c, cnf_mint.c, console.c,
	  cookie.c, crypt_IO.c, dev-null.c, dma.c, dos.c, dosdir.c,
	  dosfile.c, dosmem.c, dossig.c, fatfs.c, filesys.c, gmon.c,
	  init.c, ipc_socket.c, ipc_socketdev.c, ipc_socketutil.c,
	  kerinfo.c, KERNELDEFS, k_exec.c, k_exit.c, k_fds.c, k_fork.c,
	  k_kthread.c, k_prot.c, k_resource.c, k_sysctl.c, kernfs.c,
	  kernget.c, keyboard.c, kmemory.c, memory.c, mis.c, module.c,
	  pipefs.c, proc.c, proc_help.c, procfs.c, ptrace.c, ramfs.c,
	  random.c, rendez.c, scsidrv.c, semaphores.c, shmfs.c, signal.c,
	  slb.c, ssystem.c, time.c, timeout.c, tosfs.c, tty.c, umemory.c,
	  unifs.c, xbios.c, xfs_xdd.c, xhdi.c: - Rename bzero() mint
	  function by mint_bzero() because this function already exist in
	  builtin gcc function, conflict of name

	  - Use function acces to curproc structure, I thing this is really
	  more clean than directly acces to it as global variable.

	  - A function use same name in a parameter of function and a
	  global variable, possible mistake compilation on some GCC.

	  - Add COLDFIRE patch from Didier MEQUIGNON for zoom coldfire
	  developpment card from Freescale

2007-02-17 20:36  landemarre

	* sys/arch/sig_mach.c: Coldfire need more stack to not crash in
	  signal managment Some clean up code using "unsigned long" rather
	  "signed long"

2007-02-12 23:25  pdonze

	* tools/hypview/dl_miss.h: Replaced wrong NIL definition coming
	  from gemlib with our own definition. This will hopefully fix the
	  "keyboard mixed up" problems reported by MagiC users.

2007-01-21 11:10  landemarre

	* sys/: debug.c, mint/debug.h: Debug functions can use NULL pointer
	  at start before this fix

2006-12-19 22:44  landemarre

	* sys/memory.c: Fix bug: possible structure acces value read when
	  structure point to a NULL pointer (realloc_region()), now
	  sys_s_realloc() from init_mem()  not crash when return and compil
	  with GCC 4

2006-12-09 23:18  landemarre

	* sys/tosfs.c: denylock() need to pass application id as first
	  parameter

2006-12-09 22:05  landemarre

	* sys/mis.c: Possible conflict with built-in function execvp,
	  replace this function name by internal_execvp()

2006-12-09 21:59  landemarre

	* sys/cmdline.c: Fix warning : comparisons like X<=Y<=Z do not have
	  their mathematical meaning

2006-12-09 21:45  landemarre

	* sys/: crypt_IO.c, dosfile.c, k_sysctl.c, kernget.c, unicode.h,
	  mint/filedesc.h: Fix somes warnings for "pointer targets in
	  assignment differ in signedness"

2006-12-06 22:36  landemarre

	* sys/: mis.c, scsidrv.c, ssystem.c, unicode.c, xhdi.c,
	  arch/halt.c: Fix minor warning: Pointer targets in passing differ
	  in signedness

2006-12-06 21:04  landemarre

	* sys/fatfs.c: Fix unitialized var

2006-12-04 21:23  landemarre

	* sys/: arch/Makefile.objs, KERNELDEFS: v4e configuration
	  corrections

2006-12-03 19:43  landemarre

	* sys/module.c: Modification to be able compil with gcc 3 or 4

2006-12-03 19:41  landemarre

	* sys/: arch/Makefile.objs, libkern/Makefile.objs,
	  libkern/asm/Makefile.objs, Makefile.objs: Some files can't compil
	  with -mcfv4e option, need choose other options (some instruction
	  will be emulate)

2006-11-30 22:22  landemarre

	* sys/RULES: Add -mcfv4e for v4e coldfire CPU

2006-11-30 22:21  landemarre

	* sys/KERNELDEFS: Add coldfire board target

2006-11-30 21:43  landemarre

	* sys/mint/arch/asm_misc.h: Fix for GCC 3 or 4

2006-11-30 21:10  landemarre

	* sys/arch/init_mach.c: Fix warning gcc 4

2006-06-02 10:41  fna

	* sys/mint/falcon.h: Applied inline asm clobbered register patch
	  contributed by Alan Hourihane.

2006-06-02 10:07  fna

	* sys/floppy.c: Corrected inline asm for newer gcc.

2006-06-02 09:57  fna

	* tools/toswin2/config.c: Use login shell as config default.

2006-06-02 09:56  fna

	* tools/cops/: callback.c, clear_cpu_caches.s, cpx_bind.s,
	  phstuff.c: Removed non-working clear_cpu_caches() call. This need
	  to be overworked for non-FreeMiNT systems.

2006-06-02 09:52  fna

	* sys/: xfs/aranym/.cvsignore, xfs/hostfs/.cvsignore,
	  sockets/xif/nfeth/.cvsignore: Added missing .cvsignore files.

2006-06-02 09:14  fna

	* sys/syscalls.master: Documentation updates.

2006-05-22 00:20  standa

	* sys/xfs/aranym/aranym_fsdev.c: The S_PERSISTENT flag is not
	  inherited to directory children now. So now the applications can
	  remove their files from the u:\host\clipbrd folder again.

2006-05-22 00:18  standa

	* sys/xfs/aranym/Makefile.xfs: Changing to 68040 as that is the CPU
	  aranym has.

2006-05-13 09:50  ozk

	* xaaes/src.km/: app_man.c, c_window.c, form.c, k_main.c,
	  k_shutdown.c, menuwidg.c, menuwidg.h, messages.c, obtree.c,
	  obtree.h, taskman.c, widgets.c, xa_appl.c, xa_evnt.c, xa_menu.c,
	  xa_menu.h, xa_types.h: Fixed problems related to, and cleaned up,
	  the window-context popup. This is still very experimental.

2006-05-11 22:25  draco

	* sys/keyboard.c: The Ctrl key modifies the ASCII code regardless
	  of the Alt state, so the change introducing this must be
	  cancelled. The N.AES keyboard shortcuts (Ctrl/Alt/Q etc.) should
	  now work again.

2006-05-08 23:22  pdonze

	* tools/hypview/release/hyp_view.txt: Updated description.

2006-05-08 22:05  pdonze

	* tools/hypview/release/hyp_view.cfg: Corrected "default
	  configuration": Few have a "KATALOG.HYP".

2006-05-08 22:03  pdonze

	* tools/hypview/hyp_view.rsc: Default language is now english:
	  hyp_view.rsc is now the same as english.rsc. (A link would be
	  better. But is this possible with CVS?)

2006-05-08 22:02  pdonze

	* tools/hypview/: defs.h, diallib.h, dl_user.h, hyp.h: Some
	  translation work in the header files.  Default language is now
	  english.  Bumped version to 0.40.0.

2006-05-08 19:34  pdonze

	* tools/hypview/hyp_view/: english.bgh, english.hrd, english.rsc,
	  english.rsm, german.bgh, german.hrd, german.rsm: Updated english
	  translation of resource. Removed unused BGH and RSM files.

2006-05-03 11:19  ozk

	* xaaes/src.km/: about.c, app_man.c, c_window.c, c_window.h,
	  form.c, k_keybd.c, rectlist.c, taskman.c, widgets.c, xa_form.c,
	  xa_wdlg.c, xa_wind.c: Fixed several issues with TOPMOST
	  implementation

2006-05-02 10:42  ozk

	* xaaes/src.km/widgets.c: Took out forgotten stuff

2006-05-02 09:07  ozk

	* xaaes/src.km/: app_man.c, app_man.h, c_window.c, c_window.h,
	  k_keybd.c, widgets.c, xa_types.h, xa_wind.c: Added more options
	  to the window context popup. Fixed some bugs related to
	  iconifying and autoarragne iconified windows.  Context popup
	  still experimental

2006-05-01 20:05  standa

	* sys/xfs/: Makefile, aranym/BINFILES, aranym/EXTRAFILES,
	  aranym/MISCFILES, aranym/Makefile, aranym/Makefile.objs,
	  aranym/Makefile.xfs, aranym/README, aranym/SRCFILES,
	  aranym/aranym_fsdev.c, aranym/aranym_fsdev.h, aranym/global.h,
	  aranym/main.c, aranym/nfclip_dev.c, aranym/nfclip_dev.h,
	  aranym/nfclip_nfapi.h: The ARAnyM implementation of u:\host
	  filesystem. This should provide integration/configuration
	  interface to NatFeats equipped emulators.

	  At the moment only one can configure u:\host\clipbrd as a GEM
	  clipbrd to share host OS clipboard.

2006-05-01 01:22  standa

	* sys/ramfs.c: Fixing __FTRUNCATE to work properly for newsize = 0.
	  Moved the size=0 to __free_data().

2006-04-30 16:28  ozk

	* xaaes/src.km/: about.c, app_man.c, c_window.c, c_window.h,
	  k_init.c, k_shutdown.c, mt_gem.h, xa_global.h, xa_types.h,
	  xa_wdlg.c, xa_wind.c, widgets.c: First implementation of
	  WF_TOPMOST.

2006-04-28 23:05  ozk

	* sys/: bootmenu.c, global.c, global.h, init.c, k_fds.c, tty.c,
	  arch/init_mach.c, arch/mprot.x, arch/mprot040.c: Fixed access
	  fault caused by obtaining os header pointer while cpu in
	  usermode. Added info to the memory violation alert, this gives
	  the offset into the binary as suggested by Lonny Pursell.  When
	  Milan or Hades is detected, set SUPER protection on the first
	  descriptor. This will protect the system vectors/variables as
	  this area was user accessible. Only effective when Memory
	  Protection is enabled.

2006-04-28 22:59  ozk

	* xaaes/src.km/: app_man.c, c_window.c: Fixed bug where the next
	  window of an application was not topped upon closing another.

2006-04-27 15:06  ozk

	* xaaes/src.km/: app_man.c, k_keybd.c, scrlobjc.c, taskman.c,
	  widgets.c, xa_evnt.c, xa_types.h, xa_wind.c: Small correction to
	  who should have focus

2006-04-25 19:02  ozk

	* xaaes/src.km/: app_man.c, app_man.h, c_window.c, c_window.h,
	  form.c, k_main.c, rectlist.c, widgets.c, xa_form.c, xa_global.h,
	  xa_wind.c: Continued work on focus related stuff, fixed a lot of
	  bad bugs. Hopefully better now.

2006-04-23 06:20  ozk

	* xaaes/src.km/: app_man.c, c_mouse.c, c_window.c, c_window.h,
	  debug.c, k_main.c, k_mouse.c, render_obj.c, taskman.c, widgets.c,
	  widgets.h, xa_appl.c, xa_evnt.c, xa_menu.c, xa_wdlg.c, xa_wind.c:
	  Got rid of many bugs regarding administering the window-context
	  popup and window stack handling. ctrl+alt+rightclick anywhere on
	  windows bring up window context popup. Using this popup on XaAES
	  own windows (taskmanager, etc) is not tested

2006-04-22 05:54  ozk

	* xaaes/src.km/: about.c, app_man.c, app_man.h, c_mouse.c,
	  c_window.c, c_window.h, form.c, k_keybd.c, k_mouse.c, menuwidg.c,
	  taskman.c, taskman.h, widgets.c, widgets.h, xa_evnt.c, xa_form.c,
	  xa_global.h, xa_menu.c, xa_types.h, xa_wdlg.c, xa_wind.c:
	  Separated keyboard focus from window ontop. Experimental code
	  exists, ctrl+alt+right-click anywhere on a window brings up a
	  window-context popup. Taskmanager window alwasy ontop. Unfinished
	  work, BE CAREFUL

2006-04-16 05:59  ozk

	* xaaes/src.km/: XAAESDEFS, c_window.c, debug.c, debug.h, form.c,
	  init.c, k_init.c, k_keybd.c, k_main.c, k_mouse.c, k_shutdown.c,
	  obtree.c, obtree.h, rectlist.c, render_obj.c, semaphores.c,
	  taskman.c, util.c, util.h, xa_form.c, xa_global.h, xa_mono.h,
	  xa_mono.hrd, xa_mono.rsc, xa_pdlg.c, xa_rsrc.c, xa_shel.c,
	  xa_shel.h, xa_types.h, xaaes.h, xaaes.hrd, xaaes.rsc: Fixed small
	  issues reported by users after the last alpha-release

2006-04-13 20:50  ozk

	* xaaes/src.km/: app_man.c, app_man.h, handler.c, k_init.c,
	  k_keybd.c, k_main.c, k_main.h, k_mouse.c, mt_gem.h, newcalls.txt,
	  obtree.c, obtree.h, scrlobjc.c, semaphores.c, semaphores.h,
	  taskman.c, taskman.h, widgets.c, widgets.h, xa_appl.c, xa_evnt.c,
	  xa_graf.c, xa_lbox.c, xa_wdlg.c, xa_wind.c: Fixed typo creating a
	  bug where Cops cpx windows were placed way below screen. Added
	  ctrl+alt+p keycombo to restore palette in colordepths of 8 or
	  less bpp. Started work on experimental support for Lonnys
	  snap-protocol, disabled as of yet.

2006-04-09 04:45  ozk

	* xaaes/src.km/xa_graf.c: Take mouse state from the current state
	  if no events are pending for an application

2006-04-09 03:10  ozk

	* xaaes/src.km/init.c: and reanabled log file...

2006-04-09 03:09  ozk

	* xaaes/src.km/: k_main.c, k_main.h, xa_graf.c, debug.c, init.c:
	  Fixed a situation where mouse button events didnt reach the
	  application when the application never used any of the evnt_xxx()
	  calls, only graf_mkstate. This fixes eb_dump problems ..
	  hopefully

2006-04-08 16:52  ozk

	* xaaes/src.km/: render_obj.c, widgets.c, win_draw.c, xaaes.cnf:
	  Fixed problem where autohighlighted widgets was drawn over
	  filesel. Simpler gradients used for window titles in hc/tc,
	  should be faster. This will be released as new alpha

2006-04-07 16:16  ozk

	* xaaes/src.km/: app_man.c, xa_types.h, xaaes.cnf: Fixed problem
	  with autoreordering iconified windows

2006-04-05 20:49  ozk

	* xaaes/src.km/version.h: raised version to 0.998 for new alpha
	  release

2006-04-05 20:32  ozk

	* xaaes/src.km/: cnf_xaaes.c, k_init.c, render_obj.c, win_draw.c,
	  xa_global.h, xa_types.h, xaaes.cnf: Added configuration variable
	  that turns on/off the experimental use of color gradients in
	  hc/tc color modes. See GRADIENTS in xaaes.cnf

2006-04-05 20:07  ozk

	* xaaes/src.km/: app_man.c, app_man.h, c_window.c, cnf_xaaes.c,
	  init.c, k_shutdown.c, widgets.c, xa_global.h, xaaes.cnf: Added
	  configuration variables to control how iconified windows are
	  arragned. See icnfy_xxx configuration variables in xaaes.cnf

2006-04-05 19:23  ozk

	* xaaes/src.km/trnfm.c: Now hopefully fixed that 24-bit prob

2006-04-05 19:11  ozk

	* xaaes/src.km/trnfm.c: Hopefully fixed a gradient problem in
	  24-bit modes

2006-04-04 18:26  ozk

	* xaaes/src.km/: draw_obj.c, render_obj.c, scrlobjc.c, trnfm.c,
	  widgets.c, win_draw.c, xa_types.h: Fixed some minor problems

2006-04-04 03:35  standa

	* sys/bootmenu.c: Command line arguments parsing implemented. Those
	  are supposed to be of the same format as are the entries in the
	  mint.ini.

	  This is probably only useful when the aranym kernel is executed
	  from EmuTOS which is able to put those arguments on the command
	  line.

2006-04-03 17:19  ozk

	* xaaes/src.km/: SRCFILES, about.c, about.h, c_window.c,
	  draw_obj.c, draw_obj.h, form.c, k_init.c, k_keybd.c, k_main.c,
	  k_shutdown.c, menuwidg.c, messages.c, messages.h, obtree.c,
	  obtree.h, render_obj.c, render_obj.h, scrlobjc.c, taskman.c,
	  taskman.h, trnfm.c, trnfm.h, widgets.c, widgets.h, win_draw.c,
	  xa_aes.h, xa_appl.c, xa_evnt.c, xa_fnts.c, xa_form.c, xa_fsel.c,
	  xa_global.c, xa_global.h, xa_lbox.c, xa_menu.c, xa_objc.c,
	  xa_pdlg.c, xa_rsrc.c, xa_types.h, xa_vdi.c, xa_vdi.h, xa_wdlg.c,
	  xa_wind.c, img/8b/dbox.img, img/8b/dbutton.img, img/8b/dtext.img,
	  img/8b/popbkg.img, img/8b/slwtitle.img, img/8b/wtitle.img,
	  img/hc/dbox.img, img/hc/dbutton.img, img/hc/dtext.img,
	  img/hc/popbkg.img, img/hc/wtitle.img, widgets/magicwdg.rsc: Loads
	  of changes, first version of the AES object renderer.  Image
	  filenames have changed, update your img directory.

2006-03-16 22:55  pdonze

	* tools/hypview/release/: COPYING, README, hyp_view.txt: Added some
	  (unfinished) text files for upcoming release.

2006-03-16 22:52  pdonze

	* tools/hypview/navigate.c: Cleanup while searching a bug in the
	  popup treatment.

2006-03-16 18:43  ozk

	* tools/hypview/Makefile: Reenable stripping binary in Makefile..

2006-03-16 18:42  ozk

	* tools/hypview/: Makefile, hyp/hyp.c, hyp/ref.c: Corrected missing
	  check for NULL ptr

2006-03-16 14:18  ozk

	* tools/hypview/: dl_user.h, hyp/prepare.c: Fixed rendering error
	  when several images appears at the same y-coordinate. Now renders
	  the page about ST-Guides icon bar in st-guide.hyp

2006-03-14 19:39  pdonze

	* tools/hypview/file.c: -Some code clean-up

2006-03-14 19:26  pdonze

	* tools/hypview/: autoloc.c, defs.h, toolbar.c, window.c,
	  hyp/autoloc.c, plain/ascii.c, plain/binary.c: -New autolocator
	  functionality: Shift+Return searches in opposite direction
	  (=backwards).

2006-03-12 08:39  ggs

	* tools/cops/phstuff.c: Not all system have the function Ssystem

2006-03-11 19:36  pdonze

	* tools/hypview/info.c: Fix: OK button in info dialog stayed
	  selected.

2006-03-11 17:58  pdonze

	* tools/hypview/: anleitun.txt, history.txt, hypdoc.txt, todo.txt,
	  doc/anleitun.txt, doc/history.txt, doc/hypdoc.txt, doc/todo.txt,
	  release/anleitun.txt, release/liesmich, release/readme: Removed
	  some unnecessary text files and moved all others to 'doc'
	  directory

2006-02-12 20:16  pdonze

	* tools/hypview/: SRCFILES, cookie.c: Use cookie routines of
	  mintlib resp. tos.lib instead of self-coded routines.

2006-02-12 20:11  pdonze

	* tools/hypview/: dl_dhst.c, dl_ledit.c, pc.prj, bubble/bgh.c,
	  hyp/prepare.c, include/cookie.h: Use cookie routines of mintlib
	  resp. tos.lib instead of self-coded routines.

2006-02-12 19:44  pdonze

	* tools/hypview/: Makefile, bubble/Makefile, dragdrop/Makefile:
	  Added PureC .lib and .pdb to GENFILES to make sure 'distclean'
	  removes them.

2006-02-12 15:51  pdonze

	* tools/hypview/include/mem.h: Moved gcc specific 'mem.h' (Mxalloc
	  memory mode bits) into include folder.

2006-02-12 15:34  pdonze

	* tools/hypview/: dl_av.c, dl_dhst.c, dl_help.c, mem.h,
	  hyp/click.c, include/aes.h, include/ctype.h, include/dragdrop.h,
	  include/limits.h, include/portab.h, include/prsettng.h,
	  include/stdarg.h, include/stddef.h, include/stdio.h,
	  include/stdlib.h, include/string.h, include/syserr.h,
	  include/sysvars.h, include/tos.h, include/types.h, include/vdi.h:
	  Moved gcc specific 'mem.h' (Mxalloc memory mode bits) into
	  include folder. Removed unused header files.

2006-02-12 15:22  pdonze

	* tools/hypview/: pc.prj, dragdrop/libdgdp.prj, include/magx.h:
	  Pure C project files. MagiC cookie definition

2006-02-12 15:17  pdonze

	* tools/hypview/bubble/: BINFILES, EXTRAFILES, MISCFILES, Makefile,
	  SRCFILES, bgh.c, bgh.h, bubble.h, history.txt, libbgh.prj,
	  test.bgh, test.c: Added BubbleGEM library

2006-02-12 15:14  pdonze

	* tools/hypview/: Makefile, autoloc.c, block.c, config.c, cookie.c,
	  diallib.h, dl_av.c, dl_avcmd.c, dl_bubbl.c, dl_cfgrd.c,
	  dl_dhst.c, dl_dial.c, dl_drag.c, dl_event.c, dl_filsl.c,
	  dl_fonsl.c, dl_help.c, dl_init.c, dl_items.c, dl_ledit.c,
	  dl_menu.c, dl_miss.h, dl_routs.c, dl_user.c, dl_user.h, dl_win.c,
	  error.c, file.c, fileselc.c, font.c, global.c, history.c, hyp.h,
	  hyp_view.c, info.c, init.c, marker.c, mem.h, navigate.c,
	  selectio.c, toolbar.c, tools.c, window.c, dragdrop/dragdrop.c,
	  hyp/autoloc.c, hyp/block.c, hyp/cache.c, hyp/click.c,
	  hyp/cursor.c, hyp/display.c, hyp/ext_refs.c, hyp/hyp.c,
	  hyp/lh5d.c, hyp/load.c, hyp/popup.c, hyp/prepare.c, hyp/ref.c,
	  hyp/save.c, hyp/search.c, hyp/tool.c, plain/ascii.c,
	  plain/binary.c: Big clean-up to make it compile again using Pure
	  C compiler. Now it should be easy to keep both worlds together.

2006-02-12 13:19  ozk

	* xaaes/src.km/: init.c, k_init.c, k_main.c, mvdi.c, xa_shel.c:
	  Fixed huge problem caused by job control killing xaloader program
	  group members because pgrp wasnt set correctly

2006-02-11 10:30  ozk

	* tools/hypview/: dl_user.c, dl_user.h, hyp/prepare.c: More minor
	  fixes..

2006-02-11 08:31  ozk

	* tools/hypview/: Makefile, dl_user.c, navigate.c, selectio.c,
	  window.c: Minor cleanups

2006-02-11 08:30  ozk

	* CONFIGVARS:  Added STACK

2006-02-10 11:35  ozk

	* tools/hypview/hyp/gfx.s: HypView initial revision

2006-02-10 11:33  ozk

	* tools/hypview/: BINFILES, EXTRAFILES, MISCFILES, Makefile,
	  SRCFILES, anleitun.txt, autoloc.c, block.c, config.c, cookie.c,
	  defs.h, diallib.h, dl_av.c, dl_avcmd.c, dl_bubbl.c, dl_cfgrd.c,
	  dl_dhst.c, dl_dial.c, dl_drag.c, dl_event.c, dl_filsl.c,
	  dl_fonsl.c, dl_help.c, dl_init.c, dl_items.c, dl_ledit.c,
	  dl_menu.c, dl_miss.h, dl_routs.c, dl_user.c, dl_user.h, dl_win.c,
	  error.c, file.c, fileselc.c, font.c, global.c, history.c,
	  history.txt, hyp.h, hyp_view.bgh, hyp_view.c, hyp_view.cfg,
	  hyp_view.h, hyp_view.hrd, hyp_view.rsc, hyp_view.rsm, hypdoc.txt,
	  info.c, init.c, marker.c, mem.h, navigate.c, selectio.c, stat.h,
	  todo.txt, toolbar.c, tools.c, window.c, dragdrop/BINFILES,
	  dragdrop/EXTRAFILES, dragdrop/MISCFILES, dragdrop/Makefile,
	  dragdrop/SRCFILES, dragdrop/dragdrop.c, dragdrop/dragdrop.h,
	  hyp/BINFILES, hyp/EXTRAFILES, hyp/MISCFILES, hyp/Makefile,
	  hyp/SRCFILES, hyp/autoloc.c, hyp/block.c, hyp/cache.c,
	  hyp/click.c, hyp/cursor.c, hyp/display.c, hyp/ext_refs.c,
	  hyp/hyp.c, hyp/lh5d.c, hyp/load.c, hyp/popup.c, hyp/prepare.c,
	  hyp/ref.c, hyp/save.c, hyp/search.c, hyp/search_d.c, hyp/tool.c,
	  hyp_view/english.bgh, hyp_view/english.rsc, hyp_view/english.rsm,
	  hyp_view/german.bgh, hyp_view/german.rsc, hyp_view/german.rsm,
	  include/aes.h, include/av.h, include/cookie.h, include/ctype.h,
	  include/dhst.h, include/dragdrop.h, include/limits.h,
	  include/portab.h, include/prsettng.h, include/scancode.h,
	  include/stdarg.h, include/stddef.h, include/stdio.h,
	  include/stdlib.h, include/string.h, include/syserr.h,
	  include/sysvars.h, include/tos.h, include/types.h, include/vdi.h,
	  plain/BINFILES, plain/EXTRAFILES, plain/MISCFILES,
	  plain/Makefile, plain/SRCFILES, plain/ascii.c, plain/ascii.h,
	  plain/binary.c, release/anleitun.txt, release/hyp_view.cfg,
	  release/liesmich, release/readme, skins/liesmich.txt,
	  skins/skin_01.rsc, skins/skin_02.rsc, skins/skin_03.rsc,
	  skins/skin_04.rsc, skins/skin_05.rsc, skins/skin_06.rsc,
	  skins/skin_07.rsc: HypView intitial revision

2006-02-10 03:16  standa

	* sys/init.c: Add a -DBOOTSTRAPABLE variable to the KERNELDEFS to
	  get a kernel that is able to use its own filesystem to boot from.

	  Still need to resolve the read_ini() call which tries to read the
	  mint.ini file early in the boot process when there is possibly no
	  drive to read it from.

2006-02-10 03:10  standa

	* sys/xfs/hostfs/: global.h, hostfs.c, hostfs_xfs.c: Cosmetics.
	  Newlines added here and there, copyright notice shortened.

2006-02-09 04:27  standa

	* sys/filesys.c: A new kernel option -DWITH_HOSTFS is ready.

2006-02-09 04:19  standa

	* sys/xfs/hostfs/: Makefile, Makefile.objs, Makefile.xfs, SRCFILES,
	  global.h, hostfs.c, hostfs_xfs.c, hostfs_xfs.h: More intimate
	  kernel integration prepared. This now uses the Makefile.objs to
	  build when set in MODULEDIRS for kernel build.

	  The standalone .xfs build now uses Makefile.xfs.

2006-02-09 03:00  standa

	* sys/: Makefile, Makefile.objs: MODULEDIRS concept added. Works
	  similar way to the arch folder is handled.

2006-02-06 20:55  standa

	* sys/xfs/hostfs/: hostfs.c, hostfs.h, hostfs_xfs.c, hostfs_xfs.h:
	  hostfs_init() put into the hostfs_xfs.c for better reusability.

2006-02-06 19:25  standa

	* sys/xfs/hostfs/README: Only the FreeMiNT CVS relevant information
	  left.

2006-02-06 19:19  standa

	* sys/xfs/: Makefile, hostfs/BINFILES, hostfs/EXTRAFILES,
	  hostfs/MISCFILES, hostfs/Makefile, hostfs/README,
	  hostfs/SRCFILES, hostfs/global.h, hostfs/hostfs.c,
	  hostfs/hostfs.h, hostfs/hostfs_dev.c, hostfs/hostfs_dev.h,
	  hostfs/hostfs_nfapi.h, hostfs/hostfs_xfs.c, hostfs/hostfs_xfs.h,
	  hostfs/main.c: Native Features "HOSTFS" .xfs driver (moving from
	  the ARAnyM CVS/atari/hostfs).

2006-02-06 17:01  standa

	* sys/sockets/xif/: Makefile, nfeth/BINFILES, nfeth/EXTRAFILES,
	  nfeth/MISCFILES, nfeth/Makefile, nfeth/README, nfeth/SRCFILES,
	  nfeth/nfeth.c, nfeth/nfeth_nfapi.h, nfeth/nfethasm.s: Native
	  Features Ethernet driver - initial version.

2006-01-26 21:16  standa

	* sys/xdd/: Makefile, nfstderr/.cvsignore, nfstderr/BINFILES,
	  nfstderr/COPYING, nfstderr/EXTRAFILES, nfstderr/MISCFILES,
	  nfstderr/Makefile, nfstderr/README, nfstderr/SRCFILES,
	  nfstderr/nfstderr.c: New /dev/nfstderr driver which uses the
	  NF_STDERR native feature that is able to write output to the host
	  OS console (useful for debugging).

	  Just put the resulting nfstderr.xdd to the mint folder and
	  reboot.

2006-01-25 13:24  ozk

	* xaaes/src.km/init.c: reenabled debug file

2006-01-25 13:23  ozk

	* xaaes/src.km/: c_window.c, c_window.h, init.c, obtree.c,
	  scrlobjc.c, xa_fnts.c, xa_pdlg.c, xa_wdlg.c: Fixed bug where the
	  dialogs in wdialog windows were not correctly positioned
	  sometimes. Fixed wrong DIAG statements.

2006-01-25 13:18  ozk

	* sys/: memory.c, module.c, arch/mmu040.S, arch/mprot040.c,
	  mint/arch/asm_misc.h, sockets/inet4/ifload.c: Fixed situation
	  where get_region ended up allocating 0 bytes of memory, see
	  comments at line 693 in memory.c. Some reformatting, use decent
	  TABs.

2006-01-19 10:52  ozk

	* xaaes/src.km/xa_menu.c: Fixed DIAG statement, preventing target
	  'deb' to compile

2006-01-13 18:43  ozk

	* xaaes/src.km/: app_man.c, form.c, handler.c, k_keybd.c, k_main.c,
	  k_mouse.c, menuwidg.c, menuwidg.h, newcalls.txt, scrlobjc.c,
	  taskman.c, widgets.c, xa_evnt.c, xa_fsel.c, xa_menu.c, xa_menu.h,
	  xa_objc.c, xa_types.h: Enabled Taskmanager to appear even if
	  update lock is held by a frozen app. Also shutdown is not blocked
	  by such a situation anylonger. Fixed minor redraw bugs in
	  scrollobjects.  Fixed bug in fsel where files with month date Jan
	  always appeared as Feb.

2006-01-08 16:21  ozk

	* xaaes/src.km/: k_keybd.c, menuwidg.c, xa_pdlg.c, xa_types.h: Go
	  back to really skip all memory drivers.  Fixed a bug biting when
	  a popup with open attachment other than menubar-popup was open
	  and ctrl+alt+space was pressed.  Now the first entry in popups
	  should be selected when kbd is used to navigate

2006-01-06 08:04  fna

	* xaaes/src.km/xa_pdlg.c: Fixed compile problem.

2006-01-03 19:03  ggs

	* xaaes/src.km/xa_pdlg.c: Skip all memory driver

2006-01-02 17:51  ozk

	* xaaes/src.km/: draw_obj.c, k_init.c, k_main.c, menuwidg.c,
	  xa_fnts.c, xa_global.h, xa_pdlg.c, xa_vdi.c: Fixed terrible bug
	  happening if pdlg_create fails because of no VDI support or no
	  memory for pdlg structure

2006-01-01 14:20  ozk

	* xaaes/src.km/: debug.c, scrlobjc.c, version.h, xa_pdlg.c,
	  xa_rsrc.c, xa_shel.c: Fixed situation where vertical slider in
	  fileselector sometimes didnt appear when it should. Bumped
	  version to 0.997

2005-12-31 15:09  ozk

	* xaaes/src.km/xa_pdlg.c: Fixed a compiler warning

2005-12-31 14:47  ozk

	* xaaes/src.km/: debug.c, k_init.c, xa_pdlg.c, xa_shel.c: Finally
	  applied a patch by Roger Burrows to let shel_find work with file
	  templates.

2005-12-31 11:54  ozk

	* xaaes/src.km/: adiload.c, global.h, k_init.c, version.h,
	  xa_appl.c, xa_mono.h, xa_mono.hrd, xa_mono.rsc, xaaes.rsc: Upped
	  version to 0.996.  Update rsc version numbers, use new xaaes.rsc
	  or xa_mono.rsc

2005-12-30 23:56  ozk

	* xaaes/src.km/: xa_mono.h, xa_mono.rsc, xaaes.rsc: Fixedup
	  forgotten xa_mono.rsc too

2005-12-30 20:03  ozk

	* xaaes/src.km/: XAAESDEFS, about.c, app_man.c, c_mouse.c,
	  desktop.c, draw_obj.c, draw_obj.h, form.c, form.h, k_main.c,
	  menuwidg.c, mt_gemx.h, obtree.c, obtree.h, scrlobjc.c, taskman.c,
	  widgets.c, widgets.h, win_draw.c, xa_aes.h, xa_fnts.c, xa_form.c,
	  xa_fsel.c, xa_fsel.h, xa_graf.c, xa_lbox.c, xa_menu.c, xa_objc.c,
	  xa_pdlg.c, xa_pdlg.h, xa_rsrc.c, xa_types.h, xa_user_things.h,
	  xa_wdlg.c, xa_wdlg.h, xa_wind.c, xaaes.h, xaaes.hrd, xaaes.rsc:
	  Huge changes to allow embedding of one object tree within
	  another.  First implementation of pdlg_xx() functions.

2005-12-09 22:39  ozk

	* xaaes/src.km/: c_mouse.c, draw_obj.c, form.c, form.h,
	  k_shutdown.c, newcalls.txt, obtree.c, taskman.c, trnfm.c,
	  win_draw.c, xa_form.c, xa_pdlg.c, xa_types.h, xa_wdlg.c,
	  xa_wind.c, adi/whlmoose/whlmoose.c: Fixed a problem where wrong
	  data was returned by wind_set(WF_COLOR).

2005-12-08 22:01  ozk

	* xaaes/src.km/: global.c, global.h, xa_pdlg.c: Added
	  ptr_to_shorts() function

2005-12-08 21:36  ozk

	* xaaes/src.km/: global.c, global.h, taskman.c, trnfm.c, xa_menu.c,
	  xa_wind.c: More fixes regarding pointer arithmetics

2005-12-08 13:09  fna

	* xaaes/src.km/k_main.c: Corrected pointer type thus removing some
	  ugly pointer casts.

2005-12-08 11:18  ozk

	* xaaes/src.km/: mt_gem.h, newcalls.txt: Changed bitlayout of
	  appl_getinfo(AES_FUNCTIONS)

2005-12-08 10:03  ozk

	* xaaes/src.km/: draw_obj.c, mt_gem.h, obtree.c, xa_fsel.c,
	  xa_rsrc.c, xa_shel.c: Minor cleanups

2005-12-08 08:19  fna

	* xaaes/src.km/adi/whlmoose/whlmoose.c: Kernel entry pointer must
	  be non-static.

2005-12-08 00:42  ozk

	* xaaes/src.km/: form.c, k_init.c, k_keybd.c, k_main.c, menuwidg.c,
	  scrlobjc.c, taskman.c, win_draw.c, xa_fnts.c, xa_fsel.c,
	  xa_global.c, xa_global.h, xa_pdlg.c, xa_rsrc.c, xa_shel.c,
	  xa_shel.h, xa_types.h, xa_wind.c: Removed last few casts in
	  lvalue expression.

2005-12-07 22:48  fna

	* tools/swkbdtbl/.cvsignore: Added missing .cvsignore.

2005-12-07 22:44  fna

	* sys/: block_IO.c, debug.c, fatfs.c, init.c, k_kthread.c,
	  kmemory.c, mis.c, libkern/ksprintf.c, libkern/ksprintf_old.c,
	  libkern/libkern.h, libkern/vsprintf.c, mint/kentry.h: Renamed
	  vsprintf to kvsprintf.

2005-12-07 22:05  fna

	* xaaes/src.km/: scrlobjc.c, xa_wind.c: Removed two casts in lvalue
	  expressions.

2005-12-07 22:03  fna

	* sys/arch/Makefile.objs: Don't assemble cpu.S and detect.S with
	  -m68020-60 option, only assemble them with -m68030.

2005-12-07 21:58  fna

	* sys/xdd/lp/lp.c: Pointer to kernel entry should not be static.

2005-12-07 21:56  fna

	* sys/: libkern/kernel_module.h, mint/debug.h: Don't use
	  __FUNCTION__ like a string constant macro.

2005-12-07 21:54  fna

	* sys/: block_IO.c, xdd/audio/afmts.c: Avoid bad casts by using
	  correct pointer for pointer arithmetic.

2005-12-07 21:52  fna

	* tools/: IO/xhdi.c, mgw/mgw.c, mkfatfs/mkfatfs.c: Small
	  corrections (use correct cast in the xhdi wrapper, missing break
	  ind switch statement and so on).

2005-12-07 21:50  fna

	* sys/kmemory.c: Corrected #undef macros (trailing junk at end).

2005-12-07 21:44  fna

	* sys/sockets/xif/: ppp.c, slip.c: Added missing ';' after goto
	  label.

2005-12-07 21:38  fna

	* xaaes/src.km/adiload.c, xaaes/src.km/global.h, sys/module.c,
	  sys/mint/arch/asm_misc.h, sys/sockets/inet4/ifload.c,
	  sys/xfs/isofs/metados.h: Updated inline assembler functions and
	  macros.

2005-12-07 18:14  ozk

	* xaaes/src.km/: draw_obj.c, k_init.c, k_main.c, k_shutdown.c,
	  menuwidg.c, obtree.c, scrlobjc.c, taskman.c, trnfm.c, widgets.c,
	  xa_appl.c, xa_fnts.c, xa_form.c, xa_fsel.c, xa_lbox.c, xa_menu.c,
	  xa_objc.c, xa_pdlg.c, xa_rsrc.c, xa_shel.c, xa_types.h,
	  xa_wdlg.c: Cleanup bad pointer arithmetics done by this C newbie.

2005-12-04 12:33  ozk

	* sys/: ssystem.c, arch/cpu.S: Cleaned up the cpush code a bit, now
	  should calculate number of cachelines needing
	  flushing/invalidation correctly

2005-12-03 02:25  ozk

	* xaaes/src.km/obtree.c: Even better focus selection when wrapping
	  to next line in dialogs

2005-12-03 01:28  ozk

	* xaaes/src.km/: form.c, obtree.c: small correction to selection of
	  next object to focus when wrapping off the right to next 'line'

2005-12-03 01:10  ozk

	* xaaes/src.km/: form.c, obtree.c: First implementation of focus
	  wrapping in dialogs

2005-12-02 17:00  ozk

	* xaaes/src.km/: c_keybd.c, k_keybd.c, menuwidg.c, obtree.c,
	  obtree.h, xa_wind.c: cltrl+alt+space always opens first entry in
	  main menubar.  ctrl+alt+shift+space opens menubar attached to the
	  topmost window if it has one, else the main menubar.

2005-12-02 14:11  ozk

	* sys/: module.c, arch/cpu.S: Opening the eyes is a good thing when
	  one wants to fix important things like this. A terrible mistake
	  where only one cacheline was pushed instead of the whole cache
	  fixed. Now the cpush in module.c is unnecessary again

2005-12-01 14:59  ozk

	* xaaes/src.km/: c_keybd.c, c_keybd.h, c_mouse.c, form.c, k_init.c,
	  k_keybd.c, menuwidg.c, menuwidg.h, mt_gem.h, newcalls.txt,
	  obtree.c, obtree.h, xa_types.h: Started work on keyboard
	  navigating menubar and popups.  Ctrl+alt+space opens and closes
	  menu.

2005-12-01 14:15  ozk

	* sys/module.c: Reenabled a cpush call in module.c which should not
	  be necessary

2005-11-27 15:16  fna

	* CONFIGVARS: Reverted last change (by mistake) of enabling cross
	  compiling as default.

2005-11-27 12:24  ozk

	* xaaes/src.km/: xa_fnts.c, xa_lbox.c, xa_shel.c, xa_wdlg.c,
	  xaaes.rsc: Using cpushi where necessary. MAKE SURE YOU DO 'make
	  clean' before recompiling, goes for both xaaes.km and moose.adi

2005-11-27 12:20  ozk

	* sys/: global.c, global.h, k_exec.c, memory.c, module.c,
	  proc_help.c, ptrace.c, arch/cpu.S, arch/cpu.h, arch/detect.S,
	  arch/detect.h, arch/init_mach.c, arch/intr.S,
	  libkern/kernel_module.h, mint/kentry.h: Fixed wrong usage of
	  log2phys in cpush, logical address was used instead of physical
	  returned. Changed cpush to only push data cache to memory,
	  leaving inst cache alone. Added cpushi function which flushes
	  data cache entries then invalidates instr cache for those
	  entries, used for setting up memory that is to be executed by
	  CPU.	kentry version number changed, do a 'make clean'

2005-11-26 11:17  fna

	* CONFIGVARS, doc/NEWS, doc/mp_list.txt, doc/readme.1.15,
	  doc/german/LIESMICH, doc/german/guide.txt, doc/german/tuning.txt,
	  sys/xdd/flop-raw/README, sys/xfs/ext2fs/balloc.c,
	  sys/xfs/ext2fs/balloc.h, sys/xfs/ext2fs/bitmap.c,
	  sys/xfs/ext2fs/bitmap.h, sys/xfs/ext2fs/ext2.h,
	  sys/xfs/ext2fs/ext2dev.c, sys/xfs/ext2fs/ext2dev.h,
	  sys/xfs/ext2fs/ext2sys.c, sys/xfs/ext2fs/ext2sys.h,
	  sys/xfs/ext2fs/global.c, sys/xfs/ext2fs/global.h,
	  sys/xfs/ext2fs/ialloc.c, sys/xfs/ext2fs/ialloc.h,
	  sys/xfs/ext2fs/inode.c, sys/xfs/ext2fs/inode.h,
	  sys/xfs/ext2fs/main.c, sys/xfs/ext2fs/namei.c,
	  sys/xfs/ext2fs/namei.h, sys/xfs/ext2fs/super.c,
	  sys/xfs/ext2fs/super.h, sys/xfs/ext2fs/truncate.c,
	  sys/xfs/ext2fs/truncate.h, sys/xfs/ext2fs/version.h,
	  tools/fsetter/readme, tools/gluestik/LIESMICH,
	  tools/gluestik/README, tools/gluestik/gs.h,
	  tools/gluestik/gs_config.c, tools/gluestik/gs_config.h,
	  tools/gluestik/gs_func.c, tools/gluestik/gs_func.h,
	  tools/gluestik/gs_mem.c, tools/gluestik/gs_mem.h,
	  tools/gluestik/gs_stik.c, tools/gluestik/gs_stik.h,
	  tools/gluestik/main.c, tools/gluestik/version.h: Updated all
	  remaining e-mail references of fnaumann at cs.uni-magdeburg.de to
	  fnaumann at freemint.de. Please note that fnaumann at
	  cs.uni-magdeburg.de is no longer valid. Please use fnaumann at
	  freemint.de or fnaumann at boerde.de.

2005-11-23 18:47  ozk

	* xaaes/src.km/: sys_proc.c, xa_appl.c: Fixed ugly bug where an
	  internal client event sometimes was sent to a non-existing client
	  (NULL ptr, and all its havocy glory)

2005-11-23 16:23  ozk

	* xaaes/src.km/: obtree.c, xa_fsel.c, xa_graf.c, xa_graf.h,
	  xa_types.h: Set mouseshape to arrow when apps call
	  fsel_(x)input()

2005-11-21 18:27  ozk

	* xaaes/src.km/: draw_obj.c, form.c, obtree.c, widgets.c,
	  xa_wdlg.c, xa_wind.c: More work on extended editable stuff

2005-11-20 01:02  ozk

	* xaaes/src.km/: draw_obj.c, draw_obj.h, handler.c, obtree.c,
	  widgets.c, xa_fsel.c, xa_objc.c, xa_shel.c: Removed code not
	  working with Taskbar correctly.  Corrected problems with cursor
	  in fsel.

2005-11-19 00:37  ozk

	* xaaes/src.km/xa_appl.c: Fixed potential buffer overrun in
	  client_nicename() function

2005-11-19 00:29  ozk

	* xaaes/src.km/: init.c, k_main.c, mt_gem.h, obtree.c, taskman.c,
	  taskman.h, widgets.c, xa_appl.c, xa_appl.h, xa_menu.c, xa_objc.c:
	  Fixed a small redraw prob regarding editable object cursor.
	  Found and fixed a memory leak, structure to hold slider info was
	  forgotten and new mem for this was obtained each time a window
	  was iconfified then uniconified.

2005-11-17 23:35  ozk

	* xaaes/src.km/: c_window.c, init.c: Hopefully fixed a redraw
	  problem sometimes appearing when moving windows in background
	  down-right out from underneat overlaying windows

2005-11-17 10:24  ozk

	* xaaes/src.km/: adiload.c, c_window.c, draw_obj.c, draw_obj.h,
	  form.c, global.h, handler.c, init.c, k_init.c, k_main.c,
	  mt_gem.h, newcalls.txt, obtree.c, obtree.h, scrlobjc.c,
	  sys_proc.c, sys_proc.h, taskman.c, widgets.c, xa_aes.h,
	  xa_appl.c, xa_appl.h, xa_fnts.c, xa_fsel.c, xa_global.h,
	  xa_menu.c, xa_objc.c, xa_objc.h, xa_rsrc.c, xa_shel.c,
	  xa_types.h, xa_wdlg.c, xa_wind.c: Remove the AESSYS reparent
	  hack, now a client event does the Pwaitpid() on behalf of client
	  when shel_write() started child terminates. CH_EXIT should be
	  sent even without TOS_RUN now due to better module control.
	  UPDATE KERNEL and MOOSE.ADI too because kerinfo structure is
	  updated

2005-11-17 10:19  ozk

	* sys/: k_exec.c, k_exit.c, k_fork.c, proc_help.c, proc_help.h,
	  mint/kentry.h, mint/proc_extensions.h: Extended control of module
	  control block attachments. Added flags to control certain things.
	  See proc_help.c for more info

2005-11-04 21:41  ozk

	* xaaes/src.km/: mt_gem.h, obtree.c, xa_shel.c: Removed
	  unsuccessful implementaton of marking of text in editable
	  objects, this is impossible. Will implement new objc_edit() modes
	  for this. Fixed a but in shel_write() where argv wasnt built when
	  cmdlen == 127 and cmd less than 126 chars, which is wrong.

2005-11-03 19:56  ozk

	* xaaes/src.km/: obtree.c, xa_types.h: Attempt to detect changes in
	  editables and reinit upon objc_edit(ED_INIT)

2005-11-02 21:17  ozk

	* xaaes/src.km/: draw_obj.c, mt_gem.h, obtree.c, xa_types.h:
	  Experimental marking of text in editable objects. Only works with
	  clean apps that let XaAES know where editfocus is by correct
	  usage of objc_edit(). As of now, only shift + left or right
	  arrows will mark text in relevant direction.

2005-10-31 21:35  ozk

	* xaaes/src.km/: handler.c, menuwidg.c, obtree.c, widgets.c,
	  widgets.h, xa_appl.c, xa_form.c, xa_form.h, xa_graf.c, xa_graf.h,
	  xa_objc.c, xa_objc.h: Implemented objc_wdraw(), objc_wchange(),
	  objc_wedit(), objc_xfind(), graf_wwatchbox(), form_wbutton() and
	  form_wkeybd(). Not often good things come from MagiC, but these
	  are very good functions introduced in MagiC 5\.10

2005-10-30 20:12  ozk

	* xaaes/src.km/: form.c, xa_form.c: Removed forgotten debug output
	  .. again

2005-10-30 20:07  ozk

	* xaaes/src.km/: form.c, obtree.c, xa_form.c, xa_wdlg.c: Fixed
	  broken keyboard navigation in wdialog functions, focus didnt
	  automatically change to editfocus when it should

2005-10-30 18:01  ozk

	* xaaes/src.km/: draw_obj.c, xa_types.h, xa_vdi.c: Try rounded
	  buttons

2005-10-30 12:27  ozk

	* xaaes/src.km/: draw_obj.c, k_init.c, menuwidg.c, win_draw.c,
	  xa_rsrc.c, xa_rsrc.h, xa_types.h, xa_vdi.c: Wrong rendering of
	  certain button frame, text was displayed using replace writing
	  mode, fixed. Shortcut underlines better positioned.

2005-10-28 18:58  ozk

	* sys/: k_exec.c, k_exit.c, k_exit.h: Fix problem where only 8 bits
	  (signextended to 16) of a processes return value was returned by
	  Pexec(0)

2005-10-28 14:56  draco

	* sys/k_exec.c: Expand the return value for Pexec(0) back to 16
	  bits, after sys_pwaitpid() zeroed its higher byte.

2005-10-28 10:25  ozk

	* xaaes/src.km/: draw_obj.c, k_init.c: Better rendering of n.aes
	  specific objects. Better, but not perfect, support for
	  proportional fonts.

2005-10-26 11:41  ozk

	* xaaes/src.km/: draw_obj.c, mt_gem.h, xa_objc.c, xa_types.h,
	  xa_vdi.c: More correct rendering of objects..

2005-10-25 10:49  ozk

	* xaaes/src.km/newcalls.txt: Updated newcalls.txt - Atari docs were
	  right all the time

2005-10-25 10:06  ozk

	* xaaes/src.km/: draw_obj.c, form.c, form.h, newcalls.txt,
	  obtree.c, scrlobjc.c, widgets.c, xa_form.c, xa_objc.c, xa_wdlg.c:
	  Finally I think I have got form_keybd() correct.

2005-10-23 19:44  ozk

	* xaaes/src.km/: newcalls.txt, obtree.c: objc_edit(ED_INIT) now
	  sets the cursor according to the index parameter instead of at
	  the end of the string

2005-10-23 18:33  ozk

	* xaaes/src.km/newcalls.txt: Minor updates to newcalls.txt

2005-10-23 18:25  ozk

	* xaaes/src.km/: form.c, form.h, newcalls.txt, xa_wdlg.c: Corrected
	  some aspects of form_button()

2005-10-23 04:20  ozk

	* xaaes/src.km/: c_mouse.c, draw_obj.c, form.c, newcalls.txt,
	  obtree.c, xa_appl.c: Fixed some bugs, more work on keyboard
	  navigation.

2005-10-22 14:43  ozk

	* xaaes/src.km/: draw_obj.c, form.c, newcalls.txt, obtree.c: Fixed
	  bugs regarding kbd navigation and editables.	Now editing in Cat
	  works again. Please read about form_keybd() in newcalls.txt and
	  let me know if things are wrong...

2005-10-22 00:20  ozk

	* xaaes/src.km/form.c: removed forgotten debug output

2005-10-22 00:06  ozk

	* xaaes/src.km/: form.c, newcalls.txt: Fixed a bug where arrow
	  left/right was eaten when it should not be in kbd nav..

2005-10-21 23:28  ozk

	* xaaes/src.km/: form.c, form.h, newcalls.txt, obtree.c, xa_wdlg.c:
	  Closing in on a decent solution here perhaps...

2005-10-21 16:08  ozk

	* xaaes/src.km/: form.c, xa_form.c, xa_objc.c: Keyboard navigation
	  more usable, we thinks

2005-10-21 14:52  ozk

	* xaaes/src.km/: form.c, form.h, k_init.c, k_main.c, obtree.c,
	  obtree.h, taskman.c, xa_fnts.c, xa_form.c, xa_fsel.c, xa_objc.c,
	  xa_pdlg.c, xa_wdlg.c: Experiments with keyboard navigation.

2005-10-20 13:50  ozk

	* xaaes/src.km/: c_keybd.c, draw_obj.c, form.c, handler.c,
	  k_init.c, menuwidg.c, obtree.c, scrlobjc.c, scrlobjc.h,
	  taskman.c, xa_appl.c, xa_fnts.c, xa_fsel.c, xa_pdlg.c,
	  xa_types.h, xa_wdlg.c: AES should apparently clear 'version' and
	  'count' (or 'num_appl') members of aesglobal when appl_exit() is
	  called. Thanks to Roger Burrows helping me find this bug. More
	  work on keyboard navigation, still far from complete

2005-10-18 16:04  ozk

	* xaaes/src.km/: form.c, obtree.c, xa_appl.c, xa_objc.c: Prevent
	  editing if object with focus differs from edit-focus.  Init focus
	  object when objc_draw() called... experimental.

2005-10-18 03:58  ozk

	* xaaes/src.km/obtree.c: A bit better choises made when selecting
	  next object during keyboard navigation

2005-10-17 18:33  ozk

	* xaaes/src.km/: draw_obj.c, form.c, obtree.c: Fixes related to kbd
	  navigation which is still in very early stages

2005-10-15 20:12  ozk

	* xaaes/src.km/: debug.h, draw_obj.c, draw_obj.h, form.c, form.h,
	  menuwidg.c, messages.c, mt_gem.h, obtree.c, obtree.h, taskman.c,
	  widgets.c, xa_appl.c, xa_evnt.c, xa_fnts.c, xa_form.c, xa_lbox.c,
	  xa_objc.c, xa_pdlg.c, xa_types.h, xa_wdlg.c: Fixed bug where
	  checks for tedinfo was not done on objects with OF_EDITABLE bit
	  set. Experimental kbd navigation system via form_button(),
	  form_keybd() started.

2005-10-11 14:24  ischmidt

	* .cvsignore: - added .project for eclipse users

2005-10-10 18:54  ozk

	* xaaes/src.km/: form.c, k_mouse.c, menuwidg.c, widgets.c,
	  xa_types.h: Correction to menu/popup navigations, so that a
	  button-release selects after a button-hold session.

2005-10-09 21:45  ozk

	* xaaes/src.km/: c_mouse.c, c_window.c, draw_obj.c, init.c,
	  k_init.c, k_main.c, k_mouse.c, k_shutdown.c, menuwidg.c,
	  menuwidg.h, messages.c, mt_gem.h, obtree.c, obtree.h,
	  xa_global.h, xa_menu.c, xa_types.h: Unfinished, but usable,
	  implementation of scrollable menus.

2005-10-04 22:52  draco

	* sys/libkern/unix2xbios.c: Dates preceding 2000 are shifted by one
	  day, since the code doesn't take into account the fact, that the
	  year 2000 is not a leap year in Gregorian kalendar.  Trying to
	  fix that.

2005-09-30 18:32  ozk

	* xaaes/src.km/: init.c, scrlobjc.c: Fixed glitch when deleting
	  last entry in a scroll-list larger than height didnt visually
	  update. Happened when killing the process listed last in
	  Taskmanager

2005-09-30 14:58  ozk

	* xaaes/src.km/: init.c, k_shutdown.c: bughunting with curly

2005-09-30 14:42  ozk

	* xaaes/src.km/: init.c, k_main.c: Bughunting with curly

2005-09-30 14:05  ozk

	* xaaes/src.km/xa_menu.c: struct MENU member 'scroll' now acts
	  according to my proposition

2005-09-30 14:00  ozk

	* xaaes/src.km/: menuwidg.c, xa_menu.c, xa_types.h: Fixed
	  interpretation of struct MENU member 'scroll'

2005-09-29 13:53  ozk

	* xaaes/src.km/: menuwidg.c, xa_menu.c: Fixed stupid bug, fetching
	  data from a structure just previously released. Fixes apps
	  hanging after ending popup-session on certain systems.

2005-09-29 13:34  ozk

	* xaaes/src.km/: menuwidg.c, xa_menu.c: Perhaps fixed a bug

2005-09-29 13:17  ozk

	* xaaes/src.km/: form.c, menuwidg.c: Mouse dont mess up scrolling
	  popups. Fixed page up/down in popups.

2005-09-29 12:57  ozk

	* xaaes/src.km/: xa_menu.c, xa_menu.h: More tests

2005-09-29 12:38  ozk

	* xaaes/src.km/: xa_fsel.c, xa_menu.c: Small tests between Ingo and
	  me

2005-09-28 18:39  ozk

	* xaaes/src.km/: form.c, menuwidg.c, scrlobjc.c, xa_fsel.c,
	  xa_menu.c: Hopefully fixed so that popups only get 8 entries when
	  scroll flag set. More work on fileselector

2005-09-27 18:32  ozk

	* xaaes/src.km/xa_fsel.c: Still working on fileselector. Be careful

2005-09-27 17:01  ozk

	* xaaes/src.km/: scrlobjc.c, xa_fsel.c: And now I remembered to
	  remove debug info written to console

2005-09-27 15:30  ozk

	* xaaes/src.km/: k_init.c, xa_mono.rsc: Forgot to update rsc
	  version number we want

2005-09-27 15:19  ozk

	* xaaes/src.km/: k_main.c, scrlobjc.c, taskman.c, xa_fnts.c,
	  xa_fsel.c, xa_fsel.h, xa_mono.h, xa_mono.hrd, xa_mono.rsc,
	  xa_types.h, xa_vdi.c, xaaes.h, xaaes.hrd, xaaes.rsc: More work on
	  fileselector. Still far from done

2005-09-18 18:14  ozk

	* xaaes/src.km/: c_mouse.c, debug.c, k_main.c, obtree.c,
	  scrlobjc.c, taskman.c, xa_fsel.c, xa_rsrc.c, xa_types.h: Fixed
	  bug causing Organizer v0.47 (demo) to crash.	More work on
	  fileselector/taskmanager, far from finished.

2005-09-16 00:27  ozk

	* xaaes/src.km/: scrlobjc.c, xa_fsel.c: More work on fileselector.
	  Far from finished.

2005-09-15 21:29  ozk

	* xaaes/src.km/: about.c, c_window.c, handler.c, k_init.c,
	  k_main.c, messages.c, scrlobjc.c, taskman.c, taskman.h,
	  xa_appl.c, xa_fnts.c, xa_fsel.c, xa_menu.c, xa_types.h, xa_vdi.c:
	  Started overhouling the scroll-list functions. Found and fixed a
	  bad memory leak in the rectangle driver. Started overhoul of
	  fileselector and taskmanager.

2005-09-12 13:18  fna

	* sys/kernget.c: Corrected printf format string in
	  kern_procdir_get_meminfo().

2005-09-09 16:04  ozk

	* xaaes/src.km/: c_window.c, form.c, widgets.c, xa_form.c: Fixed
	  problem with windowed form_do() sessions, widget_tree was
	  sometimes unlinked from a new window by the delayed delete of an
	  older window.  This fixes problems with GFA_XREF

2005-09-07 16:37  ozk

	* xaaes/src.km/: app_man.c, c_mouse.c, c_window.c, k_main.c,
	  k_mouse.c, menuwidg.c, widgets.c, widgets.h, xa_wind.c: Fixed
	  problems when popups didnt fit screen and gets sliders

2005-09-06 18:36  ozk

	* xaaes/src.km/: c_window.c, cnf_xaaes.c, init.c, k_init.c,
	  k_shutdown.c, mvdi.h, taskman.c, trnfm.c, trnfm.h, xa_types.h,
	  xaaes.cnf: Better control over what XaAES should do when closing
	  last window of the currently topped app, see app_options argument
	  'clwtna'.  Attempt to lookup a res with current dimentions when
	  changing color depth in the res-change dialog. Should work on
	  Milan, untested on Nova VDI

2005-09-05 14:11  ozk

	* xaaes/src.km/: cnf_xaaes.c, k_main.c, xa_mono.rsc, xaaes.cnf,
	  xaaes.rsc: Added kbd shortcuts to alert windows. Keyword
	  alert_windows work as expected now

2005-09-05 14:07  ozk

	* sys/: cnf.c, cnf.h: Added parser keyword PI_R_US, referance gets
	  unsigned short

2005-09-05 14:05  ozk

	* tools/toswin2/: textwin.c, twterm.c, window.c: Fixed snapping
	  coordinates, now works correctly when resizing using left/top
	  window borders

2005-09-04 00:05  ozk

	* xaaes/src.km/: draw_obj.c, init.c, k_init.c, k_keybd.c, k_main.c,
	  k_shutdown.c, menuwidg.c, obtree.c, obtree.h, taskman.c, trnfm.c,
	  xa_appl.c, xa_evnt.c, xa_form.c, xa_form.h, xa_mono.h,
	  xa_mono.hrd, xa_mono.rsc, xa_rsrc.c, xaaes.h, xaaes.hrd,
	  xaaes.rsc: Found out on my Falcon CT63, caches also needs to be
	  off when calling v_opnwk()

2005-08-31 21:19  ozk

	* sys/: bios.c, debug.c, keyboard.c, mint/debug.h, mint/mem.h: Skip
	  jobcontrol when sg_flags T_RAW is set in checkkeys().  Added
	  missing scancode translation when control is pressed together
	  with scancodes between 0x02 and 0x0d

2005-08-29 20:56  ozk

	* xaaes/src.km/: c_window.c, draw_obj.c, k_init.c, k_shutdown.c,
	  mt_gem.h, trnfm.c, trnfm.h, xa_evnt.c, xa_rsrc.c: Better
	  rendering of mono/color icons when disabled or selected without
	  selected-icon

2005-08-28 13:40  ozk

	* xaaes/src.km/k_init.c: Fix compiler warnings

2005-08-28 13:12  ozk

	* xaaes/src.km/k_init.c: Perhaps I found the undocumented official
	  way to change res on Milan

2005-08-28 12:12  ozk

	* xaaes/src.km/k_init.c: Turn off cacehs before calling the mvdi
	  dispatcher during resolution change.

2005-08-28 11:16  ozk

	* xaaes/src.km/: c_window.c, k_init.c, widgets.c: Fixed problem
	  where inside_minmax() adjusted coordinates on iconified windows
	  too.

2005-08-28 00:02  ozk

	* xaaes/src.km/: k_init.c, k_shutdown.c, taskman.c: Reenable
	  turning cache off for all VDIs, not just nova vdi

2005-08-27 23:35  ozk

	* xaaes/src.km/: k_init.c, k_main.c, k_shutdown.c, trnfm.c,
	  trnfm.h, xa_rsrc.c: More shutdown work, some cleanups.

2005-08-27 16:14  ozk

	* xaaes/src.km/: cnf_xaaes.c, k_init.c, k_main.c, k_shutdown.c,
	  taskman.c, xa_global.h, xa_mono.h, xa_mono.hrd, xa_mono.rsc,
	  xaaes.cnf, xaaes.h, xaaes.hrd, xaaes.rsc: More work on shutdown
	  stuff. Update example xaaes.cnf a bit.

2005-08-26 23:32  ozk

	* xaaes/src.km/: cnf_xaaes.c, k_init.c, k_main.c, k_main.h,
	  k_shutdown.c, taskman.c, xa_appl.c, xa_global.h, xa_graf.c,
	  xa_mono.rsc, xa_types.h, xaaes.cnf, xaaes.rsc: Improved shutdown
	  scheme. Added KILL_WO_QUESTION configuration variable, see
	  xaaes.cnf, to allow a list of applications/accessories to be
	  killed without bothering the user

2005-08-26 10:29  ozk

	* xaaes/src.km/: k_main.c, k_main.h, k_shutdown.c, menuwidg.c,
	  taskman.c, taskman.h, xa_appl.c, xa_global.h, xaaes.rsc: Rewrote
	  shutdown procedure. A LOT better now. Will add KWQ option to
	  app_options later so one can define which apps are killed without
	  question

2005-08-25 11:05  ozk

	* xaaes/src.km/: k_init.c, k_keybd.c, k_shutdown.c, taskman.c,
	  taskman.h, xa_shel.c: Set AP_RESCHG as argument to AP_TERM when
	  res change is reason for shutdown. Changed res change calls for
	  Milan, the current one only worked on _my_ Milan, 040 w/s3 trio

2005-08-24 23:12  ozk

	* xaaes/src.km/: xa_mono.h, xa_mono.hrd, xa_mono.rsc: Update mono
	  resources

2005-08-24 22:58  ozk

	* xaaes/src.km/: SRCFILES, about.c, about.h, app_man.c, c_mouse.c,
	  c_window.c, debug.c, draw_obj.c, draw_obj.h, form.c, form.h,
	  init.c, k_init.c, k_init.h, k_keybd.c, k_main.c, k_main.h,
	  k_mouse.c, k_shutdown.c, menuwidg.c, mvdi.c, mvdi.h, obtree.c,
	  obtree.h, scrlobjc.c, taskman.c, taskman.h, trnfm.c, trnfm.h,
	  version.h, widgets.c, win_draw.c, xa_appl.c, xa_evnt.c,
	  xa_fnts.c, xa_global.c, xa_global.h, xa_menu.c, xa_pdlg.c,
	  xa_rsrc.c, xa_types.h, xa_vdi.c, xa_wdlg.c, xaaes.h, xaaes.hrd,
	  xaaes.rsc, xcb.h, img/8b/exterior.img, img/8b/info.img,
	  img/8b/slide.img, img/8b/slider.img, img/hc/exterior.img,
	  img/hc/info.img, img/hc/slide.img, img/hc/slider.img: Lots of
	  changes, lots of bugfixes.

2005-08-24 22:15  ozk

	* sys/cookie.h: Some defines added

2005-08-05 09:47  ozk

	* xaaes/src.km/: c_window.c, c_window.h, widgets.c, xa_graf.c,
	  xa_wind.c: Checking window size against MAX coords now made
	  dependant on a future application setting

2005-08-04 18:03  ozk

	* xaaes/src.km/xa_fsel.c: More bugfixes regarding params apps pass
	  to fsel_(ex)input.

2005-08-04 16:20  ozk

	* xaaes/src.km/: adi.c, adi.h, adiload.c, cnf_xaaes.c, init.c,
	  k_init.c, k_main.c, k_shutdown.c, obtree.c, obtree.h, scrlobjc.c,
	  taskman.c, xa_fsel.c, xa_global.c, xa_global.h, xa_mono.h,
	  xa_mono.hrd, xa_mono.rsc, xa_rsrc.c, xaaes.cnf, xaaes.h,
	  xaaes.hrd, xaaes.rsc, adi/adidefs.h, adi/whlmoose/whlmoose.c: New
	  keyword ALERT_WINDOWS - turn on/off alerts. Fixed some bugs in
	  scroll-lists and fileselector. ctrl+alt+r brings up resolution
	  selector, but res changes only work on falcon. Added version
	  check of AESSYS resource file, xaaes.rsc. Several fixes
	  regardingreschange and restarts. REMEMBER: Update moose.adi and
	  xaaes.rsc\!

2005-08-01 23:43  ozk

	* xaaes/src.km/: adiload.c, adiload.h, init.c, k_init.c, k_init.h,
	  k_keybd.c, k_main.c, k_shutdown.c, menuwidg.c, menuwidg.h,
	  newcalls.txt, obtree.c, obtree.h, taskman.c, taskman.h,
	  widgets.c, xa_global.c, xa_global.h, xa_mono.h, xa_mono.hrd,
	  xa_mono.rsc, xa_shel.c, xa_shel.h, xaaes.h, xaaes.hrd, xaaes.rsc:
	  Started work on resolution change handling.

2005-08-01 21:24  fna

	* sys/arch/mmu030.S: Bugfix for 030 MMU code path contributed by
	  Alan Hourihane.

2005-07-31 23:39  ozk

	* xaaes/src.km/k_init.c: Turn off clipping on the physical
	  workstation. This fixes a problem with some buggy VDIs

2005-07-31 19:52  ozk

	* xaaes/src.km/: c_window.c, draw_obj.c, k_mouse.c, menuwidg.c,
	  newcalls.txt, obtree.c, scrlobjc.c, trnfm.c, widgets.c,
	  win_draw.c, xa_rsrc.c, xa_types.h, xa_vdi.c, xa_wind.c: Fixed
	  problem with window changing theme all by itself (dont ask).
	  Fixed mono color-theme - makes XaAES a lot more usable in mono.
	  Fixed a bug causing iconblk (or monoblk in ciconblk) icon data
	  going corrupt in duplicate_obtree().

2005-07-29 10:21  ozk

	* xaaes/src.km/: taskman.c, xa_appl.c: Removed experimental stuff
	  on taskmanager windows. Now kbd shortcuts should work again

2005-07-28 23:37  ozk

	* xaaes/src.km/: c_window.c, widgets.c, win_draw.c, xa_types.h,
	  xa_wind.c: Implemented window classes (popup/alert/client classes
	  so far) and each class can have own theme to avoid theme settings
	  on normal windos affect popup windows, etc. Fixed a bug in window
	  renderer causing non-used but installed (blind widgets) to
	  overwrite used widgets under certain conditions.

2005-07-28 15:20  ozk

	* xaaes/src.km/: c_window.c, widgets.c, win_draw.c, xa_types.h,
	  xa_wind.c: Fixed lots of problems regarding window shading which
	  got broken during last changes to window-layout/renderer
	  functions

2005-07-28 09:45  ozk

	* xaaes/src.km/: c_window.c, init.c, k_init.c, k_main.c,
	  k_shutdown.c, messages.c, widgets.c, win_draw.c: Removed
	  startup-warning and pause. Window looks closer to normal again.
	  Small corrections regarding startup/shutdown

2005-07-27 19:45  ozk

	* xaaes/src.km/: c_mouse.c, c_window.c, desktop.c, draw_obj.c,
	  menuwidg.c, messages.c, scrlobjc.c, widgets.c, win_draw.c,
	  xa_types.h, xa_vdi.c, xa_wind.c: More work on window renderer,
	  experimental and so looks slightly different.  If extended
	  WM_ARROWED not delivered before new one is generated, amount of
	  new added to old and x/y/kbstate replaces old.

2005-07-17 17:56  standa

	* sys/sockets/inet4/ifload.c: .XIF loading stall problem workaround
	  hack

	  All registers are saved/restored around xif's init call. If they
	  are not then the 'dirh' structure in the
	  sys/module.c/load_modules() gets corrupted in during the module's
	  init() method call.

2005-07-16 15:20  ozk

	* xaaes/src.km/: app_man.c, c_window.c, c_window.h, form.c,
	  k_shutdown.c, widgets.c, xa_appl.c, xa_form.c, xa_types.h,
	  xa_wdlg.c, xa_wind.c: Fixed issues with WCOMODE and iconifying.
	  Reimplemented wind_calc() caching, didnt work as expected. Plus
	  other minor fixes...

2005-07-15 10:46  ozk

	* xaaes/src.km/: c_window.c, k_init.c, mt_gem.h, xa_appl.c,
	  xa_wdlg.c, xa_wind.c: wind_set(-1, WF_WHEEL) not set correctly -
	  fixed. Coordinate conversion of rectangles in WM messages
	  affected by WCOWORK mode.

2005-07-12 11:35  ozk

	* xaaes/src.km/: c_window.c, c_window.h, mt_gem.h, newcalls.txt,
	  widgets.c, xa_wind.c: Fixed left/right double click problem on
	  arrows problem, reverse didnt work right. Added WF_MAXWORXYWH
	  wind_get() mode. Added wind_xcreate(). More corrections related
	  to WCOWORK operating mode.

2005-07-12 11:32  ozk

	* tools/toswin2/: Makefile, config.c, console.c, global.c,
	  global.h, main.c, proc.c, textwin.c, textwin.h, twterm.c, vt.c,
	  window.c, window.h, tw-call/tw-call.c: Started WCOWORK support.

2005-07-09 03:20  ozk

	* xaaes/src.km/: draw_obj.c, draw_obj.h, handler.c, menuwidg.c,
	  mt_gem.h, newcalls.txt, semaphores.c, widgets.c, xa_appl.c,
	  xa_fnts.c, xa_graf.c, xa_lbox.c, xa_rsrc.c, xa_types.h, xa_vdi.h:
	  Implemented appl_getinfo(AES_WOPTS) to get which WF_OPTS the AES
	  supports

2005-07-08 12:47  ozk

	* xaaes/src.km/: widgets.c, xa_wdlg.c, xa_wind.c: Fixed bug causing
	  wdlg fontselector to disappear when moved.

2005-07-08 03:38  ozk

	* xaaes/src.km/widgets.c: Now toolbar width is working too.

2005-07-08 03:12  ozk

	* xaaes/src.km/: k_main.c, widgets.c, xa_evnt.c, xa_types.h:
	  Reverted back to what turned out to be correct MU_TIMER anyway.
	  Fixed utterly stupid bug in WORKXYWH calculations.. goddamned.

2005-07-07 17:20  ozk

	* xaaes/src.km/xa_shel.c: cpush added after copying accstart code.
	  Hopefully makes starting acc more stable on 060.

2005-07-07 15:53  ozk

	* xaaes/src.km/: k_main.c, xa_evnt.c, xa_types.h: Fixed MU_TIMER to
	  be like on other AES's.

2005-07-06 17:37  ozk

	* xaaes/src.km/: desktop.c, k_mouse.c, xa_evnt.c, xa_menu.c,
	  xa_types.h: Fixed another issue with menu_bar() and topping apps
	  using it.

2005-07-06 16:43  ozk

	* xaaes/src.km/: app_man.c, c_window.c, c_window.h, init.c,
	  k_mouse.c, menuwidg.c, widgets.c, xa_appl.c, xa_types.h,
	  xa_wind.c: Fixed situation where a very fast doubleclick cause
	  menubar not to drop down until a new click. Check if menubar
	  object tree is really installed when MENUBAR bit in wind kind for
	  create_wind() is set, fixing ergohelp crashes, but leaves empty
	  space where menubar is supposed to be.

2005-06-29 19:00  ozk

	* xaaes/src.km/: app_man.c, c_window.c, messages.c, mt_gem.h,
	  newcalls.txt, widgets.c, xa_appl.c, xa_types.h, xa_wdlg.c,
	  xa_wind.c: Experimental WCOWORK mode implemented. See
	  newcalls.txt for info about window coordination orientation WORK
	  mode.  appl_getinfo(AES_WINDOW)'s ap_gout1 bit 13 indicate a
	  correct wind_set(WF_WORKXYWH) and bit 14 indicate that
	  wind_xget(WF_CALCW2F/WF_CALCF2W) and WO0_WCOWORK is supported.

2005-06-28 00:18  krupkaj

	* tools/swkbdtbl/: BINFILES, EXTRAFILES, MISCFILES, Makefile,
	  SRCFILES, swkbdtbl.c: Added a tool to switch keyboard translation
	  table.

2005-06-25 16:02  ozk

	* xaaes/src.km/: c_window.c, c_window.h, form.c, menuwidg.c,
	  mt_gem.h, rectlist.c, rectlist.h, scrlobjc.c, taskman.c,
	  widgets.c, widgets.h, xa_fnts.c, xa_form.c, xa_fsel.c, xa_lbox.c,
	  xa_pdlg.c, xa_types.h, xa_wdlg.c, xa_wind.c: Implemented
	  wind_set(WF_WORKXYWH),
	  wind_get(WF_CALCF2W/WF_CALCW2F/WF_CALCF2U/WF_CALCU2F) Fixed bug
	  causing wind_set(WF_OPTS) effectless. wind_get(WF_WORKXYWH)
	  returns correct values when toolbar installed.
	  wind_get(WF_FIRSTXYWH/NEXTXYWH) only returns true work-area
	  rectangles, no areas used by toolbar to be consistent with
	  WF_WORKXYWH.	Most of this stuff is untested	as of yet.

2005-06-24 00:43  ozk

	* xaaes/src.km/: c_window.c, widgets.c, win_draw.c, xa_fnts.c,
	  xa_pdlg.c, xa_types.h: Wrong coordinates obtained for the
	  font-dialog fixed.  Border resize works again.

2005-06-23 09:41  ozk

	* xaaes/src.km/: CHANGES.txt, SRCFILES, about.c, app_man.c,
	  c_mouse.c, c_window.c, cnf_xaaes.c, desktop.c, desktop.h,
	  draw_obj.c, draw_obj.h, form.c, form.h, handler.c, init.c,
	  k_init.c, k_main.c, k_main.h, k_mouse.c, k_shutdown.c,
	  menuwidg.c, messages.c, mt_gem.h, obtree.c, obtree.h, rectlist.c,
	  rectlist.h, scrlobjc.c, taskman.c, trnfm.c, widgets.c, widgets.h,
	  win_draw.c, win_draw.h, xa_aes.h, xa_appl.c, xa_evnt.c,
	  xa_fnts.c, xa_form.c, xa_fsel.c, xa_global.c, xa_global.h,
	  xa_graf.c, xa_lbox.c, xa_menu.c, xa_mono.h, xa_mono.hrd,
	  xa_mono.rsc, xa_objc.c, xa_pdlg.c, xa_rsrc.c, xa_rsrc.h,
	  xa_types.h, xa_vdi.c, xa_vdi.h, xa_wdlg.c, xa_wind.c, xa_xtobj.h,
	  xa_xtobj.hrd, xa_xtobj.rsc, xaaes.cnf, xaaes.h, xaaes.hrd,
	  xaaes.rsc, xaaeswdg.h, xaaeswdg.hrd, xaaeswdg.rsc,
	  widgets/adam.hrd, widgets/adam.rsc, widgets/baroqwdg.h,
	  widgets/baroqwdg.hrd, widgets/baroqwdg.rsc, widgets/cbox1214.h,
	  widgets/cbox1214.hrd, widgets/cbox1214.rsc, widgets/cboxwdg.h,
	  widgets/cboxwdg.hrd, widgets/cboxwdg.rsc, widgets/cboxwidg.h,
	  widgets/cboxwidg.hrd, widgets/cboxwidg.rsc, widgets/gemjwdg.hrd,
	  widgets/gemjwdg.rsc, widgets/gilwidg.hrd, widgets/gilwidg.rsc,
	  widgets/homwdg.hrd, widgets/homwdg.rsc, widgets/ligt_wdg.hrd,
	  widgets/ligt_wdg.rsc, widgets/magicwdg.hrd, widgets/magicwdg.rsc,
	  widgets/mbox1214.h, widgets/mbox1214.hrd, widgets/mbox1214.rsc,
	  widgets/mboxwdg.h, widgets/mboxwdg.hrd, widgets/mboxwdg.rsc,
	  widgets/mboxwidg.h, widgets/mboxwidg.hrd, widgets/mboxwidg.rsc,
	  widgets/monowidg.h, widgets/monowidg.hrd, widgets/monowidg.rsc,
	  widgets/nine-ozk.hrd, widgets/nine-ozk.rsc, widgets/nine-wdg.hrd,
	  widgets/nine-wdg.rsc, widgets/nine_wdg.hrd, widgets/nine_wdg.rsc,
	  widgets/pas_wdg.hrd, widgets/pas_wdg.rsc, widgets/ronb_wdg.hrd,
	  widgets/ronb_wdg.rsc, widgets/rond_wdg.hrd, widgets/rond_wdg.rsc,
	  widgets/rondswdg.hrd, widgets/rondswdg.rsc, widgets/styl_wdg.hrd,
	  widgets/styl_wdg.rsc, widgets/w98_wdg.hrd, widgets/w98_wdg.rsc,
	  widgets/win_wdg.hrd, widgets/win_wdg.rsc, widgets/xaaeswdg.h,
	  widgets/xaaeswdg.hrd, widgets/xaaeswdg.rsc, xobj/nine-ozk.h,
	  xobj/nine-ozk.hrd, xobj/nine-ozk.rsc, xobj/simple.h,
	  xobj/simple.hrd, xobj/simple.rsc, xobj/style.h, xobj/style.hrd,
	  xobj/style.rsc: Lot of changes needed to separate window widget
	  render functions from AES core. Lots of other small fixes.
	  Remember to read the CHANGES.txt before testing

2005-06-16 18:48  standa

	* sys/arch/init_intr.c: ifndef NO_AKP_KEYBOARD ending endif
	  position fixed.

2005-06-16 18:45  standa

	* tools/: mgw/syscalls.c, net-tools/tests/client.c,
	  net-tools/tests/dgram.c, net-tools/tests/dgramd.c,
	  net-tools/tests/server.c: msg_accrights -> msg_control Unix 98
	  compatibility change

2005-06-11 19:27  krupkaj

	* tools/toswin2/english/engl.rsc: Updated to version 2.7

2005-06-11 11:25  krupkaj

	* tools/toswin2/textwin.c: Right SHIFT works the same way as left
	  one (scroll in the vertical direction of the terminal window)

2005-06-04 10:22  ozk

	* sys/: keyboard.c, keyboard.h, ssystem.c, arch/intr.S,
	  arch/syscall.h: Moved keyboard delete/repeat out of VBI, using
	  roottimeouts. Fixed problem with Milan TOS - cannot take over
	  keyboard interrupts here and we can not generate repeated keys
	  since this is done by TOS, and we have to pass Kbrate() calls
	  down to TOS.

2005-05-23 18:38  ozk

	* xaaes/src.km/: c_window.c, desktop.c, draw_obj.c, draw_obj.h,
	  form.c, init.c, k_init.c, k_mouse.c, k_shutdown.c, menuwidg.c,
	  obtree.c, obtree.h, widgets.c, widgets.h, win_draw.c, win_draw.h,
	  xa_appl.c, xa_fnts.c, xa_global.c, xa_global.h, xa_objc.c,
	  xa_pdlg.c, xa_types.h: g_progdef object types not counted as
	  transparent, fixes visual bugs in Luna 2.10 menu.
	  Reorganizing/cleaning up window-gadget functions, preparing for
	  easy Theme handling, far from done.

2005-05-18 18:45  ozk

	* xaaes/src.km/: k_init.c, k_shutdown.c, widgets.c: Turn off
	  instruction, data and branch caches, where available, before
	  calling v_opnwk and v_clswk. Fixes 'black-screen' problems on
	  Hades with certain Nova VDI drivers ... hopefully

2005-05-18 15:16  ozk

	* xaaes/src.km/: app_man.c, app_man.h, c_window.c, c_window.h,
	  debug.c, desktop.c, draw_obj.c, k_init.c, k_keybd.c, k_mouse.c,
	  menuwidg.c, widgets.c, xa_appl.c, xa_evnt.c, xa_menu.c,
	  xa_rsrc.c, xa_types.h, xa_wind.c: When the application infront
	  terminates, only top one of the new infront applications windows.
	  Gives smoother useage of aMail/aSock. Window-title text centered.
	  Wait for screen-lock before drawing window-elements. Fixed
	  missing restore of background when moving STORE_BACK windows.
	  Checking ib_ptext insufficient when determining if CICONS have a
	  banner, must also check ib_wtext, GemPanic suffered from this.

2005-05-14 10:45  ozk

	* xaaes/src.km/xa_fsel.c: Set mouseshape to arrow while doing
	  fsel_input

2005-05-14 09:50  ozk

	* xaaes/src.km/: form.c, k_mouse.c, xa_graf.c: Corrected new
	  problem causing fileselector inaccessible via mouse when called
	  by apps with screen lock up.

2005-05-13 18:59  ozk

	* xaaes/src.km/: k_mouse.c, xa_graf.c: update lock should not keep
	  mouse-move/button events from being delivered. Now much more
	  responsive with AES-Lupe

2005-05-13 10:22  ozk

	* xaaes/src.km/: k_main.c, k_mouse.c: keep button_waiter until no
	  button-releases are expected

2005-05-13 10:14  ozk

	* xaaes/src.km/xa_evnt.c: More corrections to moose_data handling
	  for clients, wrong button state read when release-button events
	  happens.

2005-05-13 09:38  ozk

	* xaaes/src.km/: form.c, widgets.c, xa_evnt.c, xa_rsrc.c,
	  xa_types.h: Corrected moose_data handling for processes,
	  sometimes some apps were 'lagged' by one or more clicks. Some
	  cleanups

2005-05-12 22:57  ozk

	* xaaes/src.km/: scrlobjc.c, xa_rsrc.c: Corrected loading of
	  cicon's - some resources dont follow specs, and xaaes didnt link
	  all cicons correctly. Fixes zview, zbench, etc.

2005-05-12 21:02  ozk

	* xaaes/src.km/: k_main.c, messages.c, scrlobjc.c: corrected
	  missing check for NULL pointer in prev_entry().

2005-05-11 23:03  ozk

	* xaaes/src.km/xa_fsel.c: Forgot to save xa_fsel.c before commit.

2005-05-11 22:59  ozk

	* xaaes/src.km/: app_man.c, k_mouse.c, scrlobjc.c, xa_evnt.c,
	  xa_fsel.c, xa_graf.c: Corrected erronuosly returning popup
	  window's handle to apps asking for top window via
	  wind_get(WF_TOP) while doing nonblocking popups.  Arrow up will
	  go to last if at first and arrow down will go to first if at last
	  entry in fileselector. Input field cleared if entering a
	  directory partially typed then pressing enter (autocompletion).
	  Not very well tested with treeview mode, but should work

2005-05-10 21:27  ozk

	* xaaes/src.km/: app_man.c, xa_shel.c: Fixed compiler error when
	  building debug version

2005-05-10 21:22  ozk

	* xaaes/src.km/: messages.c, xa_appl.c, xa_menu.c: Minor cleanups

2005-05-09 23:43  ozk

	* xaaes/src.km/: app_man.c, app_man.h, c_window.c, xa_appl.c,
	  xa_menu.c, xa_wind.c: More fixes regarding menu-swapping, should
	  be close to perfect now.  Experimental - do not bring infront new
	  clients until they install a menu-bar or opens a window .. makes
	  aMail work smother

2005-05-09 11:44  ozk

	* xaaes/src.km/: app_man.c, app_man.h, menuwidg.c, widgets.c,
	  xa_appl.c, xa_menu.c, xa_wind.c: Better handling of menubar
	  switching

2005-05-09 10:07  ozk

	* xaaes/src.km/: app_man.c, app_man.h, desktop.c, handler.c,
	  obtree.c, obtree.h, xa_appl.c, xa_fsel.c, xa_fsel.h, xa_rsrc.c,
	  xa_shel.c, xa_wind.c: Implemented check for conflicting shortcuts
	  in AES objects, and attempt remap of conflicting shortcuts.
	  Better handling of desk- top switching.

2005-05-07 14:03  ozk

	* xaaes/src.km/k_keybd.c: Forgot to clear keyqueue count in
	  cancel_keyqueue()

2005-05-07 14:00  ozk

	* xaaes/src.km/: app_man.c, c_keybd.c, k_keybd.c, xa_types.h: Lets
	  queue keys for applications that are not currently blocked in
	  evnt_multi/kbd instead of throwing it away. Makes Aniplayer 2.22
	  react to keypresses again. Keyqueue size currently set to 4 key
	  presses

2005-05-07 12:59  ozk

	* xaaes/src.km/: widgets.c, xa_shel.c: More corrections to
	  shel_write(). Now the default dir for the new process is taken
	  from the cmd if callers cwd is the same as its homepath.  Dudes
	  with knowhow, look at line 194 in xa_shel.c please...

2005-05-07 09:58  fna

	* sys/: KERNELDEFS, bios.c, bootmenu.c, cmdline.c, cookie.c,
	  crypt_IO.c, fatfs.c, info.c, init.c, k_fork.c, kernget.c,
	  proc_help.c, procfs.c, ssystem.c, tosfs.c, unifs.c, arch/acia.S,
	  arch/check_exc.c, arch/context.S, arch/cpu.S, arch/init_intr.c,
	  arch/init_mach.c, arch/intr.S, arch/mmu.h, arch/mmu030.S,
	  arch/mmu040.S, arch/mprot000.c, arch/mprot030.c, arch/mprot040.c,
	  arch/syscall.S, arch/user_things.S, libkern/asm/Makefile.objs,
	  libkern/asm/blockcopy.S, libkern/asm/memset.S,
	  libkern/asm/quickmove.S, mint/config.h, mint/mem.h,
	  mint/arch/mmu.h: From Miro Kropacek: Simplified build macros,
	  reduced to M68000, M68030 and M68040/M68060. Replacing the
	  previous chaos of NO_MMU, MMU040, ONLY030 and so on.

2005-05-07 09:18  fna

	* sys/bootmenu.c: Bugfix contributed by Miro Kropacek, fixing boot
	  menu step_by_step setup.

2005-05-06 20:34  ozk

	* xaaes/src.km/: c_keybd.c, form.c, k_keybd.c, obtree.c: Fixed
	  broken handling of shortcuts in aes object trees. Now the
	  keyboard shortcuts in Taskmanager, etc. works again

2005-05-06 16:48  ozk

	* xaaes/src.km/: form.c, messages.c, widgets.c, xa_fnts.c,
	  xa_global.c, xa_global.h, xa_pdlg.c, xa_shel.c, xa_types.h,
	  xa_wdlg.c, xaaes.h, xaaes.hrd, xaaes.rsc: Serious bug where a
	  client event cancelled itself, causing heavy crash when closing
	  AES window (at least About-window) using the CLOSER window
	  widiget found and killed

2005-05-05 15:19  ozk

	* xaaes/src.km/xa_shel.c: Set the cwd of C.Aes before taking cwd as
	  default-dir for process about to be started

2005-05-05 13:44  ozk

	* xaaes/src.km/xa_shel.c: I think shel_write() should not change
	  the cwd of the caller, unless the caller is AESSSYS. This cures
	  the problem where selfextracting tos-archives are extracted to
	  the wrong place when toswin2 is not already running. I'm not 100%
	  sure about this, tho...

2005-05-04 20:21  ozk

	* xaaes/src.km/: draw_obj.c, form.c, xa_fnts.c, xa_pdlg.c,
	  xa_shel.c, xa_types.h, xa_wdlg.c, xa_wdlg.h: When shel_write() is
	  called to start a TOS or TTP, XaAES now sets the default
	  directory of the started program to the CWD. Think this is what
	  other AES's does when no default-dir parameter is sepcified.
	  Work in progress on pdlg_xxx functions

2005-05-03 17:15  ozk

	* xaaes/src.km/: app_man.c, debug.c, draw_obj.c, form.c, k_main.c,
	  menuwidg.c, mt_gem.h, obtree.c, obtree.h, xa_appl.c, xa_evnt.c,
	  xa_fnts.c, xa_graf.c, xa_menu.c, xa_menu.h, xa_pdlg.c,
	  xa_types.h: Fixed problem where a menu-bar in one of
	  Resourcemaster's window didnt have its coordinates reset after
	  menu_popup() call.  Some cleanups

2005-04-29 23:54  ozk

	* xaaes/src.km/: debug.h, handler.c, mt_gemx.h, xa_fnts.c,
	  xa_pdlg.c, xa_types.h, xaaes.h, xaaes.hrd, xaaes.rsc: Removed
	  forgotten testcode, now it compiles again

2005-04-29 23:03  ozk

	* xaaes/src.km/: SRCFILES, k_init.c, xa_fnts.c, xa_pdlg.c,
	  xa_pdlg.h: New files xa_pdlg.c and xa_pdlg.h

2005-04-29 19:44  ozk

	* xaaes/src.km/xaloader/xaloader.c: Use Pdomain() instead of asm
	  inline

2005-04-29 19:04  ozk

	* xaaes/src.km/xaloader/xaloader.c: xaloader must also be running
	  in the MiNT domain, else keycombos like ctrl-Z will suspend it.
	  Found out trying to bring up character-set dialog in Qed.

2005-04-28 16:51  ozk

	* xaaes/src.km/: scrlobjc.c, xa_fsel.c: Fixed many problems with
	  fileselector. Kbd navigation should be better now

2005-04-27 18:54  ozk

	* xaaes/src.km/xa_fsel.c: Corrected entries not being deselected in
	  some cases

2005-04-27 14:07  ozk

	* xaaes/src.km/: matchpat.c, scrlobjc.c, xa_fsel.c, xa_fsel.h,
	  xa_menu.c, xa_types.h: Work on kbd navigation in fileselector.
	  Not completel yet, need comments, suggestions...

2005-04-23 23:02  ozk

	* xaaes/src.km/: app_man.c, c_mouse.c, c_window.c, k_keybd.c,
	  scrlobjc.c, widgets.c, xa_appl.c, xa_fnts.c, xa_fsel.c,
	  xa_shel.c, xa_types.h: Fixed problems with switching desktop when
	  a client owning the current desktop crashes. In previous commit
	  simple validation of AES object pointer implemented. Better
	  keyboard control in fileselector under construction

2005-04-22 18:30  ozk

	* xaaes/src.km/: obtree.c, obtree.h, xa_form.c, xa_fsel.c,
	  xa_graf.c, xa_lbox.c, xa_menu.c, xa_objc.c, xa_rsrc.c, xa_wdlg.c:
	  Fixed glitch where slider in fileselector was not updated.  Minor
	  cleanups

2005-04-22 18:03  fna

	* sys/xdd/: mfp/mfp.c, scc/scc.c, uart/pc16550.c: Don't use multi
	  line assembler statements (contributed by Patrice Mandin).

2005-04-21 11:31  ozk

	* xaaes/src.km/xa_fsel.c: Fixed problem with fsel where wrong path
	  was returned to caller

2005-04-21 10:52  ozk

	* sys/: keyboard.c, module.c, mint/mem.h: Ctrl only modifies the
	  ascii code when Ctrl alone is pressed, and not when both Ctrl and
	  Alt is pressed .... I hope.

2005-04-21 10:50  ozk

	* xaaes/src.km/: app_man.c, draw_obj.c, k_init.c, k_keybd.c,
	  k_main.c, menuwidg.c, scrlobjc.c, taskman.c: XaAES now runs in
	  MiNT domain whereas it did not before. This cures problems with
	  reading keys from the MiNT kernel. Fixed small menu-title redraw
	  problem.

2005-04-20 11:27  ozk

	* xaaes/src.km/: handler.c, init.c, k_init.c, k_keybd.c, k_mouse.c,
	  menuwidg.c, scrlobjc.c, sys_proc.c, widgets.c, xa_appl.c,
	  xa_appl.h, xa_evnt.c, xa_fsel.c, xa_global.h, xa_menu.c,
	  xa_rsrc.c: Found and killed yet another TERRIBLE bug. Forgot to
	  initialize the moose_data buffer for AESSYS, cause all kinds of
	  corruptions

2005-04-17 23:06  ozk

	* xaaes/src.km/: draw_obj.c, widgets.c: Now the coordinates of
	  menubar can change according to text.

2005-04-17 19:11  ozk

	* xaaes/src.km/: desktop.c, k_init.c, k_main.c, menuwidg.c,
	  menuwidg.h, widgets.c, xa_appl.c, xa_fsel.c, xa_menu.c,
	  xa_types.h, xa_wind.c: Work on menubar widget sizecalc, etc.
	  Found one serious bug, referenced a NULL pointer... ouch

2005-04-16 23:16  ozk

	* xaaes/src.km/k_main.c: Small but large fixes in the client event
	  dispatcher.

2005-04-16 18:07  ozk

	* xaaes/src.km/: about.c, app_man.c, app_man.h, c_window.c,
	  c_window.h, desktop.c, form.c, init.c, k_keybd.c, menuwidg.c,
	  messages.c, messages.h, taskman.c, widgets.c, xa_appl.c,
	  xa_fnts.c, xa_form.c, xa_menu.c, xa_wdlg.c, xa_wind.c: Bring
	  client infront when it calls menu_bar() and the current infront
	  client also has a menu-bar. If client infront has no menu-bar,
	  keep it infront, but menu-bar is changed. Fixes the problem where
	  Jinnee didnt get infront when its desktop was clicked. Now
	  hopefully this is correct

2005-04-16 02:37  standa

	* sys/filesys.c: Fixing crash happening when doing stat(
	  "<hostfs_drive>:\\.." );

	  xfs_lookup() returns EMOUNT (its 'res' argument remains
	  uninitialized) -> in the EMOUNT branch the xfs_root() is
	  executed, but the result was	  disposed instead of assigned to
	  the *res (instead of the value from	 xfs_lookup().

2005-04-15 19:16  ozk

	* xaaes/src.km/: app_man.c, c_window.c, xa_menu.c: Undo latest
	  changes -- does not work with Thing

2005-04-15 18:11  ozk

	* xaaes/src.km/: rectlist.c, rectlist.h, scrlobjc.c, xa_menu.c:
	  menu_bar(MENU_INSTALL) will now bring the calling application to
	  font, and swap to its menu as soon as possible. I'm not entirely
	  sure this is correct...

2005-04-15 16:15  ozk

	* xaaes/src.km/app_man.c: Removed unnecessary menubar redraws

2005-04-15 15:48  ozk

	* xaaes/src.km/: app_man.c, menuwidg.c, messages.c, messages.h,
	  rectlist.c, scrlobjc.c, xa_evnt.c, xa_fsel.c, xa_global.h,
	  xa_types.h: Only change rootmenu when the client is the one
	  infront, or if the infront client have no menu

2005-04-14 17:09  ozk

	* xaaes/src.km/: about.c, c_window.c, c_window.h, form.c,
	  menuwidg.c, taskman.c, widgets.c, xa_fnts.c, xa_form.c,
	  xa_fsel.c, xa_types.h, xa_wdlg.c, xa_wind.c: Removed work-area
	  borders on popup-windows, making popups look normal again.

2005-04-14 16:02  ozk

	* xaaes/src.km/xa_fsel.c: Added 'options' menu-title to fsel
	  menu-bar where one can select realtimebuilding dirs and treeview
	  mode. xaaes.rsc updated.

2005-04-14 15:47  ozk

	* xaaes/src.km/: c_window.c, xa_fsel.c, xaaes.h, xaaes.hrd,
	  xaaes.rsc: Fixed a race generated by the client-event deletion of
	  windows

2005-04-14 13:56  ozk

	* xaaes/src.km/: c_window.c, xa_fsel.c: Delayed deletion of windows
	  now done via client events, making sure things are done from
	  correct context. This fixes crashes with fileselector sometimes
	  when cancelling it

2005-04-14 12:10  ozk

	* xaaes/src.km/: scrlobjc.c, xa_fsel.c, xa_fsel.h: More issues with
	  fileselector ironed out. Now, when realtime building of dirs are
	  enabled, all dirs are realtime built, not just root

2005-04-13 16:40  ozk

	* xaaes/src.km/: c_window.c, draw_obj.c, draw_obj.h, scrlobjc.c,
	  trnfm.c, widgets.c, widgets.h, xa_fsel.c, xa_types.h, xa_wind.c:
	  Better selection in fileselector, now successive clicks toggles
	  select- status. Experimental window-border drawing when
	  winframe_size is larger than, or equal to, 4

2005-04-12 15:16  ozk

	* xaaes/src.km/: c_window.c, debug.c, handler.c, k_init.c,
	  k_main.c, scrlobjc.c, taskman.c, trnfm.c, widgets.c, xa_fnts.c,
	  xa_fsel.c, xa_rsrc.c, xa_types.h, xa_wind.c: Fixed problem where
	  invalid palette data in resource files were not correctly
	  detected. Fixed some bugs in the scroll-list code

2005-04-10 11:21  ozk

	* xaaes/src.km/: k_init.c, menuwidg.c, obtree.c, scrlobjc.c,
	  scrlobjc.h, xa_fnts.c, xa_fsel.c, xa_fsel.h, xa_types.h: Fixed
	  problem where fileselector could not be used to select
	  nonexistant files, making it impossible to save to files not
	  already there

2005-04-06 17:40  ozk

	* xaaes/src.km/: k_main.c, scrlobjc.c, trnfm.c, trnfm.h, xa_fsel.c,
	  xa_rsrc.c: Fixed cicon-remapping when loading rsc files in tc/hc
	  color modes.	More work on scroll-lists, fsel should work OK now

2005-04-05 21:37  ozk

	* xaaes/src.km/: k_main.c, scrlobjc.c, trnfm.c, trnfm.h, xa_fsel.c,
	  xa_rsrc.c: Fixed cicon-remapping when loading rsc files in tc/hc
	  color modes.	More work on scroll-lists, fsel should work OK now

2005-04-03 21:16  ozk

	* xaaes/src.km/: k_main.c, scrlobjc.c, taskman.c, xa_fnts.c,
	  xa_fsel.c, xa_types.h: More work on scroll-lists...

2005-04-03 19:41  ozk

	* xaaes/src.km/: taskman.c, widgets.c, xa_fsel.c, xa_fsel.h: Minor
	  cleanups, more fileselector issues corrected

2005-04-03 18:09  ozk

	* xaaes/src.km/: c_mouse.c, k_mouse.c, scrlobjc.c, taskman.c,
	  xa_fsel.c, xa_fsel.h: Fixed several issues with scroll-lists and
	  treeview in the fileselector.

2005-04-03 14:29  ozk

	* xaaes/src.km/: c_mouse.c, c_mouse.h, k_mouse.c, scrlobjc.c: Moved
	  mouse wheel event handling to correct context, now scroll-lists
	  react to mouse wheel events transparently to the application.
	  Test fileselector and fontselector

2005-04-03 12:54  ozk

	* xaaes/src.km/: scrlobjc.c, xa_fsel.c, xa_types.h: Cleanup up
	  fileselectors use of scroll-lists. Fixed a bug calculating heigh
	  of a scroll-entry and its children

2005-04-02 19:33  ozk

	* xaaes/src.km/: k_init.c, scrlobjc.c, xa_fsel.c, xa_types.h: Minor
	  cleanup of scroll-list code. System window & alerts log window
	  should work too now

2005-04-02 17:54  ozk

	* xaaes/src.km/: k_init.c, scrlobjc.c, util.c, xa_fsel.c,
	  xa_fsel.h, xa_types.h, xaaes.h, xaaes.hrd, xaaes.rsc:
	  Fileselector now uses tree-view mode. Experimental, be careful.
	  Make sure to use new xaaes.rsc too.

2005-04-01 16:12  daniel

	* doc/liesmich.1.16.0: Small typo corrected.

2005-03-31 11:32  ozk

	* xaaes/src.km/: draw_obj.c, draw_obj.h, matchpat.c, scrlobjc.c,
	  widgets.c, xa_types.h: More work on scroll-lists, show tree-view
	  mode under construction.

2005-03-30 20:50  ozk

	* xaaes/src.km/xa_fsel.c: Removed annoying debug output to console

2005-03-30 11:27  ozk

	* xaaes/src.km/: about.c, c_window.c, c_window.h, cnf_xaaes.c,
	  debug.c, debug.h, draw_obj.c, draw_obj.h, form.c, init.c,
	  k_init.c, k_keybd.c, k_main.c, k_shutdown.c, matchpat.c,
	  matchpat.h, mt_gemx.h, obtree.c, scrlobjc.c, scrlobjc.h,
	  taskman.c, taskman.h, trnfm.c, trnfm.h, widgets.c, widgets.h,
	  xa_aes.h, xa_fnts.c, xa_fsel.c, xa_global.h, xa_rsrc.c,
	  xa_rsrc.h, xa_types.h, xa_wdlg.c, xa_wind.c, xaaes.cnf, xaaes.h,
	  xaaes.hrd, xaaes.rsc: Total rewrite of scroll-list objects,
	  affecting fsel, taskmanager, etc.  This work is by far not done.
	  Remember to update your xaaes.rsc

2005-03-01 23:22  standa

	* sys/ipc_socketdev.c: Permission clear for the old sockdev
	  emulation. The same change as in ipc_socket.c/sendmsg().

2005-03-01 23:19  standa

	* sys/ipc_socket.c: Do not care about the access permissions set in
	  the message and send the message otherwise. The permissions are
	  NULLed on reception anyways.

2005-03-01 21:50  fna

	* xaaes/src.km/: draw_obj.c, widgets.c: Fixed two small compile
	  bugs in the debug target.

2005-02-28 16:10  ozk

	* xaaes/src.km/: c_window.c, cnf_xaaes.c, widgets.c, xa_types.h:
	  Workarea borders are back, but only on sides not neighboured by
	  widgets.

2005-02-27 20:11  ozk

	* xaaes/src.km/: c_window.c, widgets.c, xa_types.h: Rewrote parts
	  of window-rendere/widget-managements again, now much more
	  flexible

2005-02-24 20:47  ozk

	* xaaes/src.km/: about.c, c_window.c, cnf_xaaes.c, draw_obj.c,
	  draw_obj.h, taskman.c, widgets.c, xa_types.h: Fixed serious bugs
	  regarding XaAES's windows (about, system log, taskman, etc.).
	  More work on window-renderer. Far from finished.

2005-02-20 20:12  ozk

	* xaaes/src.km/: c_window.c, draw_obj.c, k_init.c, menuwidg.c,
	  obtree.c, obtree.h, widgets.c, xaaes.cnf, xaaeswdg.rsc: More work
	  on window-renderer...

2005-02-20 03:39  ozk

	* xaaes/src.km/: about.c, c_window.c, c_window.h, draw_obj.c,
	  draw_obj.h, form.c, k_init.c, menuwidg.c, taskman.c, widgets.c,
	  widgets.h, xa_fnts.c, xa_form.c, xa_form.h, xa_fsel.c,
	  xa_types.h, xa_wdlg.c, xa_wind.c: Huge job changing window-widget
	  layoutcode plus making things very much more configurable. This
	  work is not done so be careful.  These changes will not look good
	  unless one makes the icons in the widgetfile of choise
	  transparent, and remove borders from within the icons

2005-02-17 13:15  draco

	* sys/keyboard.c: Control must also alter scancodes of left and
	  right arrow (this fixes the 1-minute rewind and advance in
	  Aniplayer).

2005-02-16 22:32  draco

	* sys/keyboard.c: Fixed broken translation of Ctrl/Alt/[letter] key
	  combos - note that the "old" (non-AKP) and the "new" (AKP) parts
	  of the keyboard translation table have different formats, so one
	  cannot scan the user_keytab->shift the same way as
	  user_keytab->alt !

2005-02-13 08:07  ozk

	* xaaes/src.km/: xa_types.h, xa_wdlg.c: Fixed forgotten
	  initialization causing Cops dialogs (cpx'es) exit-buttons not to
	  work.

2005-02-12 16:07  ozk

	* xaaes/src.km/: about.c, app_man.c, c_window.c, desktop.c, form.c,
	  k_init.c, k_main.c, k_shutdown.c, messages.c, obtree.c,
	  rectlist.h, scrlobjc.c, scrlobjc.h, taskman.c, widgets.c,
	  xa_appl.c, xa_fnts.c, xa_form.c, xa_fsel.c, xa_menu.c, xa_rsrc.c,
	  xa_wind.c: Fixed ohmygod, what was I thinking-bug in the launcher
	  (fileselector called from XaAES \'Launch\' menu-entry. Lots of
	  cleanups

2005-02-12 04:14  ozk

	* xaaes/src.km/: about.c, app_man.c, app_man.h, c_window.c,
	  c_window.h, form.c, k_init.c, k_main.c, k_shutdown.c, menuwidg.c,
	  messages.c, messages.h, obtree.c, obtree.h, rectlist.h,
	  scrlobjc.c, scrlobjc.h, semaphores.c, taskman.c, widgets.c,
	  xa_appl.c, xa_evnt.c, xa_fnts.c, xa_fsel.c, xa_global.h,
	  xa_menu.c, xa_rsrc.c, xa_types.h, xa_wind.c: Many fixes to make
	  menu-nav better. Found a seriously bad bug in the fileselector
	  code.

2005-02-08 18:23  ozk

	* xaaes/src.km/: c_mouse.c, c_window.c, c_window.h, draw_obj.c,
	  draw_obj.h, form.c, handler.c, k_main.c, menuwidg.c, messages.c,
	  obtree.c, obtree.h, rectlist.c, rectlist.h, scrlobjc.c,
	  semaphores.c, widgets.c, xa_fnts.c, xa_form.c, xa_graf.c,
	  xa_lbox.c, xa_objc.c, xa_types.h, xa_wdlg.c, xa_wind.c:
	  Non-blocking menu/popup navigation system in very early stages.
	  Be careful.

2005-02-05 23:16  ozk

	* xaaes/src.km/xa_appl.c: Free wt list last in exit_client()

2005-02-05 19:10  ozk

	* xaaes/src.km/: xa_fnts.c, xa_types.h, xa_wdlg.c: All fnts_xxx()
	  calls now implemented. Checkboxes have no effect as of yet.  What
	  software absolutely needs wdialog fonts-selectors?

2005-02-05 16:29  ozk

	* xaaes/src.km/: about.c, c_window.c, desktop.c, form.c, k_main.c,
	  menuwidg.c, obtree.c, scrlobjc.c, taskman.c, widgets.c,
	  widgets.h, xa_appl.c, xa_evnt.c, xa_fnts.c, xa_form.c, xa_fsel.c,
	  xa_global.c, xa_global.h, xa_types.h, xa_wdlg.c, xa_wind.c: Fixed
	  WF_OWNER bug where XaAES swapped the meaning of open_status.
	  Modal wdialog-font-selector under construction, not yet usable.

2005-02-02 20:08  ozk

	* xaaes/src.km/: XAAESDEFS, about.c, c_window.c, draw_obj.c,
	  form.c, form.h, k_init.c, k_main.c, k_mouse.c, obtree.c,
	  scrlobjc.c, scrlobjc.h, taskman.c, widgets.c, xa_aes.h,
	  xa_evnt.c, xa_fnts.c, xa_fnts.h, xa_form.c, xa_fsel.c,
	  xa_global.h, xa_types.h, xa_wdlg.c, xa_wdlg.h, xa_wind.c,
	  xaaes.h, xaaes.hrd, xaaes.rsc: fnts_xx() implementation now in a
	  usable state, except that fnts_do() is not yet implemented,
	  meaning only windowed calls work, not modal calls. Some other
	  small fixes

2005-01-31 19:06  ggs

	* doc/programmer/ssystem.txt: Delete because there is sysstem.html

2005-01-31 19:05  ggs

	* xaaes/src.km/: k_main.c, newcalls.txt: Version of N.AES is 3.0.0
	  and not 0.3.0

2005-01-31 19:04  ggs

	* xaaes/src.km/xa_wind.c: I hope wind_set ( WF_SHADE ) is now like
	  the doku

2005-01-31 19:04  ggs

	* sys/ptrace.c: Correct the type of the parameter data

2005-01-25 02:54  ozk

	* xaaes/src.km/k_keybd.c: Removed forgotten testcode

2005-01-25 02:51  ozk

	* xaaes/src.km/: mt_gemx.h, obtree.c, taskman.c, xa_fnts.c,
	  xa_fsel.c, xa_types.h, xaaes.h, xaaes.hrd, xaaes.rsc: Corrected
	  forgotten changes of fselector keyboard input function, fixing
	  fatal crash using alt+drive_letter in fsel. Started work on
	  fnts_xx() wdialog functions

2005-01-23 22:51  fna

	* sys/buildinfo/version.h, xaaes/src.km/version.h: Bumped version
	  to 1.16.3-ALPHA/0.994-ALPHA for next development.
